r12228 | chris | 2005-12-31 17:28:42 -0500 (Sat, 31 Dec 2005) | 2 lines

   M /trunk/src/engine/Group.c
   M /trunk/src/engine/Group.h
   M /trunk/src/engine/GroupP.h

   Constify the AccountGroup variables where possible in Group.[ch]


2005-12-31  Chris Shoemaker <c.shoemaker@cox.net>

	* [r12224] trunk/src/gnome/gnc-plugin-page-budget.c: Turn on gconf
	  for the budget plugin page's tree view account. Doesn't seem to
	  work quite yet. It does save the settings in the user's gconf
	  directory, but the tree view doesn't remember things like sort
	  order, which the account-tree page's account treeview does
	  remember. There must be something else needed...

	* [r12223] trunk/src/gnome-utils/gnc-tree-model-budget.c,
	  trunk/src/gnome/gnc-plugin-budget.c: *really* mark strings for
	  runtime translation, not just translatable.

	* [r12222] trunk/src/gnome/glade/budget.glade: Remove GUI for old
	  attempt at account type filtering.

	* [r12221] trunk/src/gnome/gnc-plugin-page-budget.c: Remember what
	  the Budget views looked like last time we were running Most of
	  the work is delegated to GncTreeViewAccount, just as for
	  GncPluginPageAccountTree. One difference is that the Budget page
	  has to also remember which Budget it was showing. For that, we
	  encode the GUID to a string in the keyfile.

	* [r12220] trunk/src/gnome-utils/gnc-plugin-page.h: whitespace
	  line-wrap cleanup

	* [r12219] trunk/src/gnome-utils/gnc-tree-view-account.c,
	  trunk/src/gnome-utils/gnc-tree-view-account.h,
	  trunk/src/gnome/gnc-plugin-page-account-tree.c,
	  trunk/src/gnome/gnc-plugin-page-account-tree.h: Move functions
	  from GncPluginPageAccountTree to GncTreeViewAccount The reason
	  GncPluginPageBudget keeps wanting to use functions in
	  GncPluginPageAccountTree is that they both use
	  GncTreeViewAccount. So, we're moving those functions (the
	  account view filter functions and the account view save/restore
	  functions) into gnc-tree-view-account. Along the way, we're also
	  narrowing the argument types from GtkTreeView to
	  GncTreeViewAccount to avoid unnecessary down-casting.

	* [r12214] trunk/src/gnome/gnc-plugin-page-account-tree.c,
	  trunk/src/gnome/gnc-plugin-page-account-tree.h,
	  trunk/src/gnome/gnc-plugin-page-budget.c: Generalizing Account
	  Filter By... (step 5) export the account-tree's account filter
	  function populate the account-tree's account filter struct with
	  the right tree-view. And finally... reuse all this generalized
	  functionality in the budget plugin page. Nice!

	* [r12213] trunk/src/gnome/gnc-plugin-page-account-tree.c,
	  trunk/src/gnome/gnc-plugin-page-account-tree.h: Generalize
	  Account Filter By... (step 4) Fixup comments forgotten in step
	  3. Factor out and export most of the account filter dialog
	  creation. Eventually this function should live somewhere else.

2005-12-30  Chris Shoemaker <c.shoemaker@cox.net>

	* [r12212] trunk/src/gnome/gnc-plugin-page-account-tree.c:
	  Generalize Account Filter By... (step 3) Narrow all the account
	  filter dialog callbacks to use only the AccountFilterDialog
	  struct. Now they're multi-purpose.

	* [r12211] trunk/src/gnome/gnc-plugin-page-account-tree.c:
	  Generalize Account Filter By... (step 2) Narrow the account
	  filter function to use only the AccountFilterDialog. Now it's
	  multi-purpose.

	* [r12210] trunk/src/gnome/gnc-plugin-page-account-tree.c,
	  trunk/src/gnome/gnc-plugin-page-account-tree.h: Generalize
	  Account Filter By... (step 1) Export AccountFilterDialog type

	* [r12208] trunk/AUTHORS,
	  trunk/src/gnome-utils/gnc-tree-model-budget.c,
	  trunk/src/gnome/glade/budget.glade,
	  trunk/src/gnome/gnc-plugin-budget.c: Mark budget strings for
	  i18n Remove obsolete budget glade dialogs

	* [r12202] trunk/src/engine/test-core/Makefile.am,
	  trunk/src/engine/test-core/test-engine-strings.h,
	  trunk/src/engine/test-core/test-engine-stuff.c: Minor
	  improvements to engine testing infrastructure
	     - add some arrays of realistic string values for various
	  Account and Transaction fields 
	     - use the arrays to generate slightly more human-readable
	  random books 
	     - pull some hardcoded constants out into static knobs 
	     - wrap Transaction creation in begin/commit

	* [r12201] trunk/src/engine/Account.c, trunk/src/engine/Account.h,
	  trunk/src/engine/AccountP.h, trunk/src/engine/Group.c,
	  trunk/src/engine/Group.h, trunk/src/engine/gw-engine-spec.scm:
	  Add 'const' qualifier to Account pointers in the Account api.
	  Including necessary related changes to functions passed accounts
	  from the account functions. Interestingly, the only g-wrap
	  function that complained about the new const function arguments
	  was xaccAccountOrder(), the only one using const Account **
	  types. It seems very uncommon to express const-ness in g-wrap
	  for any types other than gw:mchar. Actually I couldn't find any
	  other examples, anywhere, so I had to guess at the syntax, but
	  it works. Oh, and one or two minor tweaks like my last commit
	  snuck in, too.

2005-12-30  David Hampton  <hampton@employees.org>

	* glade-fixup: New script that will remove all post-gtk24
	attributes from all glade files under the 'src' directory.

	* src/gnome/glade/register.glade: Fix the 'sort by number' and
	'sort by statement date' choices in the register sort dialog.

	* src/gnome-utils/dialog-transfer.c: Enhance the dialog so that
	pressing the Enter key in any field will activate the dialog.
	Fixes bug 125565.

	* src/gnome/glade/budget.glade: Remove gtk2.6 properties from the
	file.

	* src/gnome-utils/search-param.c: Remember and use the
	justification specified in the code instead of just left
	justifying everything.  Fixes #126546.

2005-12-29  David Hampton  <hampton@employees.org>

	* src/scm/main.scm:
	* src/scm/main-window.scm:
	* src/gnome/gnc-plugin-page-account-tree.c:
	* src/gnome/glade/account.glade:
	* src/gnome/ui/gnc-plugin-page-account-tree-ui.xml: Migrate the
	account page options to a new "Filter By" dialog.  Add a new
	option to filter out accounts with zero total balances.  Remember
	the current filter state across invocations of GnuCash.

	* src/gnome-utils/ui/gnc-main-window-ui.xml:
	* src/gnome-utils/gnc-main-window.c:
	* src/gnome/ui/gnc-plugin-page-register-ui.xml: Move the "Sort By"
	and "Filter By" menu items to the main window so they will always
	appear in the same place in the menus.  Hide them so they don't
	actually appear until a page provides them.

	* src/engine/gw-engine-spec.scm: Comment out unused function that
	won't compile with g-wrap 1.9 after the const-ifying of the
	account functions.

2005-12-29  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-utils.h, gnc-hbci-utils.c: Use
	glib's g_iconv functions instead of the system's iconv(3)
	functions to improve portability.

2005-12-29  Chris Shoemaker <c.shoemaker@cox.net>

	* [r12199] trunk/src/engine/Account.c, trunk/src/engine/Account.h:
	  Single-pass audit/cleanup of Account.c

	  - standardize on 'acc' as variable name for Account. 
	  - removed 'acc->inst.dirty = TRUE' when preceeded by mark_account. 
	  - slightly more consistent whitespace. 
	  - short-circuit no-op in many cases where we thought we were
	  changing state but we really weren't. Don't dirty Accounts in
	  these cases.
	  - fix a couple cases where we dirtied the account without
	  dirtying the parent
	  - fix one BUG where we just blew away the account's Lots for no
	  reason.
	  - comment possible bug where we don't dirty a split.
	  - comment two possible buglets where we generate double CM
	  events.
	  - comment on possible bugs related to conditional sorting of the
	  Split list.
	, - heavy conversion from lower-level to higher-level KVP api.
	  - plug mem leak of entire GList of splits. 
	  - document minor change to corner-case behavior of
	  xaccAccountHasAncestor().
          - several control flow simplifications. 
	  - fixed one case where we were changing the Account without
	  dirtying it. (Can't find this one now. Maybe I imagined it.)	
	  - Please note where I've marked 'BUG'. I think there are still
	  (at least) 2 medium and 2 minor bugs remaining in this
	  file. I'll have another look some other day.

	* [r12197] trunk/src/engine/Transaction.c: remove random
	  qof_commit_edit from xaccSplitSetSlots_nc fixes unbalanced
	  begins/commits

	* [r12196] trunk/lib/libqof/qof/qof-be-utils.h: spelling fix

2005-12-28  Chris Shoemaker <c.shoemaker@cox.net>

	* [r12191] trunk/src/bin/Makefile.am: trigger regeneration of
	  gnucash scripts when the configuration changes pulled from 1.8

	* [r12190] trunk/NEWS: Pulled NEWS history from 1.8 branch into
	  trunk.

2005-12-28  David Hampton  <hampton@employees.org>

	* src/glib-compat.h:
	* src/gnome-utils/gnc-recurrence.c:
	* src/gnome-utils/gnc-period-select.c:
	* src/gnome-utils/gnc-dense-cal.c:
	* src/gnome-utils/dialog-utils.c:
	* src/gnome-utils/gnc-frequency.c:
	* src/engine/FreqSpec.c:
	* src/engine/Recurrence.c:
	* src/gnome/druid-loan.c:
	* src/gnome/druid-acct-period.c:
	* src/gnome/dialog-sx-from-trans.c:
	* src/gnome/dialog-scheduledxaction.c:
	* src/gnome/dialog-sxsincelast.c:
	* src/app-utils/gnc-accounting-period.[ch]: Better fix for
	compiling cleanly on a glib 2.9/2.10 system without using
	deprecated functions.

2005-12-28  Christian Stimming  <stimming@tuhh.de>

	* src/gnome-utils/dialog-options.c: Improve tooltip display for
	almost all option types. Add tooltips for buttons where they were
	missing. Pack option widgets into GtkEventBox so that tooltips are
	really shown. Fix various string i18n bugs.

2005-12-27  Christian Stimming  <stimming@tuhh.de>

	* src/register/register-core/quickfillcell.c (utf8_caseequal_len):
	Fix length-delimited utf8 comparison. Fixes occasional crashes in
	register when editing quickfill entries.

2005-12-27  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-recurrence.c:
	* src/gnome-utils/gnc-period-select.c:
	* src/gnome-utils/gnc-dense-cal.c:
	* src/gnome-utils/dialog-utils.c:
	* src/gnome-utils/gnc-frequency.c:
	* src/gnome-utils/gnc-plugin-manager.c:
	* src/engine/FreqSpec.c:
	* src/engine/Recurrence.c:
	* src/gnome/druid-loan.c:
	* src/gnome/druid-acct-period.c:
	* src/gnome/dialog-sx-from-trans.c:
	* src/gnome/dialog-scheduledxaction.c:
	* src/gnome/dialog-sxsincelast.c:
	* src/app-utils/gnc-accounting-period.c:
	* lib/libqof/qof/guid.c: Update to compile cleanly on a glib
	2.9/2.10 system without using deprecated functions.

	* configure.in: Detect a glib 2.9 system and set appropriate
	flags.  Change the default so that glib deprecated functions are
	not allowed with glib <= 2.10.  Add arguments to allow disabling
	deprecated gdk functions.

2005-12-27  Chris Shoemaker <c.shoemaker@cox.net>

	* [r12188] trunk/README.dependencies: Document our dependency on
	  gcc as a compiler.

	* [r12186] trunk/README.patches, trunk/README.svn,
	  trunk/make-gnucash-patch.in: Update patch submitting
	  instructions.

2005-12-27  Derek Atkins  <derek@ihtfp.com>

	* lib/goffice-0.0.4/plugins/plot_radar/gog-radar.c:
	  rename 'fmin()' to 'gogi_fmin()' to prevent double
	  declaration on MacOS.  It's an internal (static) function
	  so we can safely rename the function.

2005-12-26  David Hampton  <hampton@employees.org>

	* src/import-export/hbci/glade/hbciprefs.glade: Remember value of
	HCBI preferences.

2005-12-23  David Hampton  <hampton@employees.org>

	* src/gnome-utils/dialog-options.c: Translate strings for
	multichoice options.

2005-12-22  Christian Stimming  <stimming@tuhh.de>

	* macros/g-wrap.m4: Copy macro file from gwrap-1.3.4 package
	because it is missing in the gwrap-1.9.x packages. May be removed
	if we switch to a different package detection code, potentially
	via pkgconfig, but for now copying this macro is the easiest
	solution.

2005-12-19  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-main-window.c: Andreas Köhler's patches to
	remember/restore maximized windows, and to shrink the size of the
	close button on notebook tabs.

2005-12-18  Christian Stimming  <stimming@tuhh.de>

	* src/report/standard-reports/*.scm: I18n string cleanup: Fix
	"(N_" for "(_" where applicable.

	* po/glossary/gnc-glossary.txt: Add explanation for trial balance.

2005-12-15  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-transfer.c: The amount of the
	online transfer somehow needs to be negated in the gnucash account
	now.

2005-12-10  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-tree-model-account.c:
	* src/gnome/gnc-plugin-page-account-tree.c:
	* src/gnome/glade/account.glade:
	* src/engine/Account.[ch]: David Jafferian's account deletion
	patch that queries the user about whether to delete or move any
	contained transactions and sub-accounts.

	* src/gnome-utils/dialog-utils.c: Fix the glade auto-connect code
	so it doesn't swap the callback arguments when an explicit
	"object" is provided to the callback.  (This is an unused code
	path that is about to be used.)

	* src/register/register-gnome/gnucash-grid.c: Andreas Köhler's
	patch to fix the alignment of cells in the register.

2005-12-09  Derek Atkins  <derek@ihtfp.com>

	* configure.in: g-wrap 1.9.6 can define the module-dir as
	  share/guile/site -- we want to make sure to get rid of
	  the /site when computing the libdir from this.  Otherwise
	  the runtime will fail to find the g-wrap runtime libraries.
	* src/gnome-utils/gnc-currency-edit.c:
	* src/business/business-gnome/business-urls.c:
	  include <strings.h> to compile on Solaris.

2005-12-08  Christian Stimming  <stimming@tuhh.de>

	* src/report/standard-reports/income-statement.scm, *.scm:
	Unify/simplify several option names for translation.

2005-12-07  Joshua Sled  <jsled@asynchronous.org>

	* hbci-interaction.c (inputBoxCB, getTanCB): printf(%d, size_t)
	casting for 64-bit arch.
	* hbci-interaction.c (showBoxCB, hideBoxCB): uint32->pointer(64) casting.

2005-12-07  David Hampton  <hampton@employees.org>

	* src/gnome/gnc-plugin-page-budget.c:
	* src/gnome/ui/gnc-plugin-page-budget-ui.xml: Add support for
	opening account registers from the budget page.  Use shorter
	toolbar labels.

	* src/gnome-utils/gnc-tree-view-account.c: Add a check that the
	tree selection is in the right mode to call
	gnc_tree_view_account_get_selected_account().

	* configure.in: Comment out the recently introduced second set of
	checks for gconf.  They cause problems with schema installation.

2005-12-06  Joshua Sled  <jsled@asynchronous.org>

	* gnc-main-window.c (gnc_menu_actions): Remove Misc menu.

2005-12-06  David Hampton  <hampton@employees.org>

	* src/gnome/dialog-price-edit-db.c: Fix the edit price to properly
	check the number of selected prices.

	* lib/goffice-0.0.4/goffice/gtk/go-combo-text.c: Comment out
	function that does nothing except generate a compiler warning.

2005-12-06  Joshua Sled  <jsled@asynchronous.org>

	* gog-graph-impl.h: 
	* gog-graph.c (gog_graph_unref_data), (gog_graph_ref_data): Don't
	misuse the Quark storage for pointers, especially because they're
	not integer-sized on a 64-bit platform.

2005-12-06  Derek Atkins  <derek@ihtfp.com>

	* configure.in: remove libgsf/po/Makefile and goffice/po/Makefile
	  because we never build these directories.

	* configure.in:
	  - remove libgsf/doc*
	  - remove GTK_DOC checks
	* lib/libgsf/Makefile.am: remove 'doc' from SUBDIRS and
	  remove distcheck extra flags.
	
2005-12-05  Christian Stimming  <stimming@tuhh.de>

	* src/backend/file/gnc-backend-file.c: Don't chown() the owner,
	only root can do that. Ignore errors on chown() since that means
	the save completed successful anyway.

2005-12-04  Derek Atkins  <derek@ihtfp.com>

	* configure.in: fix some of the output strings
	* lib/libgsf-1.12.3/gsf/glib24_26-compat.c:
	  make g_get_filename_charsets static because it's not
	  needed outside this file.
	* lib/goffice-0.0.4/goffice/glib24_26-compat.c:
	  make _g_compute_locale_variants static because it's
	  not needed outside this file.

	* src/gnome-utils/Makefile.am: Grab svn version using
	  svnversion instead of parsing "svn info".  Also make it
	  so that it doesn't force a rebuild if the version does
	  not change.
	* src/gnome-utils/gnc-splash.c: changed svn version
	  from an integer into a string.  Handle that in the
	  splash screen.

2005-12-04  Joshua Sled  <jsled@asynchronous.org>

	* All: Fold branches/goffice-update/ back into trunk/.

2005-12-04  David Hampton  <hampton@employees.org>

	* src/gnome-utils/test/test-gnc-recurrence.c:
	* src/engine/test-core/test-engine-stuff.c:
	* src/engine/gnc-associate-account.c:
	* lib/libqof/qof/qofquery.c: Don't ignore the return value of glib
	list functions.  This will likely become a warning in future
	version of glib, which translates to an error for gnucash since it
	compiles with the -Werror flag.

2005-12-04  Derek Atkins  <derek@ihtfp.com>

	* macros/autogen.sh: don't warn the user about running
	  configure with zero arguments.  Autogen doesn't run
	  configure anymore.  This confused a user.

2005-12-04  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/druid-hbci-initial.c: Fix crash when
	clicking on "start aqbanking-wizard" with gwenhywfar>=1.99.x.

2005-12-03  Christian Stimming  <stimming@tuhh.de>

	* Makefile.am: Add convenience makefile rule "make pot" for
	updating the translation template. Rename the rule for
	auto-generation of ChangeLog.svn from svn to "ChangeLog.svn".

2005-12-03  Joshua Sled  <jsled@asynchronous.org>

	* split-register-control.c (gnc_split_register_auto_completion):
	Fail fast if no auto-complete requested.
	* split-register.c (gnc_split_register_set_auto_complete): Add new
	configuration option to turn off auto-completion.
	* dialog-scheduledxaction.c (schedXact_editor_create_ledger): Turn
	off auto-complete on the SX template register.

2005-12-03  Joshua Sled  <jsled@asynchronous.org>

	* GNOME2_STATUS: remove GOG-porting notes, spelling fixes.
	
	* sched-xact.glade: 
	* apps_gnucash_dialog_scheduled_transctions.schemas: 
	* dialog-scheduledxaction.c (schedXact_editor_create_ledger):
	Remove the not-really-respected-anyways option to change the
	number of register lines in the SX editor dialog.

2005-12-03  Joshua Sled  <jsled@asynchronous.org>

	* gnc-dense-cal.c (gnc_dense_cal_init): Don't use a hardcoded
	font; get both fonts from the style.

2005-11-30  David Hampton  <hampton@employees.org>

	* src/register/register-gnome/gnucash-header.c:
	* src/business/business-gnome/dialog-date-close.c:
	* src/gnome-utils/gnc-date-edit.c:
	* src/gnome-utils/gnc-html-graph-gog.c:
	* src/gnome-utils/dialog-options.c:
	* src/gnome/window-reconcile.c:
	* src/gnome/dialog-sxsincelast.c:
	* src/gnome/dialog-tax-info.c:
	* src/gnome-search/search-account.c:
	* src/gnome-search/dialog-search.c: Eliminate the deprecated
	function gtk_widget_set_usize().

	* src/register/register-gnome/gnucash-date-picker.c:
	* src/business/business-gnome/search-owner.c:
	* src/gnome-utils/gnc-query-list.c:
	* src/gnome/gnc-split-reg.c: Finish converting type creation over
	from gtk_type_unique() to g_type_register_static().

	* various: More trivial conversions from deprecated gtk/gnome
	functions to supported functions.

2005-11-29  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gw-gnome-utils-spec.scm:
	* src/gnome-utils/dialog-utils.[ch]: Remove unused function.

	* various: More syntactic sugar converting from gtk_object_xxx
	functions to g_object_xxx functions.

	* various: Syntactic sugar converting from gtk_signal_xxx
	functions to g_signal_yyy functions.

	* src/gnome-utils/gnc-gnome-utils.c:
	* src/gnome-utils/gnc-html-guppi.[ch]:
	* src/gnome-utils/Makefile.am:
	* src/gnome-utils/gnc-html.c:
	* src/gnome/Makefile.am:
	* lib/Makefile.am:
	* lib/README:
	* lib/guppi-legend.patch:
	* configure.in: Remove all remaining references to guppi.

	* rpm/gnucash.spec.in: Quick update for 2.0 requirements.  Needs
	to actually be tested.

	* src/import-export/qif/qif-parse.c:
	* src/import-export/hbci/druid-hbci-initial.c:
	* src/import-export/hbci/hbci-interaction.c:
	* src/import-export/hbci/druid-hbci-utils.c:
	* src/import-export/hbci/dialog-hbcitrans.c:
	* src/import-export/hbci/gnc-hbci-trans-templ.[ch]:
	* src/gnome-utils/gnc-tree-model-account.c:
	* src/gnome/dialog-sx-from-trans.c:
	* src/gnome/dialog-scheduledxaction.c:
	* configure.in: Eliminate all remaining use of deprecated glib
	functions.  Enable the compile time flag to prevent any of these
	deprecated routines from creeping back into the source.

2005-11-28  David Hampton  <hampton@employees.org>

	* src/import-export/qif-import/qif-to-gnc.scm:
	* src/import-export/qif-import/qif-merge-groups.scm:
	* src/import-export/qif-import/qif-file.scm:
	* src/import-export/hbci/hbci-interaction.c:
	* src/gnome/gw-gnc-spec.scm:
	* src/gnome/dialog-progress.[ch]: Migrate from the deprecated
	gtk_progress interface to the supported gtk_progress_bar.
	
	* src/import-export/qif-import/druid-qif-import.c: Need to escape
	user input string to prevent errors from gtk.

	* src/gnome-utils/gnc-main-window.c:
	* Makefile.am:
	* TRANSLATORS: Fix the translator credits in the gtk2.6 about box.
	They should come from the translation, not a static file.

	* src/gnome-utils/gnc-gui-query.glade: Mark a couple of strings as
	not needing translation.

2005-11-27  David Hampton  <hampton@employees.org>

	*src/gnome-utils/druid-gconf-setup.glade: Make the capitalization
	consistent across the titles of all pages.

	* src/backend/file/io-gncbin-r.c:
	* src/backend/file/gnc-pricedb-xml-v2.c:
	* src/backend/file/io-gncxml-v1.c:
	* src/backend/postgres/price.c:
	* src/engine/gnc-pricedb.[ch]:
	* src/engine/gnc-pricedb-p.h: Better integrate stock prices with
	QOF.  Gnucash now warns you about unsaved stock price changes.

2005-11-26  David Hampton  <hampton@employees.org>

	* src/gnome/gnc-plugin-page-register.c: Change "Reverse
	Transaction" menu item to be "Add Reversing Transaction".

	* src/gnome/gnc-plugin-page-register.c: Eliminate extra redrawing
	of the register by suspending events around the entire reverse
	transaction operation.  Speed up the command significantly.

	* src/engine/Transaction.c: Initialize the qof entity in the new
	split, not the old one.

2005-11-26  David Hampton  <hampton@employees.org>

	* lib/goffice-0.0.4/plugins/plot_radar/gog-radar.c:
	* lib/goffice-0.0.4/goffice/app/go-plugin.c: Compile cleanly using
	gcc4.

2005-11-25  David Hampton  <hampton@employees.org>

	* src/business/dialog-tax-table/dialog-tax-table.c: Andreas
	Köhler's patch to prevent a patch when trying to edit a
	non-existent tax table entry.

	* src/register/ledger-core/dialog-dup-trans.c:
	* src/gnome/glade/register.glade: Fix the duplicate transaction
	dialog so that the "Enter" key activates the dialog box.  Fixes
	104496.

	* src/gnome-utils/gnc-date-edit.[ch]:
	* src/gnome/window-reconcile.c:
	* src/gnome-search/search-date.c: Update function name to match
	its g2 implementation.

	* src/gnome-utils/dialog-commodity.c: Consistently use the string
	"currency" in the commodity picker window instead of the string
	ISO4217.  Previous behavior wasn't consistent. Fixes 167388.

	* src/gnome/dialog-price-edit-db.c: Allow selection of multiple
	prices at once.  Multiple prices can be deleted at the same time,
	but not edited. implements 147557.

	* src/gnome-utils/gnc-tree-view-price.c: Fix the
	gnc_tree_view_price_set_selected_price function to ignore exchange
	and commodity entries.

	* src/gnome/dialog-price-edit-db.c: Enhance the "remove old
	prices" code to have options to retain the last price entered, and
	to retain any user entered prices.  The "remove old" button should
	always be active.  Group the "Add/Edit/Remove" buttons for a
	single price.  Allow the prices dialog to be closed with the
	escape key.

	* src/gnome-utils/gnc-date-edit.c: Show widget by default when its
	created for a glade dialog.

	* src/gnome-utils/gnc-file.c: Shouldn't still be calling the old
	save state functions.

	* src/scm/main-window.scm: Fix crash when saving files.

	* src/report/report-gnome/gnc-plugin-page-report.c:
	* src/business/business-gnome/gnc-plugin-page-invoice.c:
	* src/gnome-utils/gnc-main-window.c:
	* src/gnome/gnc-plugin-page-register.c:
	* src/gnome/gnc-plugin-page-account-tree.c: Update default
	accelerator keys as per the HIG.

2005-11-25  Derek Atkins  <derek@ihtfp.com>

	* src/gnome-utils/Makefile.am:
	  add GSF_CFLAGS
	* lib/goffice-0.0.4/goffice/utils/go-libxml-extras.c
	  lib/goffice-0.0.4/goffice/utils/datetime.c:
	  lib/goffice-0.0.4/goffice/graph/gog-chart.c
	  lib/goffice-0.0.4/goffice/graph/gog-plot.c
	  lib/goffice-0.0.4/goffice/graph/gog-object.c
	  lib/goffice-0.0.4/goffice/gtk/goffice-gtk.c:
	  look for goffice/glib24_26-compat.h
	* lib/goffice-0.0.4/goffice/Makefile.am:
	  don't deal with goffice-features.h anymore
	* configure.in:
	  fix for FC3 dependencies
	* Makefile.am:
	  create goffice -> , symlink when building internal goffice

2005-11-23  David Hampton  <hampton@employees.org>

	* src/report/report-gnome/report-gnome.scm:
	* src/gnome-utils/gnc-menu-extensions.c:
	* src/gnome-utils/gnc-menu-extensions.h:
	* src/gnome-utils/gnc-plugin-menu-additions.c:
	* src/gnome-utils/gnome-utils.scm:
	* src/gnome-utils/gnc-menu-extensions.scm: Rewrite the code that
	assigns accelerator keys to the names of menu extensions.  The new
	C language implementation is now called as late as possible (when
	menus are populated), and rewritten understands utf8 strings.  The
	code now also translates the menu extension path components as it
	goes so that sub-menus will appear properly in non-English
	languages.

	* src/gnome-utils/ui/gnc-main-window-ui.xml:
	* src/gnome-utils/gnc-main-window.c:
	* src/gnome/top-level.c: Restore long lost functionality to
	customize the accelerator keys on menu items.

	* src/gnome-utils/druid-gconf-setup.c:
	* src/engine/test/test-resolve-file-path.c:
	* src/app-utils/gnc-ui-util.c:
	* lib/libqof/qof/guid.c: Use the g_get_home_dir() function instead
	of getenv("HOME").  The former tries multiple places to get the
	path to the users home directory.
	
	* src/import-export/qif-import/qif-guess-map.scm:
	* src/scm/command-line.scm:
	* src/scm/main.scm:
	* src/scm/main-window.scm:
	* src/scm/path.scm:
	* src/engine/gnc-filepath-utils.c:
	* src/engine/gnc-filepath-utils.h:
	* src/engine/gw-engine-spec.scm:
	* src/app-utils/file-utils.c:
	* src/app-utils/gnc-exp-parser.c: Consolidate the creation of all
	file names under ~/.gnucash, and also consolidate checks for the
	existence of ~/.gnucash and ~/.gnucash/books.  Add better error
	messages when there is a problem.

2005-11-22  David Hampton  <hampton@employees.org>

	* src/import-export/schemas/apps_gnucash_import_generic_matcher.schemas:
	* src/import-export/import-main-matcher.c:
	* src/import-export/generic-import.glade:
	* src/import-export/import-match-picker.c:
	* src/import-export/hbci/schemas/apps_gnucash_dialog_hbci.schemas:
	* src/import-export/hbci/hbci-interaction.c:
	* src/import-export/hbci/glade/hbci.glade:
	* src/import-export/hbci/glade/hbcipass.glade: Dialog makeovers.
	Split the generic matcher transaction list help out into a
	separate window so it doesn't blow out the dialog or get cut off.
	Update some of the dialogs for the new HIG styles.  Make a couple
	of dialogs start smaller.  Remember dialog sizes (add schema
	entries too).  Fix a couple of gtk2 conversion problems.  Remove
	some lines added by glade 2.10.
	
2005-11-22  Neil Williams <linux@codehelp.co.uk>

	* src/backend/Makefile.am : Remove redundant variable. 

2005-11-22  Neil Williams <linux@codehelp.co.uk>

	* src/backend/postgres/PostgresBackend.c : Correct
	postgres access_method.

2005-11-22  Neil Williams <linux@codehelp.co.uk>

	* configure.in : Remove net and RPC backends,
	Tidy up --with and --enable output to --help
	* po/POTFILES.in : Remove RPC and net related files.
	* src/backend/Makefile.am : Remove net and RPPC
	* src/backend/net : Removed all files.
	* src/backend/qsf : Removed stub. 
	* src/backend/rpc : Removed all files. 
	* src/engine/gnc-engine.c : Remove gnc_run_rpc_server
	function.
	* src/engine/gnc-engine.h : Remove -gnc_run_rpc_server
	definition.
	* src/engine/gnc-filepath-utils.c : Remove rpc://
	* src/engine/gw-engine-spec.scm : Remove g-wrapper
	* src/README.modules : Document removal of RPC.

2005-11-22  Christian Stimming  <stimming@tuhh.de>

	* po/nb.po: Updated Norwegian (bokmaal) translation by Tor Harald
	Thorland <linux@strigen.com>.

	* po/glossary/nb.po: New filename for Norwegian (bokmaal) glossary
	-- it used to be stored under no.po but that is no longer.

2005-11-21  David Hampton  <hampton@employees.org>

	* src/report/report-gnome/report.glade:
	* src/report/report-gnome/dialog-column-view.c: Give the dialogs a
	gtk2 look.  Add accelerator keys.  Use the gtk dialog functions.
	Take care of some resizing problems.

	* src/import-export/import-main-matcher.c:
	* src/register/register-gnome/gnucash-sheet.c: Use gtk version of
	various functions instead of gnome versions.  Rest of the file was
	converted long ago.

	* src/gnome/glade/userpass.glade:
	* src/gnome/dialog-userpass.c: Finish conversion to a
	GtkDialog. Redo dialog as a table instead of boxes in boxes.

2005-11-21  Derek Atkins  <derek@ihtfp.com>

	* src/gnome-utils/Makefile.am: exit if "svn info" fails.

2005-11-21  Neil Williams <linux@codehelp.co.uk>

	Use only qof.h in place of other QOF headers,
	as per the API, to ease future conversions
	from libqof1 to libqof2.
	* src/app-utils/gnc-component-manager.h : 
	* src/app-utils/gnc-euro.h : 
	* src/app-utils/gnc-exp-parser.h : 
	* src/app-utils/gnc-ui-util.h : 
	* src/app-utils/guile-util.h : 
	* src/app-utils/option-util.h : 
	* src/backend/dwi/qofmap.h : 
	* src/backend/file/gnc-book-xml-v2.c : 
	* src/backend/file/gnc-recurrence-xml-v2.c : 
	* src/backend/file/gnc-xml.h : 
	* src/backend/file/io-gncbin.h : 
	* src/backend/file/io-gncxml.h : 
	* src/backend/file/io-gncxml-v1.c : 
	* src/backend/file/io-gncxml-v2.h : 
	* src/backend/file/io-utils.h : 
	* src/backend/file/sixtp-dom-generators.h : 
	* src/backend/file/sixtp-dom-parsers.h : 
	* src/backend/file/sixtp-utils.h : 
	* src/backend/file/test/test-dom-converters1.c : 
	* src/backend/file/test/test-file-stuff.h : 
	* src/backend/file/test/test-kvp-frames.c : 
	* src/backend/file/test/test-save-in-lang.c : 
	* src/backend/file/test/test-xml-commodity.c : 
	* src/backend/gnc-backend-api.h : 
	* src/backend/net/NetIO.c : 
	* src/backend/postgres/account.h : 
	* src/backend/postgres/book.h : 
	* src/backend/postgres/builder.c : 
	* src/backend/postgres/builder.h : 
	* src/backend/postgres/checkpoint.c : 
	* src/backend/postgres/checkpoint.h : 
	* src/backend/postgres/escape.c : 
	* src/backend/postgres/events.h : 
	* src/backend/postgres/kvp-sql.c : 
	* src/backend/postgres/kvp-sql.h : 
	* src/backend/postgres/putil.c : 
	* src/backend/postgres/putil.h : 
	* src/backend/postgres/txn.c : 
	* src/backend/postgres/txn.h : 
	* src/backend/postgres/txnmass.h : 
	* src/backend/postgres/upgrade.c : 
	* src/backend/rpc/gncRpc.h : 
	* src/backend/rpc/gncRpc_server.c : 
	* src/backend/rpc/RpcBackend.c : 
	* src/backend/rpc/RpcServer.c : 
	* src/backend/rpc/RpcUtils.c : 
	* src/business/business-core/file/gnc-bill-term-xml-v2.c : 
	* src/business/business-core/file/gnc-owner-xml-v2.h : 
	* src/business/business-gnome/business-gnome-utils.c : 
	* src/business/business-gnome/business-options-gnome.c : 
	* src/business/business-gnome/business-urls.c : 
	* src/business/business-gnome/dialog-billterms.c : 
	* src/business/business-gnome/dialog-customer.c : 
	* src/business/business-gnome/dialog-date-close.c : 
	* src/business/business-gnome/dialog-date-close.h : 
	* src/business/business-gnome/dialog-employee.c : 
	* src/business/business-gnome/dialog-invoice.c : 
	* src/business/business-gnome/dialog-invoice.h : 
	* src/business/business-gnome/dialog-job.c : 
	* src/business/business-gnome/dialog-order.c : 
	* src/business/business-gnome/dialog-payment.c : 
	* src/business/business-gnome/dialog-vendor.c : 
	* src/business/business-ledger/gncEntryLedgerModel.c : 
	* src/business/business-ledger/gncEntryLedgerP.h : 
	* src/business/dialog-tax-table/dialog-tax-table.c : 
	* src/engine/cap-gains.h : 
	* src/engine/engine-helpers.h : 
	* src/engine/gnc-book.h : 
	* src/engine/gnc-budget.h : 
	* src/engine/gnc-commodity.h : 
	* src/engine/GNCId.h : 
	* src/engine/gncObject.h : 
	* src/engine/gnc-session.h : 
	* src/engine/gnc-session-scm.h : 
	* src/engine/gw-engine-spec.scm : 
	* src/engine/gw-kvp-spec.scm : 
	* src/engine/kvp-scm.h : 
	* src/engine/Period.h : 
	* src/engine/QueryCore.h : 
	* src/engine/QueryNew.h : 
	* src/engine/QueryObject.h : 
	* src/engine/SX-book-p.h : 
	* src/engine/test-core/test-engine-stuff.h : 
	* src/engine/test/test-freq-spec.c : 
	* src/engine/test/test-querynew.c : 
	* src/engine/test/test-recurrence.c : 
	* src/engine/Transaction.c : 
	* src/engine/Transaction.h : 
	* src/engine/TransactionP.h : 
	* src/engine/TransLog.c : 
	* src/gnome/dialog-commodities.c : 
	* src/gnome/dialog-price-editor.c : 
	* src/gnome/dialog-sx-from-trans.c : 
	* src/gnome/dialog-tax-info.c : 
	* src/gnome/druid-acct-period.c : 
	* src/gnome/druid-merge.h : 
	* src/gnome/druid-stock-split.c : 
	* src/gnome/gnc-plugin-budget.c : 
	* src/gnome/gnc-plugin-page-budget.c : 
	* src/gnome/gw-gnc-spec.scm : 
	* src/gnome/reconcile-list.h : 
	* src/gnome-search/search-date.h : 
	* src/gnome-search/search-numeric.h : 
	* src/gnome-utils/dialog-exchange.h : 
	* src/gnome-utils/dialog-options.c : 
	* src/gnome-utils/druid-utils.c : 
	* src/gnome-utils/gnc-account-sel.c : 
	* src/gnome-utils/gnc-amount-edit.c : 
	* src/gnome-utils/gnc-amount-edit.h : 
	* src/gnome-utils/gnc-date-format.h : 
	* src/gnome-utils/gnc-dialog.c : 
	* src/gnome-utils/gnc-file.h : 
	* src/gnome-utils/gnc-gui-query.c : 
	* src/gnome-utils/gnc-html-graph-gog.c : 
	* src/gnome-utils/gnc-html-guppi.c : 
	* src/gnome-utils/gncmod-gnome-utils.c : 
	* src/gnome-utils/gnc-plugin.c : 
	* src/gnome-utils/gnc-plugin-menu-additions.c : 
	* src/gnome-utils/gnc-plugin-page.c : 
	* src/gnome-utils/gnc-plugin-page.h : 
	* src/gnome-utils/gnc-query-list.c : 
	* src/gnome-utils/gnc-recurrence.c : 
	* src/gnome-utils/gnc-tree-model-account-types.c : 
	* src/gnome-utils/gnc-tree-model-commodity.c : 
	* src/gnome-utils/gnc-tree-model-example-account.c : 
	* src/gnome-utils/gnc-tree-model-price.c : 
	* src/gnome-utils/gnc-window.c : 
	* src/gnome-utils/test/test-gnc-dialog.c : 
	* src/gnome/window-main-summarybar.c : 
	* src/import-export/binary-import/druid-commodity.h : 
	* src/import-export/hbci/dialog-daterange.h : 
	* src/import-export/hbci/gnc-hbci-gettrans.c : 
	* src/import-export/hbci/gnc-hbci-kvp.h : 
	* src/import-export/hbci/gnc-hbci-trans-templ.h : 
	* src/import-export/hbci/gnc-hbci-utils.c : 
	* src/import-export/hbci/gnc-plugin-hbci.c : 
	* src/import-export/import-main-matcher.c : 
	* src/import-export/import-match-map.c : 
	* src/import-export/import-match-picker.c : 
	* src/import-export/import-parse.h : 
	* src/import-export/import-utilities.c : 
	* src/import-export/log-replay/gnc-log-replay.c : 
	* src/import-export/qif-import/druid-qif-import.c : 
	* src/import-export/qif/qif-import.h : 
	* src/import-export/qif/qif-objects-p.h : 
	* src/network-utils/gnc-http.c : 
	* src/register/ledger-core/dialog-dup-trans.c : 
	* src/register/ledger-core/split-register-load.c : 
	* src/register/register-core/datecell.h : 
	* src/register/register-core/formulacell.h : 
	* src/register/register-core/pricecell.h : 

2005-11-20  David Hampton  <hampton@employees.org>

	* src/import-export/hbci/gnc-hbci-gettrans.c:
	* src/import-export/hbci/hbci-interaction.c:
	* src/import-export/hbci/gnc-hbci-getbalance.c: Convert a couple
	of dialogs from the deprecated gnome_ok_dialog to a
	gtk_message_dialog.

	* src/import-export/import-account-matcher.c:
	* src/import-export/generic-import.glade: Put the account tree
	into a scrolled window so the dialog buttons don't get pushed
	off-screen when you expand the accounts.

	* src/gnome-utils/gnc-gui-query.[ch]: Remove unused functions.

	* src/gnome/gnc-split-reg.c: Update dialogs to give them a Gtk2
	HIG look and feel.

	*src/gnome-utils/dialog-reset-warnings.c: Make a function
	static. Remove extraneous printf.

	*/src/gnome-utils/preferences.glade: Fix a typo.

	* src/report/report-gnome/window-report.c: Use a GtkMessageDialog
	instead of the deprecated gnome_ok_dialog function.

	* src/gnome-utils/dialog-options.c: Convert the font picker and
	color picker from deprecated gnome widgets to their gtk
	counterparts.  Also convert the image picker when compiled with
	gtk2.6 or better.

	* src/report/report-gnome/dialog-style-sheet.c: Close stylesheet
	edit dialog when the stylesheet picker dialog is closed.  Prevents
	a crash.

	* src/gnome-utils/gnc-file.c:
	* src/gnome-utils/dialog-utils.[ch]: Convert the "file locked"
	message to a GtkMessageDialog.  Add a utility function for
	creating buttons with images attached.

	* src/gnome-utils/gnc-main-window.c: Use the new GtkAboutDialog
	when compiling with gtk2.6.

	* src/core-utils/gnc-gdate-utils.c:
	* src/backend/postgres/test/test-db.c:
	* src/import-export/hbci/gnc-hbci-gettrans.c:
	* src/engine/gnc-filepath-utils.c:
	* src/engine/FreqSpec.c:
	* src/engine/test/test-freq-spec.c:
	* src/gnome/druid-loan.c:
	* src/gnome/druid-acct-period.c:
	* src/gnome/dialog-sx-from-trans.c:
	* src/gnome/dialog-scheduledxaction.c:
	* src/gnome/dialog-sxsincelast.c:
	* src/app-utils/gnc-exp-parser.c:
	* lib/libqof/qof/qofquery.c:
	* lib/libqof/qof/gnc-date.c: Andreas Köhler's patch to replace
	some deprecated glib functions.
	
	* src/backend/file/gnc-backend-file.c:
	* src/gnome-utils/dialog-utils.c: Fix some build problems on FC3
	related to the include file changes.

2005-11-20  Neil Williams  <linux@codehelp.co.uk>

	* src/core-utils/gnc-gkeyfile-utils.c : Modifying Scott's
	64bit patch to retain compatibility with OSX.
	* doc/build-osx.txt : Updating build advice for OSX.

2005-11-20  David Hampton  <hampton@employees.org>

	* TRANSLATORS:
	* LICENSE:
	* DOCUMENTERS:
	* Makefile.am: Add new files.

	* AUTHORS: Convert to utf-8.

	* src/backend/file/gnc-backend-file.c: Need to include locale.h to
	compile without optimization.

2005-11-20  Christian Stimming  <stimming@tuhh.de>

	* po/glossary/no.po: Updated Norwegian/Bokmaal glossary
	translation by Tor Harald Thorland <linux@strigen.com>.

2005-11-20  Neil Williams  <linux@codehelp.co.uk>

	* goffice-config.h.in : svn moved from 
		lib/goffice-0.0.4/goffice to prevent unnecessary
		subdirectory inclusion in make outside lib.
	* goffice-features.h.in : svn moved from
		lib/goffice-0.0.4/goffice.
	* gsf-config.h.in : svn moved from lib/libsf-1.12.3
	* configure.in : Create AC_CONFIG_HEADERS only in
		$(top_srcdir) and stop using LDFLAGS = -no-undeclared
	* lib/goffice-0.0.4/goffice-plugins.mk : handle new config
		header location.
	* lib/goffice-0.0.4/tests/Makefile.am : Don't overwrite AM_LDFLAGS
	* lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/Makefile.am :
		handle new config header location.
  * lib/goffice-0.0.4/goffice.mk : Handle new config header location.

2005-11-20  Neil Williams  <linux@codehelp.co.uk>

	* lib/goffice-0.0.4/plugins/plot_radar/gog-radar.c :
		Mac OSX fix: comment out #warning
	* lib/goffice-0.0.4/plugins/plot_xy/gog-bubble-prefs.c :
	* lib/goffice-0.0.4/plugins/plot_xy/gog-xy.c :
	* lib/goffice-0.0.4/goffice/app/file.c :
	* lib/goffice-0.0.4/goffice/gtk/go-combo-pixmaps.c :
	* lib/goffice-0.0.4/goffice/gtk/go-action-combo-color.c :
	* lib/goffice-0.0.4/goffice/gtk/go-font-sel.c :
	* lib/goffice-0.0.4/goffice/gtk/go-color-palette.c :
	* lib/goffice-0.0.4/goffice/gtk/go-combo-color.c :
	* lib/goffice-0.0.4/goffice/gtk/go-combo-box.c :
	* lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas-line.c
	* lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas-polygon.c
	* lib/goffice-0.0.4/goffice/utils/go-pattern.c
	* lib/goffice-0.0.4/goffice/graph/gog-guru.c
	* lib/goffice-0.0.4/goffice/graph/gog-legend.c
	* lib/goffice-0.0.4/goffice/graph/gog-graph.c
	* lib/goffice-0.0.4/goffice/graph/gog-error-bar.c
	* lib/goffice-0.0.4/goffice/graph/gog-style.c
	* lib/goffice-0.0.4/goffice/graph/gog-theme.c
	* lib/libgsf-1.12.3/gsf-gnome/gsf-input-bonobo.c :

	* lib/goffice-0.0.4/goffice.mk :
	Adding AM_LDFLAGS for OSX build

	* lib/goffice-0.0.4/ : setting svn:ignore
	* lib/libgsf-1.12.3/ : setting svn:ignore

2005-11-19  David Hampton  <hampton@employees.org>

	* various: More include file tweaking.  Don't include gtk.h from
	any header files.  Add in some includes that are currently
	pulled in by deprecated parts of the gnome library.

	* numerous: Include file cleanup.  Remove the messages.[ch] files
	in favor of the glib supplied gi18n.h file.  Replace includes of
	gnome.h with gtk.h (or better yet glib.h) wherever possible.
	Don't include gnome.h from any header files.  Remove some
	extraneous includes.

	* src/gnome-utils/gnc-date-format.[ch]: Remove unused function.

2005-11-18  David Hampton  <hampton@employees.org>

	* src/import-export/qif-import/druid-qif-import.c:
	* src/gnome/druid-loan.c:
	* src/gnome/window-reconcile.c:
	* src/gnome/lot-viewer.c:
	* src/gnome/druid-acct-period.c:
	* src/gnome/druid-merge.c:
	* src/gnome/druid-stock-split.c:
	* src/gnome/druid-hierarchy.c: Remove calls to the noop function
	gnome_window_icon_set_from_default().  In gtk2 all windows get the
	default application icon unless specified otherwise.

2005-11-18  Derek Atkins  <derek@ihtfp.com>

	* configure.in:  Derrick Hudson's patch to tell users
	  that they need gtkhtml-3.

2005-11-18  David Hampton  <hampton@employees.org>

	* src/report/report-gnome/gnc-plugin-page-report-ui.xml:
	* src/report/report-gnome/gnc-plugin-page-report.c: Restore the
	"Save Report" code that was lost in one of the head->g2 syncs.

2005-11-17  David Hampton  <hampton@employees.org>

	* src/quotes/dump-finance-quote: Add support for printing currency
	quotes.  Report a failure of F::Q to return a currency quote.

	* most files: Update FSF street address.

2005-11-16  David Hampton  <hampton@employees.org>

	* src/import-export/qif-import/dialog-account-picker.c:
	* src/business/business-gnome/dialog-vendor.c:
	* src/business/business-gnome/gnc-plugin-business.c:
	* src/business/business-gnome/dialog-customer.c:
	* src/business/business-gnome/dialog-job.c:
	* src/business/business-gnome/gnc-plugin-page-invoice.c:
	* src/business/business-gnome/dialog-employee.c:
	* src/business/business-gnome/business-options-gnome.c:
	* src/business/business-gnome/dialog-invoice.c:
	* src/gnome-utils/druid-gconf-setup.c:
	* src/gnome-utils/gnc-gnome-utils.c:
	* src/gnome-utils/gnc-main-window.c:
	* src/gnome-utils/dialog-utils.c:
	* src/gnome/druid-hierarchy.c: Sjoerd Langkemper's <sjoerd-gnome
	at linuxonly.nl> fixes to cast sentinel markers to pointers.
	Solves compilation problems on 64 bit architectures using
	gcc4/glib2.6.  Fixes #321316.

	* lib/goffice/gui-utils/go-combo-text.c: Remove unused call to
	g_object_set.

2005-11-16  Christian Stimming  <stimming@tuhh.de>

	* ChangeLog: Split top-level ChangeLog by year. Everything before
	2001 is in ChangeLog.1, and since then all entries are in the
	respective year's ChangeLog.
	
	* src/business/business-gnome/gnc-plugin-business.c: Add ellipsis
	to menu labels that require further action from user. See
	http://developer.gnome.org/projects/gup/hig/2.0/menus-design.html#menu-item-types

	* po/de.po: Updated German translation by Andreas Köhler
	<KoehlerAndreas@web.de>

2005-11-15  David Hampton  <hampton@employees.org>

	* src/core-utils/gnc-gkeyfile-utils.c: Undo double fix of compiler
	warnings.

	* ChangeLog: Convert to utf-8.

2005-11-15  Neil Williams <linux@codehelp.co.uk>

	* src/doc/doxygen.cfg.in : Add lib/libqof to the
	Doxygen output.

2005-11-14  David Hampton  <hampton@employees.org>

	* src/gnome/glade/print.glade: Remove extraneous carriage return.

	* src/gnome-utils/gnc-file.c: Pass the action variable to
	gtk_file_chooser_dialog_new() to get the right style of
	dialog (open, save. etc.).

	* src/gnome/glade/price.glade: Phil Longstaff's changes to set
	GTK_SHADOW_IN in the commodities dialog scroll box and the account
	dialog parent scroll box.  Also make the 'edit', 'remove' and
	'remove-old' buttons on the price db dialog box insensitive until
	a price is chosen.

	* src/core-utils/gnc-gkeyfile-utils.c:
	* src/gnome-utils/gnc-main-window.c: Scott Oonk's for for x86_64
	compile warnings.
	
	* src/gnome-utils/dialog-preferences.c:
	* src/gnome-utils/preferences.glade:
	* src/gnome/glade/sched-xact.glade: Andreas Köhler's patch to set
	some border widths inside the main preferences window to the HIG
	specified 6px. Fix alignment of the "General / New search limit"
	label.

	* src/gnome-utils/gnc-plugin-file-history.c: Read the maxfiles key
	from gconf.  Move one function and change another to take a
	partial key instead of a full key.

	* src/gnome-utils/gnc-tree-model-commodity.c:
	* src/gnome-utils/gnc-tree-model-price.c: Bump deleted item
	removal to a higher priority.

	* src/gnome-utils/gnc-tree-model-account.c: Correctly update the
	tree model when an account is moved. Fixes #313782.

	* src/gnome-utils/gnc-date-edit.c:
	* src/gnome/window-reconcile.c:
	* src/gnome/dialog-scheduledxaction.c: Replace deprecated
	gtk_window_set_policy() function with gtk_window_set_resizable().

2005-11-14  Christian Stimming  <stimming@tuhh.de>

	* po/glossary/gnc-glossary.txt: Add explanations to new strings in
	glossary. Merge these into the language glossaries.

	* make-gnucash-potfiles.in: Update potfiles script so that it
	works without the old cvsignore files again.

2005-11-13  David Hampton  <hampton@employees.org>

	* various src/gnome-utils and src/gnome files: Add documentation.

	* src/gnome-utils/gnc-menu-extensions.[ch]: Remove unused
	functions.

	* src/gnome-utils/gnc-plugin.[ch]:
	* src/gnome/gnc-plugin-budget.c:
	* src/gnome/gnc-plugin-register.c:
	* src/gnome/gnc-plugin-account-tree.c: Remove vestigial code from
	the very early days of the gtk2 port.

	* src/report/report-gnome/gnc-plugin-page-report.c:
	* src/business/business-gnome/gnc-plugin-page-invoice.c:
	* src/gnome-utils/gnc-plugin.c:
	* src/gnome-utils/gnc-plugin.h:
	* src/gnome/gnc-plugin-page-register.c:
	* src/gnome/gnc-plugin-page-account-tree.c:
	* src/gnome/gnc-plugin-page-budget.c: Clarify what "short" labels
	are used for by adding comments and changing array names.

2005-11-13  Derek Atkins  <derek@ihtfp.com>

	* src/core-utils/gnc-gkeyfile-utils.c: cast the
	  printf so we don't warn when sizeof(ssize_t) !=
	  sizeof(int).  In this case the cast is safe because
	  we can only write an int-size of data.

2005-11-13  Neil Williams <linux@codehelp.co.uk>

	* src/backend/file/sixtp.c : Remove deprecated
	SAX function. Closes bug #319559.

2005-11-13  Neil Williams <linux@codehelp.co.uk>

	* make-gncuash-potfiles.in : Add a specific
	call to read one libqof file.
	* po/POTFILES.in : the updated POTFILES list.

2005-11-13  Neil Williams <linux@codehelp.co.uk>

	* configure.in : New locations of QOF files and
	postgres fix to clean up CFLAGS
	* lib/Makefile.am : New directory.
	* src/engine/Makefile.am : Remove QOF build
	* src/backend/Makefile.am : Remove QSF directory.
	* src/backend/postgres/test/Makefile.am : Build tests
	without linking against the GModule to retain portability.
	* src/import-export/qif-import/test/Makefile.am : Adjusted
	linkage due to library changes.
	* src/gnome-utils/test/Makefile.am : Adjusted linkage
	due to library changes.

	Moving QSF to lib/libqof/backend/file
	* src/backend/qsf/qsf-backend.c
	* src/backend/qsf/pilot-qsf-GnuCashInvoice.xml
	* src/backend/qsf/qsf-dir.h.in
	* src/backend/qsf/qsf-map.xsd.xml
	* src/backend/qsf/qsf-xml-map.c
	* src/backend/qsf/qof-backend-qsf.h
	* src/backend/qsf/qsf-xml.c
	* src/backend/qsf/Makefile.am
	* src/backend/qsf/qsf-object.xsd.xml
	* src/backend/qsf/qsf-xml.h :

	Moving QOF to lib/libqof/qof/
	* src/engine/qofbook-p.h
	* src/engine/gnc-trace.c
	* src/engine/qofquery-deserial.h
	* src/engine/gnc-trace.h
	* src/engine/gnc-date.c
	* src/engine/qofquerycore-p.h
	* src/engine/gnc-date.h
	* src/engine/qofquery-serialize.c
	* src/engine/qofid.c
	* src/engine/qofquery-serialize.h
	* src/engine/qofid.h
	* src/engine/gnc-engine-util.c
	* src/engine/gnc-event.c
	* src/engine/qofgobj.c
	* src/engine/gnc-engine-util.h
	* src/engine/gnc-event.h
	* src/engine/qofgobj.h
	* src/engine/qofbook.c
	* src/engine/qofchoice.c
	* src/engine/qofbook.h
	* src/engine/qofchoice.h
	* src/engine/kvp_frame.c
	* src/engine/qofquery.c
	* src/engine/kvp_frame.h
	* src/engine/qofquery.h
	* src/engine/qofquerycore.c
	* src/engine/qofquerycore.h
	* src/engine/qofsession.c
	* src/engine/qofsession-p.h
	* src/engine/qofsession.h
	* src/engine/qofid-p.h
	* src/engine/qofsql.c
	* src/engine/gnc-numeric.c
	* src/engine/qofsql.h
	* src/engine/gnc-numeric.h
	* src/engine/kvp-util-p.h
	* src/engine/qofclass-p.h
	* src/engine/qof_book_merge.c
	* src/engine/qof_book_merge.h
	* src/engine/gnc-event-p.h
	* src/engine/qofla-dir.h.in
	* src/engine/qof.h
	* src/engine/qofinstance.c
	* src/engine/qofinstance.h
	* src/engine/qofmath128.c
	* src/engine/qofmath128.h
	* src/engine/qofobject-p.h
	* src/engine/Makefile.am
	* src/engine/qofbackend.c
	* src/engine/qofbackend-p.h
	* src/engine/qofbackend.h
	* src/engine/qofinstance-p.h
	* src/engine/qofquery-p.h
	* src/engine/md5.c
	* src/engine/md5.h
	* src/engine/kvp-util.c
	* src/engine/qofclass.c
	* src/engine/qof-be-utils.h
	* src/engine/qofobject.c
	* src/engine/kvp-util.h
	* src/engine/qofclass.h
	* src/engine/qofobject.h
	* src/engine/guid.c
	* src/engine/guid.h
	* src/engine/qofquery-deserial.c :

2005-11-12  Christian Stimming  <stimming@tuhh.de>

	* src/*/*.glade: String improvements: Fix typos, remove
	unnecessary spaces from translations.

2005-11-11  Christian Stimming  <stimming@tuhh.de>

	* po/*.po: Copy translations from old 1.8 branch to HEAD and merge
	them with the current pot template. From now on, the translation
	work should continue on HEAD (a public call for translations will
	follow in some weeks).
	
	* account/*/.xea: Explicitly denote the encoding of the file in
	the initial xml tag. Fixes problems in the new-file-wizard in all
	non-C locales.
	
	* po/glossary/*.po: Copy glossary po files from old 1.8 branch to
	HEAD.

2005-11-11  David Hampton  <hampton@employees.org>

	* src/import-export/log-replay/gnc-log-replay.c: Eliminate double
	free of memory by just freeing default_dir once at the end of the
	function.  The gnc_extract_directory() routine will handle any
	intermediate freeing if called multiple times.

	* src/app-utils/file-utils.[ch]:
	* src/app-utils/guile-util.[ch]:
	* src/business/business-gnome/gnc-plugin-business.c:
	* src/business/business-gnome/gnc-plugin-page-invoice.h:
	* src/gnome-utils/gnc-main-window.c:
	* src/gnome-utils/gnc-plugin-page.[ch]:
	* src/gnome-utils/ui/gnc-main-window-ui.xml:
	* src/gnome/gnc-plugin-account-tree.[ch]:
	* src/gnome/gnc-plugin-budget.c:
	* src/gnome/gnc-plugin-page-account-tree.[ch]:
	* src/gnome/gnc-plugin-page-budget.h:
	* src/gnome/gnc-plugin-page-register.c:
	* src/gnome/gnc-plugin-register.c:
	* src/gnome/gw-gnc-spec.scm:
	* src/report/report-gnome/gnc-plugin-page-report.[ch]:
	* src/report/report-gnome/window-report.c:
	* src/scm/main-window.scm: Add code to save window state into a
	Glib Key-Value file.  This code is distributed between the
	gnc-main-window code and all of the plugin pages.  It subsumes the
	existing state file code, and will call that code upon file open
	if it cannot find a key-value state file.  This code is also where
	the creation of the initial account tree page occurs when no state
	file is found.

	* lib/glib26/gkeyfile.c:
	* lib/glib26/gutils26.c: Fix a couple of gcc4 warnings.

2005-11-10  David Hampton  <hampton@employees.org>

	* src/core-utils/gnc-gkeyfile-utils.[ch]:
	* src/app-utils/gnc-exp-parser.c: Add a GError parameter to the
	gnc_key_file_save_to_file() function.  Check for an error
	condition on every system call.

2005-11-09  Scott Oonk  <scott.oonk@gmail.com>

	* src/register/register-gnome/gnucash-item-edit.c: Draw cursor at
	correct x,y offset from GdkDrawable.  Will now correctly draw
	cursor on initial entry into a cell.

	* src/register/register-gnome/gnucash-item-edit.c: Fix some
	alignment problems in the register.

	It removes the pango_layout_set_alignment code.  Since we are
	rendering a single line of text, the layout is only as wide as the
	text.  Because of this, the alignment within the layout doesn't
	have any effect.

	Use the same x_offset logic regardless of how we enter the cell.

	Make sure x_offset gets reset when changing cells via the keyboard.

2005-11-09  Josh Sled  <jsled@asynchronous.org>

	* lib/goffice-0.0.4/, lib/libgsf-1.12.3/: imported with changes to
	update previously hacked-together versions.
	
2005-11-09  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-tree-view-account.[ch]: Add a function that
	allow you to expand the account tree to show a specific account.

	* src/report/report-system/report.scm:
	* src/business/business-reports/business-reports.scm:
	* src/gnome-utils/ui/gnc-main-window-ui.xml:
	* src/gnome-utils/gnc-menu-extensions.[ch]:
	* src/gnome-utils/gnc-plugin-menu-additions.[ch]:
	* src/gnome/gnc-plugin-page-register.c:
	* src/gnome/ui/gnc-plugin-page-register-ui.xml: The register page
	should add to the existing list of items in the Report menu, not
	replace it.  Sort the items in the Reports menu, and add a couple
	of accelerators.

	* src/report/stylesheets/gnc-plugin-stylesheets.c: The "Edit
	Stylesheets" menu item should always be visible.

	* doc/README.dependencies: Document the devel packages needed to
	compile gnucash on FC4.

	* src/gnome-utils/gnc-embedded-window.c:
	* src/gnome-utils/gnc-menu-extensions.c:
	* src/gnome-utils/gnc-plugin-menu-additions.c:
	* src/gnome-utils/gnc-main-window.c:
	* src/gnome-utils/gnc-plugin-page.c: Andreas Köhler's <andi5.py at
	gmx.net> patch to re-enable translation of menus and icons.

2005-11-09  Scott Oonk  <scott.oonk@gmail.com>

	* src/register/register-gnome/gnucash-item-edit.c: This patch
	allows selection of the last character in a cell.  Also fix
	selection/highlighting of multi-byte characters.

	* src/register/register-gnome/gnucash-sheet.c: This patch
	simplifies the keyboard selection in gnucash-sheet.  Fixes a
	problem where selection does not work correctly when holding
	'shift' and hitting the left arrow key.
	
	* src/register/register-gnome/gnucash-item-edit.[ch]: This patch
	simplifies the mouse selection logic in gnucash-item-edit.  It
	also fixes a problem where selection with the mouse does not work
	correctly if you start draging in one direction, then drag back
	over the original start point.

2005-11-09  Christian Stimming  <stimming@tuhh.de>

	* macros/autogen.sh: Remove the automatic call to ./configure from
	autogen.sh; instead, only print a reminder that from now on,
	./configure has to be called separately.

	* po/cs.po, po/glossary/pt_BR.po, po/ca.po, po/tr.po: Merge
	language files from branches/1.8 so that all languages are now
	available in HEAD.

2005-11-07  Christian Stimming  <stimming@tuhh.de>

	* configure.in: Remove AM_MAINTAINER_MODE since this causes only
	problems anyway. From now on the build system always behaves as if
	--enable-maintainer-mode had been specified. This makes all
	related errors vanish.

	* macros/autogen.sh: Clean up autogen script a bit, but leave the
	functionality unchanged.

	* po/ne.po: Add Nepali translation by Pawan Chitrakar
	<pchitrakar@gmail.com>.

2005-11-07  Neil Williams <linux@codehelp.co.uk>

	* src/engine/gnc-budget.c : Remove unnecessary
	private headers.

2005-11-07  Neil Williams <linux@codehelp.co.uk>

	* Makefile.am : remove distcleancheck1.5-is-stupid
	workaround.

2005-11-06  David Hampton  <hampton@employees.org>

	* src/import-export/hbci/gnc-plugin-hbci.c:
	* src/report/stylesheets/gnc-plugin-stylesheets.c:
	* src/gnome-utils/gnc-plugin-page.[ch]: Change function name to
	disambiguate between retrieving the name of a page and the name of
	the plugin that provides the page.

2005-11-06  Neil Williams <linux@codehelp.co.uk>

	* src/engine/Makefile.am : qofla-dir.h is not
	for distribution, qofla-dir.h.in is used instead.

2005-11-06  Christian Stimming  <stimming@tuhh.de>

	* autogen.sh: Revert autogen.sh simplificatoin for now; to be
	reconsidered after more testing.

2005-11-06  Neil Williams <linux@codehelp.co.uk>

	* doc/build-osx.txt : Document some OSX-specific 
	build solutions

2005-11-06  Neil Williams <linux@codehelp.co.uk>

	* doc/RAW-NOTES : deleted
	* doc/misc-notes.txt : new version, compatible
	with doxygen.
	* doc/Makefile.am : use GNU sed to allow OSX build
	of tip of the day.
	* doc/README.build-system : Document changes in autogen.sh
	* configure.in : Allow make to use the already detected
	usable version of sed. Remove OSX hacks that are no
	longer required.

2005-11-05  David Hampton  <hampton@employees.org>

	* configure.in:
	* src/register/register-core/Makefile.am:
	* src/core-utils/Makefile.am:
	* src/gnc-module/test/mod-bar/Makefile.am:
	* src/gnc-module/test/mod-baz/Makefile.am:
	* src/gnc-module/test/mod-foo/Makefile.am:
	* src/gnc-module/Makefile.am:
	* src/report/report-gnome/Makefile.am:
	* src/business/business-core/Makefile.am:
	* src/business/business-gnome/Makefile.am:
	* src/business/dialog-tax-table/Makefile.am:
	* src/gnome-utils/Makefile.am:
	* src/engine/Makefile.am:
	* src/gnome/Makefile.am:
	* src/app-utils/Makefile.am: Pass the name of the guile executable
	from configure to the makefiles instead of hard-coding it.
	Requested by Peter O'Gorman to improve Mac OS X support.

	* src/gnome-utils/gnc-embedded-window.c:
	* src/gnome-utils/gnc-embedded-window.h:
	* src/gnome-utils/gnc-main-window.c:
	* src/gnome-utils/gnc-main-window.h:
	* src/gnome-utils/gnc-window.h: Cleanup usage of the
	PLUGIN_PAGE_LABEL define.

	* Various: Convert to newer method of allocating private data
	structures for objects.  This allows glib to consolidate the space
	for all of the various public and private data structures on an
	object and reduce memory fragmentation.  Change all data structure
	declarations of the parent object to be the actual name of the
	object instead of the string "parent".  This makes debugging
	easier when looking at data structures in gdb.

	* src/report/report-gnome/gnc-plugin-page-report.c: Same as
	above. Also regularize the variable names used to refer to the
	public and private data structures in this file.

2005-11-05  Christian Stimming  <stimming@tuhh.de>

	* autogen.sh: Replace old crufty autogen.sh script with radically
	simplified version. Simply call all helper programs in one
	sequence and that's it.

2005-11-04  David Hampton  <hampton@employees.org>

	* src/import-export/qif/test/test-qif.c:
	* src/app-utils/test/test-load-module: Other changes needed to get
	'make check' closer to working.

	* src/gnome-utils/test/Makefile.am: Remove GUI test cases from the
	'TESTS' variable.  These tests will prevent 'make check' from
	running unattended.

	* src/import-export/qif/test/Makefile.am:
	* src/import-export/test/Makefile.am:
	* src/report/utility-reports/test/Makefile.am:
	* src/report/locale-specific/us/test/Makefile.am:
	* src/report/standard-reports/test/Makefile.am:
	* src/report/stylesheets/test/Makefile.am:
	* src/report/report-system/test/Makefile.am:
	* src/business/business-core/test/Makefile.am:
	* src/app-utils/test/Makefile.am: Include core-utils in the scheme
	load path to allow some of the test cases run again.

	* src/import-export/qif/qif-objects.c: Generate a new copy of the
	amount string when copying a QIF split.  Prevents a double free
	error when both the original and the copy split are destroyed.

2005-11-03  David Hampton  <hampton@employees.org>

	* src/business/business-gnome/gnc-plugin-page-invoice.c:
	* src/gnome-utils/gnc-main-window.c:
	* src/gnome-utils/gnc-plugin-page.[ch]:
	* src/gnome/gnc-plugin-page-register.c:
	* src/gnome/gnc-plugin-page-account-tree.c: Push the summarybar
	inside of the created page widget.  This solves several problems
	with window resizing when switching between pages, or when turning
	the summary bar off and on.

	* src/register/register-gnome/gnucash-sheet.c
	(compute_optimal_height): This routine should always return the
	minimal height the widget will accept, not the current height of
	the widget.  Returning the current height causes all sorts of
	problems such as windows that are impossible to resize down.

2005-11-03  Neil Williams <linux@codehelp.co.uk>

	* Various Makefile.am : Remove .cvsignore from
	EXTRA_DIST to allow make dist to complete again.
	* various directories : set svn.ignore for symlinks
	created during the build.

2005-11-03  Neil Williams <linux@codehelp.co.uk>

	* src/gnome-utils/test/Makefile.am : Tweak trunk
	version to allow test files to find QOF externally.

2005-11-02  David Hampton  <hampton@employees.org>

	* src/import-export/qif-import/qif.glade:
	* src/import-export/generic-import.glade:
	* src/import-export/hbci/glade/hbciprefs.glade:
	* src/gnome-utils/preferences.glade:
	* src/gnome-utils/gnc-main-window.c:
	* src/gnome/gnc-plugin-page-register.c:
	* src/gnome/glade/sched-xact.glade: Fix items from round two of
	Volker Englisch's review of the preferences dialog.

	* src/gnome-utils/gnc-plugin.c: Null terminate code properly.

	* README.svn: Update from README.cvs for switchover.

	* src/gnome-utils/gnc-splash.c: Use a dynamically allocated string
	for the version.

2005-11-02  Derek Atkins  <derek@ihtfp.com>

	* configure.in: don't need GNUCASH_CVS anymore
	* src/gnome-utils/Makefile.am:
	  build gnc-version.h and gnc-svninfo.h.  add the
	  latter to EXTRA_DIST.  Only build svninfo if
	  $(srcdir)/.svn exists.  #define GNUCASH_SVN
	  when that directory exists (at buildtime).
	* src/gnome-utils/gnc-splash.h: use new SVN info.

2005-11-01  David Hampton  <hampton@employees.org>

	* All: Collapse the gnome2 branch back into HEAD.

-=-=-=- cvs gnome2 branch ChangeLog is below this line -=-=-=-

2005-11-01  Karl Hegbloom  <hegbloom@pdx.edu>

        * src/backend/postgres/upgrade.c:
        * src/backend/postgres/price.c: Use glib
        * src/backend/postgres/base-autogen.c:
        * src/backend/postgres/kvp-sql.c: Use glib macros for type
	conversions to suppress compiler warnings on amd64.

        * src/backend/postgres/putil.h: Cast fun to long long int to
	suppress compiler warning on amd64.

2005-10-31  David Hampton  <hampton@employees.org>

	* macros/autogen.sh: Remove obsolete warning about gettext.

	* various: Final sync from HEAD to the gnucash-gnome2-dev branch.

2005-10-30  Joshua Sled  <jsled@asynchronous.org>

	* GNOME2_STATUS: Updates
	* src/gnome-utils/gnc-dense-cal.c (gnc_dense_cal_button_press):
	Better transient-window positioning.
	* src/gnome/schemas/apps_gnucash_dialog_scheduled_transctions.schemas:
	* src/gnome/dialog-scheduledxaction.[ch]: 
	* src/gnome/dialog-sx-from-trans.c: 
	Rename "notify-days" to "remind-days", as it should have been in
	the first place.  Fix conditional-option logic in preferences.
	* src/gnome/glade/sched-xact.glade (SX Preferences):
	Re-layout to visually and semantically mirror SX editor; rename
	"notify-days" to "remind-days"
	* src/gnome/glade/sched-xact.glade (Scheduled Transaction Editor):
	Reformat {create,remind}-days-in-advance checkbox + spinbutton
	pairs to respect UI semantic of gtk2.0 checkboxes (since the whole
	label is selectable, we can't embed a control in the label lest it
	can never be used).

2005-10-30  David Hampton  <hampton@employees.org>

	* src/backend/file/gnc-pricedb-xml-v2.c:
	* src/engine/Period.c:
	* src/engine/gnc-pricedb-p.h:
	* src/engine/gnc-pricedb.[ch]: Slightly modified version of
	Herbert Toma's fix to reduce load time with a large database of
	stock prices.

2005-10-30  Joshua Sled  <jsled@asynchronous.org>

	Patches from Scott Oonk <scott.oonk@gmail.com>:
	* src/register/register-gnome/combocell-gnome.c:
	* src/register/register-gnome/gnucash-item-list.c:
	Remove sort-state flag, code.
	* src/register/register-gnome/gnucash-item-list.c
	(gnc_item_list_show_selected): scroll to selected position.
	* src/register/register-gnome/combocell-gnome.c
	(gnc_combo_cell_autopop_init): auto-raise popups when initialized.
	* src/register/register-gnome/gnucash-item-list.c:
	Change signal emission so initial-combobox-display, keyboard
	arrows/return and selection work correctly.
	* GNOME2_STATUS: Remove items as per fixes.  Yay! :)

2005-10-28  David Hampton  <hampton@employees.org>

	* src/backend/file/gnc-pricedb-xml-v2.c:
	* src/backend/file/gnc-transaction-xml-v2.c:
	* src/backend/file/io-gncxml-v1.c:
	* src/backend/file/sixtp-dom-parsers.[ch]:
	* src/backend/file/test/test-dom-converters1.c:
	* src/business/business-core/file/gnc-entry-xml-v2.c:
	* src/business/business-core/file/gnc-invoice-xml-v2.c:
	* src/business/business-core/file/gnc-order-xml-v2.c: Print a
	better error when an invalid timestamp is in a data file.

2005-10-27  David Hampton  <hampton@employees.org>

	* src/engine/gnc-budget-book-p.h:
	* src/engine/gnc-budget-book.[ch]:
	* src/engine/gnc-budget-cat-p.h:
	* src/engine/gnc-budget-cat.[ch]:
	* src/engine/gnc-budget-p.h:
	* src/engine/gnc-budget-period-p.h:
	* src/engine/gnc-budget-period-value-p.h:
	* src/engine/gnc-budget-period-value.[ch]:
	* src/engine/gnc-budget-period.[ch]:
	* src/gnome/dialog-budget-category.[ch]:
	* src/gnome/dialog-budget-list.[ch]:
	* src/gnome/dialog-budget-workbench.[ch]:
	* src/gnome/druid-budget-create.[ch]:
	* src/gnome/gnc-budget-gui.h:
	* src/gnome-utils/gnc-budget-list-tree-model.[ch]:
	* src/gnome-utils/gnc-budget-tree-model.[ch]: Remove files from
	old budgeting code that are no longer used.

	* src/app-utils/app-utils.scm:
	* src/app-utils/options.scm:
	* src/backend/file/Makefile.am:
	* src/backend/file/gnc-xml.h:
	* src/backend/file/io-gncxml-v2.[ch]:
	* src/backend/file/sixtp-dom-generators.[ch]:
	* src/backend/file/sixtp-dom-parsers.[ch]:
	* src/backend/file/sixtp-utils.c:
	* src/backend/file/test/Makefile.am:
	* src/engine/Makefile.am:
	* src/engine/cashobjects.c:
	* src/engine/gnc-budget.[ch]:
	* src/engine/gnc-engine.[ch]:
	* src/engine/gw-engine-spec.scm:
	* src/gnome/Makefile.am:
	* src/gnome/gnc-plugin-basic-commands.c:
	* src/gnome/top-level.c:
	* src/gnome/glade/budget.glade:
	* src/gnome/ui/Makefile.am:
	* src/gnome/ui/gnc-plugin-basic-commands-ui.xml:
	* src/gnome-utils/Makefile.am:
	* src/gnome-utils/dialog-options.c:
	* src/gnome-utils/gnc-html.[ch]:
	* src/gnome-utils/gnc-icons.h:
	* src/gnome-utils/test/Makefile.am:
	* src/report/report-system/html-utilities.scm:
	* src/report/report-system/report-system.scm:
	* src/report/standard-reports/Makefile.am:
	* src/report/standard-reports/standard-reports.scm: Files that are
	changed somewhat with the addition of Chris Shoemaker's budgeting
	functionality rewrite.  A changed include file here, a single
	function there, etc. etc.

	* src/backend/file/gnc-budget-xml-v2.c:
	* src/backend/file/gnc-recurrence-xml-v2.c:
	* src/gnome/gnc-plugin-budget.[ch]:
	* src/gnome/gnc-plugin-page-budget.[ch]:
	* src/gnome/gncmod-budget.c:
	* src/gnome/ui/gnc-plugin-budget-ui.xml:
	* src/gnome/ui/gnc-plugin-page-budget-ui.xml:
	* src/gnome-utils/gnc-dialog.[ch]:
	* src/gnome-utils/gnc-recurrence.[ch]:
	* src/gnome-utils/gnc-tree-model-budget.[ch]:
	* src/gnome-utils/test/test-gnc-dialog.c:
	* src/gnome-utils/test/test-gnc-recurrence.c:
	* src/report/standard-reports/budget.scm: New files for Chris
	Shoemaker's rewrite of budgeting functionality.
	
	* src/business/business-gnome/glade/businessprefs.glade:
	* src/gnome/glade/sched-xact.glade:
	* src/gnome-utils/dialog-preferences.c:
	* src/gnome-utils/preferences.glade:
	* src/import-export/generic-import.glade:
	* src/import-export/hbci/glade/hbciprefs.glade: Fix items from
	Volker Englisch's review of the preferences dialog.

	* configure.in: Temporarily revert to the old-school way of
	defining the PACKAGE variable.

	* macros/autogen.sh: Tweak so that autoconf still gets run.

2005-10-26  Christian Stimming  <stimming@tuhh.de>

	* configure.in: Compose the version string again from several
	shell variables. Makes life much easier for anyone, including
	potential automated tarball builds. Slight updates in the build
	system.

2005-10-26  David Hampton  <hampton@employees.org>

	* src/scm/main.scm: Update previous version to 1.8.12.

	* lib/goffice/cut-n-paste/pcre/pcre.c:
	* src/gnome-utils/gnc-date-edit.c: Add extra initialization to fix
	compilation errors on some gcc4 systems.

	* src/bin/update-gnucash-gconf.in:
	* src/gnome-utils/druid-gconf-setup.c:
	* src/gnome-utils/druid-gconf-setup.glade: Fix items from Volker
	Englisch's review of the setup druid.  The initial window now sets
	the "Setup" button as the default button.  Update the druid to fix
	problems with the tab focus.  Add some clarifying text on how to
	restart gconf.  Update the script to restart gconf for the user.

2005-10-25  David Hampton  <hampton@employees.org>

	* src/business/business-gnome/gnc-plugin-business.c:
	* src/gnome/dialog-chart-export.c:
	* src/gnome-utils/gnc-file.[ch]:
	* src/import-export/log-replay/gnc-log-replay.c:
	* src/import-export/mt940/gnc-mt940-import.c:
	* src/import-export/ofx/gnc-ofx-import.c:
	* src/import-export/qif-import/druid-qif-import.c:
	* src/report/report-gnome/gnc-plugin-page-report.c: Update file
	selection boxes to use a GtkFileChooserDialog.  Reinstate file
	filtering in the dialog.  Patch from Arnout 'raboof' Engelen
	<gnomebugzilla at bzzt.net>.  #116205

2005-10-24  David Hampton  <hampton@employees.org>

	* src/engine/Makefile.am:
	* src/engine/Recurrence.[ch]:
	* src/engine/test/Makefile.am:
	* src/engine/test/test-recurrence.c: Chris Shoemaker's patch to
	add a "Recurrence" data type to the engine.  This should
	eventually subsume the FreqSpec data type.

	* src/business/business-gnome/gnc-plugin-page-invoice.c:
	* src/business/business-gnome/ui/gnc-plugin-page-invoice-ui.xml:
	* src/gnome/dialog-scheduledxaction.c:
	* src/gnome/dialog-sxsincelast.c:
	* src/gnome/gnc-plugin-page-account-tree.c:
	* src/gnome/gnc-plugin-page-register.[ch]:
	* src/gnome/ui/gnc-plugin-page-account-tree-ui.xml:
	* src/gnome/ui/gnc-plugin-page-register-ui.xml:
	* src/gnome-utils/gnc-main-window.[ch]:
	* src/gnome-utils/gnc-plugin-page.[ch]:
	* src/gnome-utils/ui/gnc-main-window-ui.xml:
	* src/report/report-gnome/gnc-plugin-page-report-ui.xml:
	* src/report/report-gnome/gnc-plugin-page-report.c: Factor out
	common code for handling menus, popup menus, and the toolbar and
	move the code to the shared base class.  Rework the private data
	structure in gnc-plugin-page.c.

2005-10-23  David Hampton  <hampton@employees.org>

	* Makefile.TAGS:
	* Makefile.am: Chris Shoemaker's enhancements to tags generation.

	* src/gnome-utils/dialog-options.c: Disable the "OK" and "Apply"
	buttons before calling the apply function.  Makes the UI appear
	more responsive and prevents a crash if the user clicks Apply then
	OK quickly. (#319546) Patch from Arnout 'raboof' Engelen
	<gnomebugzilla at bzzt.net>.
	
	* src/register/register-gnome/gnucash-sheet.c: Patch from Scott
	Oonk to re-enable mouse scrolling in the account register.

	* src/gnome-utils/dialog-options.c: Patch from Scott Oonk to fix
	an invalid cast warning when selecting an account in the accounts
	tab of the options dialog.
	
2005-10-21  Neil Williams <linux@codehelp.co.uk>

	* src/engine/Makefile.am :
	* src/engine/gncla-dir.h.in : Use ${libdir} instead
	of $GNC_LIBDIR to work without opt-style-install.

2005-10-20  Neil Williams <linux@codehelp.co.uk>

	* configure.in: Allow GnuCash to use QOF externally,
	where available, otherwise use internal QOF.
	* src/app-utils/gnc-ui-util.c : Didier Vital's patch to
	solve pango warnings with non UTF-8 locales.
	
	Replace private headers with new API functions.
	* src/backend/postgres/PostgresBackend.h : 
	* src/backend/postgres/account.c : 
	* src/backend/postgres/book.c : 
	* src/backend/postgres/events.c : 
	* src/backend/postgres/gncquery.c : 
	* src/backend/postgres/price.c: 
	* src/backend/postgres/putil.h: 
	* src/backend/postgres/table.m4 : 
	* src/backend/postgres/txnmass.c : 
	* src/engine/engine-helpers.c : 
	* src/engine/qofbackend-p.h: 
	* src/engine/qofbook.c: 

	* src/engine/.cvsignore : New file.
	* src/engine/gncla-dir.h.in: 

	Maintaining backwards compatibility.
	* src/engine/gnc-engine-util.c: 
	* src/engine/gnc-engine-util.h: 

	New home for functions that do not belong in QOF.
	* src/engine/gnc-engine.c : 
	* src/engine/gnc-engine.h : 

	Conditional QOF build.
	* src/app-utils/Makefile.am:
	* src/app-utils/test/Makefile.am :
	* src/backend/Makefile.am : 
	* src/backend/file/Makefile.am: 
	* src/backend/file/test/Makefile.am: 
	* src/backend/postgres/Makefile.am : 
	* src/backend/postgres/test/Makefile.am  : 
	* src/business/business-core/Makefile.am : 
	* src/business/business-core/file/Makefile.am : 
	* src/business/business-core/test/Makefile.am : 
	* src/business/business-gnome/Makefile.am : 
	* src/business/business-ledger/Makefile.am : 
	* src/business/business-utils/Makefile.am : 
	* src/business/dialog-tax-table/Makefile.am: 
	* src/calculation/Makefile.am : 
	* src/calculation/expression_parser.c : 
	* src/calculation/test/Makefile.am : 
	* src/engine/Makefile.am : 
	* src/engine/test-core/Makefile.am : 
	* src/engine/test/Makefile.am : 
	* src/engine/test/test-book-merge.c: 
	* src/gnome-search/Makefile.am: 
	* src/gnome-utils/Makefile.am : 
	* src/gnome/Makefile.am : 
	* src/import-export/Makefile.am : 
	* src/import-export/binary-import/Makefile.am : 
	* src/import-export/log-replay/Makefile.am : 
	* src/import-export/qif-import/Makefile.am : 
	* src/import-export/qif/Makefile.am: 
	* src/import-export/qif/test/Makefile.am : 
	* src/import-export/test/Makefile.am : 
	* src/network-utils/Makefile.am : 
	* src/register/ledger-core/Makefile.am: 
	* src/register/register-core/Makefile.am : 
	* src/register/register-gnome/Makefile.am : 
	* src/report/report-gnome/Makefile.am : 
	* src/report/stylesheets/Makefile.am : 

	* src/engine/test/test-book-merge.c: QOF sync.

2005-10-17  Derek Atkins  <derek@ihtfp.com>

	* src/bin/gnc-generate-script: revert Neils utf-8 change.
	  Gnucash should accept and use non-utf8 locales, and
	  instead use g_locale_to_utf8() to convert locale-specific
	  strings to utf8 (e.g. currency symbol).

2005-10-16  David Hampton  <hampton@employees.org>

	* configure.in: Remove debug message.

	* src/report/report-system/html-style-sheet.scm: Need to truncate
	the file on write, now that stylesheets have their own file.

2005-10-16  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/import-backend.c: Improve speed of general
	importer.

2005-10-16  Neil Williams <linux@codehelp.co.uk>

	* src/bin/generate-gnc-script: Reversing Didier Vidal's
	1.8 patch to require and use UTF-8 if not found in the X locale.

2005-10-16  Neil Williams <linux@codehelp.co.uk>

	* README.dependencies: Fix Debian listing - unstable.
	* src/business/business-core/file/gncmod-business-backend-file.c:
	Remove call to non-existent backend-file gnc-module.
	* src/engine/cashobjects.c: New objects.
	* src/engine/cashobjects.h: Unused code removed.
	* src/engine/gnc-engine.c: Initialising the backend GModules
	as part of the engine. Allow for checking if the engine is 
	initialised OK. (retain en_us spelling).
	* src/engine/gnc-engine.h: Check engine initialised.
	* src/engine/gnc-lot-p.h: Make register func return boolean
	* src/engine/gnc-lot.c: Provide a fuller object description -
	still commented out for now.

2005-10-16  Christian Stimming  <stimming@tuhh.de>

	* src/backend/file/io-gncxml-v2.c: Fix accessing a gnc_commodity
	after it has been destroyed - xaccTransSetCurrency requires the
	original currency still to exist.

	* src/import-export/import-backend.c: Woohoo! Tracked down and
	fixed a nasty double-free error when the importer reconciled
	existing transactions.

2005-10-14  David Hampton  <hampton@employees.org>

	* src/register/register-gnome/gnucash-item-edit.c: Didier Vidal's
	patch to restore horizontal scrolling in the editable cells of the
	register if the content is too wide. It also maintains the cell
	alignment when you switch to edit mode.

	* src/report/report-system/html-acct-table.scm: Patch from Chris
	Shoemaker to fix one use of price source where exchange-fn was
	needed.  Added lots of comments, clarify some explanations,
	documented some bugs.

	* configure.in: Check for libgtkhtml 3.8.  Life would be so much
	easier if the gtkhtml developers would fix stop renaming their
	pkg-config script with every release.

	* src/gnome-utils/gnc-tree-model-account-types.[ch]: File rewrite
	from Chris Shoemaker.  Adds an API for accessing a static shared
	program-wide account-type tree model for simple tree usage.  Adds
	convenience functions for mapping between the selection state of a
	treeview using the static account-type tree model and a
	account-type selection bitfield.

	* src/engine/FreqSpec.c: Line wrapping fixes from Chris Shoemaker.
	
	* src/engine/test/test-freq-spec.c: Patch from Chris Shoemaker to
	add a new negative test case.

	* src/app-utils/gnc-component-manager.c:
	* src/business/business-core/gncAddress.c:
	* src/business/business-core/gncBillTerm.c:
	* src/business/business-core/gncCustomer.c:
	* src/business/business-core/gncEmployee.c:
	* src/business/business-core/gncEntry.c:
	* src/business/business-core/gncInvoice.c:
	* src/business/business-core/gncJob.c:
	* src/business/business-core/gncOrder.c:
	* src/business/business-core/gncTaxTable.c:
	* src/business/business-core/gncVendor.c:
	* src/business/business-core/test/test-customer.c:
	* src/business/business-core/test/test-employee.c:
	* src/business/business-core/test/test-job.c:
	* src/business/business-core/test/test-vendor.c:
	* src/engine/Transaction.c:
	* src/engine/gnc-commodity.c:
	* src/engine/gnc-engine.c:
	* src/engine/gnc-pricedb.c:
	* src/engine/kvp_frame.c:
	* src/engine/qofid.c:
	* src/engine/qofquery-deserial.c:
	* src/engine/test/test-commodities.c:
	* src/gnome-utils/QuickFill.c: Patch from Chris Shoemaker to
	convert all the string cache users to use the public access
	functions.  Consolidate all the CACHE_INSERT and CACHE_REMOVE
	macros into one place.

	* src/engine/gnc-engine-util.[ch]: Patch from Chris Shoemaker to
	privatize the gnucash string cache code and force all usage
	through gnc_string_cache_{remove,insert}() functions.  This makes
	debugging various uses (and misuses) of the cache easier.

	* src/engine/qofquery-deserial.c: Patch from Chris Shoemaker to
	annotate a possible bug.

	* src/report/report-system/commodity-utilities.scm: Patch from
	Chris Shoemaker to change the collector handling of invalid
	exchange functions.  Add a warning about dangerous usage of
	gnc:exchange-if-same.

	* src/backend/postgres/PostgresBackend.c:
	* src/backend/postgres/checkpoint.c:
	* src/backend/postgres/events.c:
	* src/business/business-core/file/gnc-bill-term-xml-v2.c:
	* src/business/business-core/file/gnc-tax-table-xml-v2.c:
	* src/engine/Scrub.c:
	* src/engine/gnc-hooks.c:
	* src/import-export/import-backend.c:Patch from Chris Shoemaker to
	add the missing semicolon to the end of some trace invocations to
	make them look like normal C code.

	* src/engine/gnc-trace.h: Patch from Chris Shoemaker to swallow
	the semicolon on the end of the tracing macros.

	* GNOME2_STATUS:
	* HACKING:
	* src/app-utils/config-var.scm:
	* src/app-utils/gnc-component-manager.h:
	* src/backend/file/gnc-schedxaction-xml-v2.c:
	* src/backend/postgres/gncquery.c:
	* src/business/business-utils/business-options.scm:
	* src/doc/multicurrency-discussion.txt:
	* src/engine/Query.h:
	* src/engine/SX-book.c:
	* src/engine/SchedXaction.c:
	* src/engine/TransactionP.h:
	* src/engine/gnc-numeric.h:
	* src/engine/guid.c:
	* src/engine/qofbook.h:
	* src/engine/qofclass.c:
	* src/engine/qofclass.h:
	* src/engine/qofquery.c:
	* src/engine/qofquery.h:
	* src/engine/qofsession.c:
	* src/experimental/cgi-bin/gnc-server.c:
	* src/gnome/dialog-scheduledxaction.c:
	* src/gnome/dialog-sxsincelast.c:
	* src/gnome-utils/dialog-utils.c:
	* src/gnome-utils/gnc-amount-edit.c:
	* src/gnome-utils/gnc-amount-edit.h:
	* src/gnome-utils/gnc-date-format.c:
	* src/gnome-utils/gnc-plugin-manager.h:
	* src/gnome-utils/gnc-plugin.h:
	* src/gnome-utils/gnc-tree-model-account.c:
	* src/gnome-utils/gnc-tree-model.c:
	* src/report/report-gnome/gw-report-gnome-spec.scm:
	* src/report/report-gnome/report-gnome.scm:
	* src/report/report-system/html-document.scm:
	* src/report/report-system/html-table.scm:
	* src/report/report-system/report-utilities.scm:
	* src/report/report-system/report.scm: Patch from Chris Shoemaker
	to make various spelling corrections and a couple of line wrap
	fixes.  Adds comments to mark thread unsafe code.  Adds various
	other documentation.

	* src/doc/design/engine.texinfo: Patch from Chris Shoemaker to
	silence a texinfo warning.

2005-10-13  David Hampton  <hampton@employees.org>

	* src/app-utils/gnc-euro.c:
	* src/app-utils/gnc-ui-util.h:
	* src/gnome-utils/dialog-commodity.h:
	* src/gnome-utils/gnc-currency-edit.c: Patch from Chris Shoemaker
	to remove unneeded header files. Add a few comments.
	
	* src/backend/file/gnc-account-xml-v2.c:
	* src/engine/qofbook.c:
	* src/report/report-gnome/gnc-plugin-page-report.c: Minor code
	simplification from Chris Shoemaker.  Some line wrap fixes and
	comments.

	* src/gnc-module/gnc-module.c: Minor code factoring patch from
	Chris Shoemaker.

	* src/gnome-utils/gnc-main-window.c: Patch from Chris Shoemaker to
	avoid trying to double-add plugins to plugin manager by delaying
	signal connection until the plugins are already managed by the
	plugin manager.

	* src/gnome-utils/gnc-tree-view-account.c: Patch from Chris
	Shoemaker to convert gnc-tree-view-account to a GObject base
	instead of a GtkObject base. Also contains some line wrapping
	fixes.

2005-10-13  Derek Atkins  <derek@ihtfp.com>

	* src/lib/glib26/Makefile.am:
	  fix to properly include sources in the DIST.

	* macros/autogen.sh: Revert the change that ignores libtool.
	  we still need to check for libtool.

2005-10-13  Neil Williams <linux@codehelp.co.uk>

	* macros/autogen.sh: Mac OSX fix.
	* src/business/business-core/gncBusPeriod.c: typos.

	Removing non-portable -module setting - Mac OSX fix.
	* src/app-utils/Makefile.am:
	* src/business/business-core/Makefile.am:
	* src/business/business-gnome/Makefile.am
	* src/business/business-ledger/Makefile.am 
	* src/business/business-utils/Makefile.am
	* src/business/dialog-tax-table/Makefile.am
	* src/calculation/Makefile.am 
	* src/core-utils/Makefile.am 
	* src/engine/Makefile.am 
	* src/engine/test/Makefile.am 
	* src/gnc-module/Makefile.am 
	* src/gnc-module/test/misc-mods/Makefile.am 
	* src/gnc-module/test/mod-bar/Makefile.am 
	* src/gnc-module/test/mod-baz/Makefile.am
	* src/gnc-module/test/mod-foo/Makefile.am
	* src/gnome-search/Makefile.am 
	* src/gnome-utils/Makefile.am 
	* src/gnome/Makefile.am 
	* src/import-export/Makefile.am 
	* src/import-export/binary-import/Makefile.am
	* src/import-export/hbci/Makefile.am 
	* src/import-export/log-replay/Makefile.am 
	* src/import-export/mt940/Makefile.am 
	* src/import-export/ofx/Makefile.am 
	* src/import-export/qif-import/Makefile.am 
	* src/import-export/qif-io-core/Makefile.am 
	* src/import-export/qif/Makefile.am 
	* src/network-utils/Makefile.am 
	* src/register/ledger-core/Makefile.am 
	* src/register/register-core/Makefile.am 
	* src/register/register-gnome/Makefile.am 
	* src/register/register-gnome/test/Makefile.am 
	* src/report/locale-specific/us/Makefile.am 
	* src/report/report-gnome/Makefile.am 
	* src/report/report-gnome/window-report.c 
	* src/report/report-system/Makefile.am 
	* src/report/standard-reports/Makefile.am 
	* src/tax/us/Makefile.am: 

2005-10-13  David Hampton  <hampton@employees.org>

	* src/business/business-core/gncBusPeriod.c: Patch from Chris
	Shoemaker to prevents gettext from finding unintentional strings
	in an undeclared comment block.

2005-10-13  Neil Williams <linux@codehelp.co.uk>

	* GNOME2_STATUS: Remove qof_begin_edit note (fixed)
	Make a note of remaining pricedb issue.
	* configure.in: Fix conditional external GOffice build.
	* lib/Makefile.am: Conditional goffice.
	* po/POTFILES.in: Remove files removed from CVS.
	* src/backend/file/Makefile.am: Convert to a GModule.
	* src/backend/file/gnc-backend-file.c: Remove QSF code.
	* src/backend/file/test/.cvsignore: new file
	* src/backend/file/test/Makefile.am: Cannot link against
	the new loadable GModule, list the sources individually.
	* src/backend/file/test/test-dom-converters1.c: fix test.

	Update test data files to use G2 XML syntax.
	* src/backend/file/test/test-files/xml2/Money95bank_fr.gml2
	* src/backend/file/test/test-files/xml2/Money95invst.gml2
	* src/backend/file/test/test-files/xml2/Money95mutual.gml2
	* src/backend/file/test/test-files/xml2/Money95stocks.gml2
	* src/backend/file/test/test-files/xml2/abc.gml2
	* src/backend/file/test/test-files/xml2/abcall.gml2
	* src/backend/file/test/test-files/xml2/carols-data-file.gml2
	* src/backend/file/test/test-files/xml2/cbb-export.gml2
	* src/backend/file/test/test-files/xml2/conrads-file.gml2
	* src/backend/file/test/test-files/xml2/every.gml2
	* src/backend/file/test/test-files/xml2/goonies-file.gml2
	* src/backend/file/test/test-files/xml2/hierachical-data-file.gml2
	* src/backend/file/test/test-files/xml2/ms-money.gml2
	* src/backend/file/test/test-files/xml2/pricedb1.gml2

	* src/backend/file/test/test-load-backend.c: Test the new GModule.
	* src/backend/file/test/test-load-xml2.c: Load the new GModule and
	correct the book test. (backend/file tests can no longer use Guile)
	* src/backend/file/test/test-string-converters.c: QOF header changes
	* src/backend/file/test/test-xml-account.c: Remove guile and fix test.
	* src/backend/file/test/test-xml-pricedb.c: Fixed test. (problem was
	in test-engine-stuff.c
	* src/backend/file/test/test-xml-transaction.c: Remove guile and fix
	test.
	* src/backend/postgres/Makefile.am: Make into a GModule.
	* src/backend/postgres/PostgresBackend.c: GModule (Other changes
	will follow).
	* src/backend/postgres/PostgresBackend.h: GModule
	* src/backend/postgres/kvp-sql.c: typo
	* src/backend/postgres/test/.cvsignore: new file.
	* src/backend/postgres/test/Makefile.am: GModule changes, as with
	backend/file - no guile and no linking against the GModule.
	* src/backend/postgres/test/test-db.c: GModule and remove private 
	QOF headers.
	* src/backend/postgres/test/test-load-backend.c: GModule test.
	* src/backend/postgres/test/test-period.c: Convert to GModule.
	* src/backend/qsf/Makefile.am: GModule.
	* src/backend/qsf/qsf-backend.c: QOF Sync
	* src/backend/qsf/qsf-xml.c: QOF sync
	* src/bin/test/test-version: fix test
	* src/business/business-core/test/Makefile.am: GModule changes
	* src/engine/Account.c: qof_begin_edit change
	* src/engine/Makefile.am: qofsql.h is not a distributed header - 
	GnuCash does not yet use SQL with QOF.
	* src/engine/Period.h: Doxygen tweak.
	* src/engine/Transaction.c: qof_begin_edit changes.
	* src/engine/gnc-engine.c: Load the two default GModules.
	* src/engine/gnc-pricedb.c: Pair up the ENTER and LEAVE calls.
	* src/engine/gnc-trace.c: QOF sync.
	* src/engine/gnc-trace.h: QOF Sync
	* src/engine/qof-be-utils.h: qof_begin_edit changes.
	* src/engine/qof.h: Locate the GModules.
	* src/engine/qofbackend.c: Full use of GModule support.
	* src/engine/qofsession.c: Remove gnc-module methods for backends.
	* src/engine/test-core/test-engine-stuff.c: Splits outside
	transactions where causing some tests to fail, also errors are now
	reported back.
	* src/engine/test-core/test-engine-stuff.h: Fix declarations.
	* src/engine/test/test-split-vs-account.c: test fix.
	* src/gnome-utils/Makefile.am: GOffice conditional build.
	* src/gnome-utils/gnc-html-graph-gog.c:  GOffice conditional build.
	* src/gnome-utils/gnc-plugin.c: GOffice conditional build.
	* src/gnome/Makefile.am: GModule changes - cannot link against the
	GModule.
	* src/gnome/dialog-chart-export.c: Fix QOF headers.
	* src/import-export/qif-import/test/Makefile.am: fix test.

2005-10-13  David Hampton  <hampton@employees.org>

	* src/app-utils/gnc-ui-util.c:
	* src/backend/file/io-example-account.c:
	* src/backend/file/io-gncxml-v2.c:
	* src/engine/Account.[ch]: Patch from Chris Shoemaker to add a
	sprinkling of 'const' keywords to Account accessor function
	arguments.

	* src/valgrind-gdk.supp:
	* src/valgrind-gnucash.supp:
	* src/valgrind-x11.supp: Patch from Chris Shoemaker to add some
	additional suppressions when invoking gnucash via valgrind.

	* Makefile.TAGS: Patch from Chris Shoemaker to exclude emacs
	temporary files from etags table.

	* src/app-utils/gnc-ui-util.c:
	* src/business/business-core/gncAddress.c:
	* src/business/business-core/gncCustomer.c:
	* src/business/business-core/gncEmployee.c:
	* src/business/business-core/gncEntry.c:
	* src/business/business-core/gncJob.c:
	* src/business/business-core/gncOrder.c:
	* src/business/business-core/gncVendor.c:
	* src/engine/Account.c:
	* src/engine/Transaction.c:
	* src/register/register-gnome/gnucash-grid.c:
	* src/register/register-gnome/gnucash-sheet.c: Patch from Chris
	Shoemaker to remove the G_INLINE_FUNC macro from various function
	definitions.  Fixes undefined symbol errors preventing him from
	linking the program.

2005-10-12  David Hampton  <hampton@employees.org>

	* Makefile.am:
	* configure.in:
	* make-gnucash-potfiles.in:
	* doc/Makefile.am:
	* lib/goffice/Makefile.am:
	* lib/goffice/split/Makefile.am:
	* macros/autogen.sh:
	* po/ChangeLog:
	* src/Makefile.am:
	* src/backend/Makefile.am:
	* src/bin/Makefile.am:
	* src/business/business-core/file/Makefile.am:
	* src/business/business-gnome/Makefile.am:
	* src/business/business-gnome/schemas/Makefile.am:
	* src/doc/Makefile.am:
	* src/engine/Makefile.am:
	* src/gnome/Makefile.am:
	* src/gnome/schemas/Makefile.am:
	* src/gnome-utils/schemas/Makefile.am:
	* src/import-export/Makefile.am:
	* src/import-export/hbci/schemas/Makefile.am:
	* src/import-export/log-replay/Makefile.am:
	* src/import-export/schemas/Makefile.am:
	* src/report/stylesheets/Makefile.am: Chris Shoemaker's changes to
	make 'make dist' work again.

2005-10-12  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome-utils/gnc-html-graph-gog.c: Cleanups and finishing:
	get bar-chart data correctly hooked up; get scatter-plot hooked
	up.  Generally refactor code for clarity.

2005-10-12  David Hampton  <hampton@employees.org>

	* configure.in: Remove the stdc++ link requirement from the OFX
	test.  Add the -Wno-pointer-sign flag when using GCC4.  With this
	flag all of gnucash can be compiled with GCC4. (Without it
	lib/goffice fails.)

2005-10-10  Christian Stimming  <stimming@tuhh.de>

	* src/register/register-gnome/gnucash-grid.c: Patch by Didier
	Vidal: Implement real right justify in the register.

2005-10-09  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/hbci-interaction.c: Further gnome2
	porting of dialogs.

2005-10-08  David Hampton  <hampton@employees.org>

	* src/app-utils/Makefile.am:
	* src/app-utils/app-utils.scm:
	* src/app-utils/global-options.[ch]:
	* src/app-utils/gw-app-utils-spec.scm:
	* src/app-utils/prefs.scm:
	* src/gnome-utils/dialog-options.[ch]:
	* src/scm/main.scm: Remove unused global options code.  Global
	options are now all stored in gconf.

	* numerous: Remove include of global-options.h.

	* src/register/ledger-core/split-register-control.c:
	* src/register/ledger-core/split-register-load.c:
	* src/register/ledger-core/split-register-model.c:
	* src/register/ledger-core/split-register-util.c:
	* src/register/ledger-core/split-register.c: Remove unneeded
	include files.  Call function with their current name, not the
	backward compatibility name.

	* src/app-utils/global-options.[ch]:
	* src/app-utils/gnc-ui-util.[ch]: Migrate a couple of functions
	from one global-options to gnc-ui-utils.
	
	* src/gnome/window-reconcile.c: Track changes to user's toolbar
	style preference using the new gconf method.

	* src/core-utils/gnc-gconf-utils.h:
	* src/gnome-utils/dialog-utils.c:
	* src/gnome-utils/gnc-main-window.c: Share a couple of gconf key
	names between files.
	
	* src/register/register-gnome/table-gnome.c: Use new gconf key to
	decide whether to save the column sizings.
	
	*src/gnome/window-main-summarybar.c: Remove obsolete code for
	catching (scheme) option changes.  This file already has support
	for catching gconf option changes.

	* src/gnome/gnc-split-reg.[ch]: Split register no longer contains
	the menus/toolbar/etc support so no need to track changes to the
	toolbar settings.

	* src/backend/file/io-gncxml-v2.c: Remove unused code fragment.
	
	* src/gnome-utils/gnc-main-window.c: Don't let the window manager
	delete the last window.  Instead queue a shutdown call.

2005-10-08  Joshua Sled  <jsled@asynchronous.org>

	* src/register/ledger-core/dialog-dup-trans.c
	(gnc_dup_trans_dialog): Cleanup the window after dialog returns.
	(gnc_dup_trans_dialog_create): attach to existing signals; re-implement
	spinbutton behavior workaround.

2005-10-08  Joshua Sled  <jsled@asynchronous.org>

	* goffice.c (libgoffice_init): fully initialize so plugins get
	loaded at init-time, and thus displayed at run-time. :p
	Other goffice/html/graphing code cleanups.

2005-10-08  Joshua Sled  <jsled@asynchronous.org>

	* src/report/report-gnome/gnc-plugin-page-report.c
	(gnc_plugin_page_report_destroy_widget): remove the report when
	the page is destroyed so the report will be removed, &c. 
	(gnc_plugin_page_report_setup): gnc:report-set-needs-save?! on
	report setup to indicate that the report needs to be written out
	at book-state-save time.

2005-10-08  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/ofx/gnc-ofx-import.c: Fix errornerous
	double-free at OFX import.

2005-10-07  Joshua Sled  <jsled@asynchronous.org>

	* src/register/register-gnome/gnucash-item-list.c
	(tree_view_selection_changed): Condition handling; avoid a set of
	setfaults in use of the auto-complete.

2005-10-07  Joshua Sled  <jsled@asynchronous.org>

	Patch from Chris Shoemaker <c.shoemaker@cox.net>:
	* src/engine/Account.[ch]: Refactoring of
	account-*-balance(as-of-date) code.
	* src/engine/Account.[ch], src/engine/Group.[ch]:
	Tyop/misspelling correction, formatting cleanup, notes and
	comments.

2005-10-07  David Hampton  <hampton@employees.org>

	* src/report/report-system/html-style-sheet.scm:
	* src/scm/main.scm:
	* src/scm/path.scm: Put the saved stylesheets into their own file
	in the .gnucash directory.

	* src/app-utils/Makefile.am:
	* src/app-utils/gnc-exp-parser.c: Convert the expression parser
	over from saving persistent data as a scheme fragments to saving
	it in a glib key/value file.
	
	* src/core-utils/Makefile.am:
	* src/core-utils/gnc-gkeyfile-utils.[ch]: Add some helper
	functions for reading/writing glib key/value data structures.

	* configure.in:
	* lib/Makefile.am:
	* lib/glib26: Add glib key-value support for systems running
	glib24.

2005-10-07  Joshua Sled  <jsled@asynchronous.org>

	* src/register/register-gnome/gnucash-sheet.c
	(GTK_ALLOWED_SELECTION_WITHIN_INSERT_SIGNAL): Use
	autocompletion-selection workaround for	gtk 2.(<6).*

2005-10-07  Joshua Sled  <jsled@asynchronous.org>

	Patch from Edward J. Huff <ejhuff@huff20may77.us>:
	* src/report/standard-reports/transaction.scm: 
	* src/app-utils/date-utilities.scm: 
	* src/app-utils/app-utils.scm: 
	Add "Quarterly" option to transaction report. Add support
	functions to app-utils.scm and date-utilities.scm to support
	finding the quarter of a given date, and to format it as Q1, Q2,
	Q3, or Q4.  Fix a bug in the as-yet-unused function
	gnc:timepair-get-month-day.  Make use of the existing support
	functions instead of re-inventing them in transaction.scm.
	Move all uses of strftime from transaction.scm to
	date-utilities.scm. 

2005-10-07  David Hampton  <hampton@employees.org>

	* src/gnome-utils/dialog-options.c: Convert the multiple choice
	option from using the deprecated GtkOptionMenu widget to using a
	GtkComboBox widget.  Fix some warnings when using a currency
	option.  Make the account list option expand to fill available
	space.

	* src/app-utils/option-util.c: Correctly convert a scheme string
	to a C string.

	* src/gnome-utils/dialog-options.c:
	* src/gnome-utils/dialog-preferences.c:
	* src/gnome-utils/preferences.glade: Rename preference dialog
	windows.
	
2005-10-06  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-main-window.c: Make the gtk notebook pages
	scrollable, and enable right-click menu selection of pages.

	* configure.in:
	* graph/plugins/plot_radar/gog-radar.c: Conditionally compile the
	fmin() function.

2005-10-06  Joshua Sled  <jsled@asynchronous.org>

	Patch from Didier Vidal <didier-devel@9online.fr>:
	* src/register/register-gnome/gnucash-sheet.c
	(compute_optimal_width): Fix to allow register resize.

2005-10-03  David Hampton  <hampton@employees.org>

	* src/gnome/top-level.c: Remove duplicate function.

	* src/gnome-utils/dialog-utils.[ch]: Pull the local
	gtk_window_present() function and use the one in gtk2.

2005-10-02  David Hampton  <hampton@employees.org>

	* src/import-export/import-backend.c:
	* src/import-export/import-settings.c:
	* src/import-export/schemas/apps_gnucash_import_generic_matcher.schemas:
	Add the 'bayesian matching' preference that was hidden in the
	code.

	* src/import-export/generic-import.glade: Forgot to name the
	widgets properly so that the preferences dialog would time them in
	with their gconf settings.  Add the 'bayesian matching'
	preference.

	* src/app-utils/prefs.scm: Remove unreferenced "Fancy Date Format"
	option.

	* src/app-utils/prefs.scm:
	* src/gnome/Makefile.am:
	* src/gnome/gnc-network.[ch]:
	* src/gnome/top-level.c:
	* src/gnome-utils/gnc-html.[ch]:
	* src/gnome-utils/gw-gnome-utils-spec.scm: Finish pulling all
	references to the old "gnucash network" code.

	* src/engine/Transaction.c: Temporary fix to remove ISO C90
	warning.  Real fix should occur when converted back to
	qof_begin_edit function.

2005-10-02  Joshua Sled  <jsled@asynchronous.org>

	Patches from Didier Vidal <didier-devel@9online.fr>:
	
	* src/register/register-gnome/gnucash-item-edit.c: Fixes to show
	pango cursor in register edit cells.
	* src/engine/Transaction.c (xaccTransBeginEdit): runtime crash
	when committing partially-editing transaction.
	

2005-10-02  Joshua Sled  <jsled@asynchronous.org>

	* GNOME2_STATUS: updates for status

	* src/register/register-gnome/gnucash-item-list.c
	(gnc_item_list_select): re-implement to get register combocells
	working better.

2005-10-02  David Hampton  <hampton@employees.org>

	* src/app-utils/prefs.scm:
	* src/gnome/window-main-summarybar.c:
	* src/gnome/schemas/Makefile.am:
	* src/gnome/schemas/apps_gnucash_window_pages_account_tree.schemas:
	* src/gnome-utils/gnc-main-window.c:
	* src/gnome-utils/preferences.glade:
	* src/gnome-utils/ui/gnc-main-window-ui.xml: Convert the account
	tree summary bar over to using GConf preferences.

	* src/gnome-utils/dialog-preferences.[ch]: Add support for a
	GncDateEdit widget and the new GncPeriodSelect widget.

	* src/app-utils/Makefile.am:
	* src/app-utils/gnc-accounting-period.[ch]:
	* src/gnome-utils/Makefile.am:
	* src/gnome-utils/gnc-period-select.[ch]: Add a selection widget
	and non-gui supporting functions for choosing accounting periods.

	* src/engine/Account.c: Revert change to xaccAccountCommitEdit()
	that causes gnucash to crash at exit.
	
2005-10-01  David Hampton  <hampton@employees.org>

	* src/backend/postgres/*:
	* src/engine/gnc-trace.h:
	* src/gnome-utils/gnc-html-graph-gog.c:
	* src/gnome-utils/gnc-plugin.c:
	* src/import-export/hbci/gnc-plugin-hbci.c: Fix compilation
	breakage.

2005-10-01  Neil Williams <linux@codehelp.co.uk>

	* configure.in: Detect GCC 4.0 or later and add
	-Wdeclaration-after-statement
	* src/backend/file/gnc-backend-file.c: CashUtil sync.
	remove ifdefs, move one declaration (spotted using the
	change in configure.in) and remove reference to XML file.
	* src/backend/qsf/qsf-backend.c: Add QofBackendOption 
	to compress QSF files via libxml2. Also fix QSF XML output
	to always specify UTF-8.
	* src/business/business-core/gncAddress.c: Fix ability to
	cast from QofEntity to gncAddress and vice-versa.
	* src/engine/Account.c: Fix test-lots and test-period,
	trace subsystem changes and qof.h fixes.
	* src/engine/Period.c: Fix test-period, include
	trace subsystem changes and qof.h fixes.
	* src/engine/cap-gains.c: Fix curious translation bug
	from cashutil. Fix trace subsystem changes and qof.h
	* src/engine/cashobjects.c: Cashutil sync.
	* src/engine/gnc-engine.c: Initialise the new trace
	subsystem on startup, shutdown logging cleanly and
	fix qof.h headers.
	* src/engine/gnc-engine.h: The new QofLogModule
	identifiers for core modules. Others can be added
	ad-hoc throughout the source tree and set to be
	logged locally.
	* src/engine/gnc-pricedb.c: Use public API calls
	to remove private headers and use new trace 
	subsystem.
	* src/engine/gnc-trace.h
	* src/engine/gnc-trace.c: New trace subsystem based
	on string identifiers and accessible to all QOF
	applications.
	* src/engine/qofbook.h
	* src/engine/qofbook.c: New trace subsystem, qof.h
	fixes and test-period fixes. Balance ENTER and LEAVE
	in log output.
	* src/engine/qofquery.c: Balance ENTER and LEAVE.
	* src/engine/qofsession.c: Balance ENTER and LEAVE
	and new trace subsystem changes.
	* src/engine/test/Makefile.am
	* src/engine/test-core/test-engine-stuff.c: Fix
	int-out-of-range error.
	* src/engine/test/test-freq-spec.c: Provide feedback
	on test progress.
	* src/engine/test/test-lots.c: Fix segmentation fault.
	* src/engine/test/test-period.c: Fix segmentation 
	fault, fix headers and cashutil sync (remove guile).
	

	Remove guile - cashutil sync.
	* src/engine/test/test-group-vs-book.c
	* src/engine/test/test-guid.c
	* src/engine/test/test-load-engine.c
	* src/engine/test/test-object.c
	* src/engine/test/test-query.c
	* src/engine/test/test-querynew.c
	* src/engine/test/test-resolve-file-path.c
	* src/engine/test/test-split-vs-account.c
	

2005-10-01  Neil Williams <linux@codehelp.co.uk>

	Remove references to internal QOF headers and replace 
	with qof.h
	* src/app-utils/gnc-helpers.c
	* src/backend/file/gnc-freqspec-xml-v2.c
	* src/backend/file/gnc-transaction-xml-v2.c
	* src/backend/file/io-utils.c
	* src/backend/file/test/test-dom-converters1.c
	* src/backend/file/test/test-file-stuff.c
	* src/backend/file/test/test-load-example-account.c
	* src/business/business-core/gncAddressP.h
	* src/business/business-core/gncBillTerm.h
	* src/business/business-core/gncBillTermP.h
	* src/business/business-core/gncCustomer.h
	* src/business/business-core/gncCustomerP.h
	* src/business/business-core/gncEmployee.h
	* src/business/business-core/gncEntry.h
	* src/business/business-core/gncEntryP.h
	* src/business/business-core/gncInvoice.h
	* src/business/business-core/gncInvoiceP.h
	* src/business/business-core/gncJob.h
	* src/business/business-core/gncJobP.h
	* src/business/business-core/gncOrder.h
	* src/business/business-core/gncOrderP.h
	* src/business/business-core/gncOwner.c
	* src/business/business-core/gncOwner.h
	* src/business/business-core/gncOwnerP.h
	* src/business/business-core/gncTaxTable.h
	* src/business/business-core/gncTaxTableP.h
	* src/business/business-core/gncVendor.h
	* src/business/business-core/gncVendorP.h
	* src/business/business-core/test/test-address.c
	* src/business/business-core/test/test-business.c
	* src/business/business-core/test/test-employee.c
	* src/business/business-core/test/test-job.c
	* src/business/business-core/test/test-vendor.c
	* src/engine/Account.h
	* src/engine/AccountP.h
	* src/engine/FreqSpec.h
	* src/engine/FreqSpecP.h
	* src/engine/Group.h
	* src/engine/GroupP.h
	* src/engine/Query.h
	* src/engine/SX-book.h
	* src/engine/SX-ttinfo.h
	* src/engine/SchedXaction.h
	* src/engine/SchedXactionP.h
	* src/engine/TransLog.c
	* src/engine/gnc-lot-p.h
	* src/engine/gnc-lot.h
	* src/engine/gnc-pricedb-p.h
	* src/engine/test/test-numeric.c
	* src/engine/test/test-transaction-reversal.c
	* src/engine/test/test-transaction-voiding.c
	* src/gnome-utils/gnc-dense-cal.c
	* src/gnome-utils/search-param.c
	* src/register/register-gnome/gnucash-item-list.c
	* src/register/register-gnome/gnucash-style.c

	Change from short int module to QofLogModule log_module
	and use new log_module identifiers.
	* Various.

	Adjust QOF internal headers to fix qof.h.
	* src/backend/qsf/qsf-xml-map.c
	* src/engine/gnc-engine-util.h
	* src/engine/gnc-engine-util.c
	* src/engine/qof-be-utils.h
	* src/engine/qof.h
	* src/engine/qof_book_merge.c:
	
	QOF default trace modules.
	* src/engine/kvp_frame.h
	* src/engine/qof_book_merge.h
	* src/engine/qofbackend.h
	* src/engine/qofclass.h
	* src/engine/qofid.h
	* src/engine/qofobject.h
	* src/engine/qofquery.h
	* src/engine/qofsession.h
	

2005-10-01  Neil Williams <linux@codehelp.co.uk>

	Doxygen tweaks
	* src/backend/file/gnc-backend-file.h
	* src/business/business-core/gncAddress.h
	* src/engine/Period.h
	* src/engine/qofbackend-p.h

2005-10-01  David Hampton  <hampton@employees.org>

	* src/gnome-utils/QuickFill.c: Improve quickfill behavior when
	presenting accented characters.  Patch from Didier Vidal
	<didier-devel@9online.fr>.

2005-09-29  David Hampton  <hampton@employees.org>

	* various: Fix a bunch of warnings generated by doxygen.

2005-09-26  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-plugin-page.c: Use the right data structure
	offsets when defining signals.

	* src/app-utils/gnc-helpers.[ch]:
	* src/core-utils/Makefile.am:
	* src/core-utils/gnc-gdate-utils.[ch]:
	* src/engine/gnc-date.[ch]:
	* src/gnome/druid-acct-period.c:
	* src/gnome/druid-loan.c: Collect gdate related functions into a
	common file.  Add a bunch of gdate modification functions.

2005-09-25  David Hampton  <hampton@employees.org>

	* src/app-utils/global-options.c:
	* src/core-utils/gnc-gconf-utils.c:
	* src/gnome-utils/dialog-preferences.c:
	* src/gnome-utils/dialog-utils.c: Add some extra checks for null
	strings.

2005-09-24  David Hampton  <hampton@employees.org>

	* src/report/standard-reports/register.scm: Update commented out
	code to reflect the use of gconf.
	
	* src/app-utils/prefs.scm: Remove unused options.

	* src/app-utils/global-options.c:
	* src/app-utils/prefs.scm:
	* src/gnome/schemas/apps_gnucash_general.schemas:
	* src/gnome-utils/dialog-preferences.c:
	* src/gnome-utils/preferences.glade: Convert the default currency
	preferences over to gconf.

	* src/app-utils/prefs.scm:
	* src/core-utils/gnc-gconf-utils.h:
	* src/gnome/top-level.c:
	* src/gnome/schemas/apps_gnucash_general.schemas:
	* src/gnome-utils/dialog-options.c:
	* src/gnome-utils/dialog-preferences.c:
	* src/gnome-utils/preferences.glade: Convert the date and time
	preferences (except 'fancy date') over to gconf.

2005-09-21  David Hampton  <hampton@employees.org>

	* src/gnome-utils/dialog-options.c: Remove remnants of the old
	"Advanced Preferences" page.
	
	* src/app-utils/prefs.scm:
	* src/gnome/schemas/apps_gnucash_dialog_common.schemas:
	* src/gnome-search/dialog-search.c:
	* src/gnome-utils/preferences.glade: Convert the "search limit"
	preference over to gconf.

	* src/gnome-utils/dialog-transfer.c: Fix warning message when
	opening reconciliation window.
	
	* src/gnome-utils/transfer.glade: Fix crash when clicking the "no
	automatic transfer" button in the automatic interest transfer
	dialog.

	* doc/What_is_Euro_support:
	* src/app-utils/prefs.scm:
	* src/core-utils/gnc-gconf-utils.h:
	* src/gnome/gnc-plugin-page-account-tree.c:
	* src/gnome/gnc-split-reg.c:
	* src/gnome/schemas/apps_gnucash_general.schemas:
	* src/gnome-utils/preferences.glade:
	Convert the "EURO support" preference over to gconf.

	* src/app-utils/prefs.scm:
	* src/gnome/reconcile-list.c:
	* src/gnome/reconcile-list.h:
	* src/gnome/window-reconcile.c:
	* src/gnome/schemas/Makefile.am:
	* src/gnome/schemas/apps_gnucash_dialog_reconcile.schemas:
	* src/gnome-utils/preferences.glade:
	Convert the reconcile window preferences over to gconf.

	* configure.in:
	* src/app-utils/prefs.scm:
	* src/import-export/Makefile.am:
	* src/import-export/generic-import.glade:
	* src/import-export/generic-import.scm:
	* src/import-export/gncmod-generic-import.c:
	* src/import-export/import-settings.c:
	* src/import-export/qif-import/druid-qif-import.c:
	* src/import-export/qif-import/gnc-plugin-qif-import.c:
	* src/import-export/qif-import/qif.glade:
	* src/import-export/schemas/.cvsignore:
	* src/import-export/schemas/Makefile.am:
	* src/import-export/schemas/apps_gnucash_import_generic_matcher.schemas:
	Migrate QIF and 'Generic Matcher' preferences over to gconf.

	* src/import-export/qif-import/qif.glade: Remove non-standard
	background color declarations.
	
	* src/gnome-utils/dialog-preferences.c: Do a better job spacing
	preferences pages that are merged together.

	* src/import-export/qif-import/druid-qif-import.c: Remove
	double-free of memory.  Remove access of GDK window data
	structure.

2005-09-17  David Hampton  <hampton@employees.org>

	* src/gnome/dialog-price-editor.c:
	* src/gnome-utils/gnc-currency-edit.[ch]: Convert from the
	deprecated GtkCombo widget to a GtkComboBox widget.  Add some
	documentation.

2005-09-16  David Hampton  <hampton@employees.org>

	* src/gnome/gnc-plugin-page-account-tree.c:
	* src/gnome/gnc-plugin-page-register.c:
	* src/gnome/ui/gnc-plugin-page-account-tree-ui.xml:
	* src/gnome/ui/gnc-plugin-page-register-ui.xml:
	* src/gnome-utils/gnc-main-window.c:
	* src/gnome-utils/ui/gnc-main-window-ui.xml: Move the "Check &
	Repair" menu definition to a common location.  Restore the
	register window "Check & Repair" menu items.

	* src/app-utils/prefs.scm:
	* src/gnome/schemas/apps_gnucash_dialog_common.schemas: Finish
	conversion of the hidden "first startup" preference.

	* src/gnome-utils/gnc-file.c:
	* src/gnome-utils/gnc-plugin-file-history.c:
	* src/gnome-utils/gw-gnome-utils-spec.scm: Clean up handling of
	the return value from gnc_history_get_last().
	
	* src/core-utils/gnc-gconf-utils.c: Handle this undocumented case
	where gconf_client_set_string() can return FALSE without setting
	the error variable.  Also modify this function to return NULL if
	gconf returns an empty string.  This is more in line with what all
	the rest of GnuCash code expects.  Centralize error handling in
	this file.

2005-09-14  David Hampton  <hampton@employees.org>

	* src/engine/gnc-date.[ch]: Fix function name.  Document
	functions.

	* src/gnome-utils/gnc-date-format.[ch]:
	* src/gnome-utils/gnc-date-format.glade: Use a GtkComboBox in
	place of the deprecated GtkOptionMenu.  Add a choice in the combo
	box for the UTC time format to match the new addition to the
	QofDateFormat enum.  Clean up the code slightly.

2005-09-10  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/dialog-hbcitrans.[hc]: Add support for
	"internal bank transfers" as supported by latest aqbanking. If
	aqbanking >= 1.6.1 is available, it will automatically be compiled
	in, otherwise ifdef'd out.

2005-09-08  David Hampton  <hampton@employees.org>

	* lib/libc/Makefile.am:
	* lib/libc/setenv.[ch]:
	* src/core-utils/Makefile.am:
	* src/core-utils/core-utils.[ch]: Move the gnucash
	gnc_setenv/gnc_unsetenv functions to the library directory and
	rename them to setenv/unsetenv.  These functions are only compiled
	if not provided by the system libc library.

	* configure.in: Enforce check for one of setenv() or putenv()
	during configure, not compilation.

	* src/backend/file/sixtp-utils.c:
	* src/backend/file/test/Makefile.am:
	* src/backend/file/test/test-save-in-lang.c:
	* src/core-utils/gw-core-utils-spec.scm:
	* src/gnc-module/Makefile.am:
	* src/gnc-module/gnc-module.c: Cleanup for the rename of
	setenv/unsetenv.

2005-09-05  Derek Atkins  <derek@ihtfp.com>

	* src/backend/file/sixtp-utils.c:  Revert change.. Make sure
	  we still use gnc_setenv and gnc_unsetenv.
	
2005-09-04  Derek Atkins  <derek@ihtfp.com>

	* src/backend/qsf/qsf-backend.c: more a declaration to the top
	  of a function because ISO C90 forbids mixed declarations.
	* src/backend/file/gnc-backend-file.c: comment out unused function.

2005-09-04  Neil Williams <linux@codehelp.co.uk>

	* src/backend/file/gnc-backend-file.c: Backend Configuration handler,
	handling binary file type and adding gettext support.
	* src/backend/file/gnc-backend-file.h: Provider init.
	* src/backend/file/io-gncbin-r.c: Binary file determination.
	* src/backend/file/io-gncbin.h: Binary file determination and Doxygen.
	* src/backend/file/io-gncxml-v2.h: Doxygen
	* src/backend/file/io-gncxml.h: Doxygen.
	* src/backend/file/sixtp-utils.c: CashUtil sync.
	* src/backend/qsf/Makefile.am: Gettext support.
	* src/backend/qsf/qsf-backend.c: Backend configuration, handling new
	files and gettext support.
	* src/backend/qsf/qsf-dir.h.in: Licence fix.
	* src/backend/qsf/qsf-xml.c: Validation fix.
	* src/backend/qsf/qsf-xml.h: Gettext support.
	* src/business/business-core/file/gnc-customer-xml-v2.c:
	* src/business/business-core/file/gnc-employee-xml-v2.c:
	* src/business/business-core/file/gnc-job-xml-v2.c:
	* src/business/business-core/file/gnc-order-xml-v2.c:
	* src/business/business-core/file/gnc-tax-table-xml-v2.c:
	Overdue removal of bad casts.
	* src/engine/cashobjects.c: Extra objects for libcashobjects.la
	* src/engine/gnc-date.c: Resolving query on previous bug fix.
	* src/engine/gnc-event.h: Adding to Doxygen.
	* src/engine/qof-be-utils.h: Adding to Doxygen.
	* src/engine/qof.h: Doxygen handling.
	* src/engine/qof_book_merge.h: Doxygen handling.
	* src/engine/qofbackend-p.h: Move check type into
	QofBackendProvider.
	* src/engine/qofbackend.c: Backend configuration.
	* src/engine/qofbackend.h: Doxygen.
	* src/engine/qofchoice.h: Licence fix and Doxygen
	* src/engine/qofid.h: Doxygen fix.
	* src/engine/qofquery-deserial.h: Remove from Doxygen.
	* src/engine/qofquery-serialize.h: Remove from Doxygen.
	(query-serialise may be removed from QOF later.)
	* src/engine/qofsession.c: Backend discrimination.
	* src/engine/qofsession.h: check_data_type.

2005-09-02  David Hampton  <hampton@employees.org>

	* src/gnome/schemas/apps_gnucash_general.schemas:
	* src/gnome-utils/gnc-main-window.c:
	* src/gnome-utils/preferences.glade: Frederic Leroy's patch
	(#314512) to add a close box to each notebook tab.  Enhanced to
	make the tab visibility a user preference.

2005-08-29  Derek Atkins  <derek@ihtfp.com>

	* src/engine/gnc-date.c: fix bug #170444 by making sure we
	  pass a full tm to strftime()

2005-08-28  Christian Stimming  <stimming@tuhh.de>

	* macros/autogen.sh: Make build system up to date: Remove
	acinclude.m4 and remove the 3 last remaining legacy macros into
	macros/legacy_macros.m4; have ltmain.sh created by libtoolizes
	instead of having it in CVS; remove old macros/acx_pthread.m4
	which hasn't been used since 2003; remove AM_ACLOCAL_INCLUDE macro
	from configure.in because that's no longer a supported autoconf
	macro.

2005-08-27  Neil Williams <linux@codehelp.co.uk>

	* src/business/business-core/businessmod-core.c: Loading
	business objects in the same order as CashUtil to correctly
	set the choice rules.

2005-08-26  Derek Atkins  <derek@ihtfp.com>

	* src/gnome-utils/Makefile.am:  move the module back into
	  pkglibdir so that gnucash actually runs properly instead
	  of dying at runtime.

2005-08-23  Joshua Sled  <jsled@asynchronous.org>

	* src/report/report-gnome/gnc-plugin-page-report.c
	(gnc_plugin_page_report_constr_init): Since we want to pass the
	reportId in at page-construction time, appropriately define a
	gobject constructor, &c. to get the property.  As a result, the
	report page now understands which report (by id) it's actually
	for.
	* GNOME2_STATUS: update

2005-08-23  Derek Atkins  <derek@ihtfp.com>

	* lib/goffice/split/gnumeric-gconf.c: we don't need this
	  printf (and it causes the build to fail because it's
	  not defined in any included header).

2005-08-22  Josh Sled <jsled@asynchronous.org>
	* lib/goffice/: Conditionallize #warnings used as TODO tracking
	from "goffice" import.  Fix compiler warnings.  lib/goffice/
	should now build with -Werror.  As such, remove -Werror removal
	from .mk files.

2005-08-22  Neil Williams <linux@codehelp.co.uk>

	* configure.in: Provisional building of libgoffice.
	* make-gnucash-potfiles.in: Support for perl in gettext.
	* src/backend/file/gnc-backend-file.c: New backend
	configuration support using translatable XML and KVP.
	* src/backend/file/gnc-book-xml-v2.c: Avoid private headers.

	Patch to fix bug #88078 -  Incorrect namespace definition in XML file.
	* src/backend/file/io-gncxml-v2.c:
	* src/backend/file/io-gncxml-v2.h:
	* src/business/business-core/file/gnc-address-xml-v2.c:
	* src/business/business-core/file/gnc-address-xml-v2.h:
	* src/business/business-core/file/gnc-bill-term-xml-v2.c:
	* src/business/business-core/file/gnc-customer-xml-v2.c:
	* src/business/business-core/file/gnc-employee-xml-v2.c:
	* src/business/business-core/file/gnc-entry-xml-v2.c:
	* src/business/business-core/file/gnc-invoice-xml-v2.c:
	* src/business/business-core/file/gnc-job-xml-v2.c:
	* src/business/business-core/file/gnc-order-xml-v2.c:
	* src/business/business-core/file/gnc-owner-xml-v2.c:
	* src/business/business-core/file/gnc-owner-xml-v2.h:
	* src/business/business-core/file/gnc-tax-table-xml-v2.c:
	* src/business/business-core/file/gnc-vendor-xml-v2.c:
	* src/business/business-core/file/gncmod-business-backend-file.c:

	* src/backend/file/sixtp-utils.c: Avoid building core-utils functions
	in the backend - not portable to CashUtil. FIXME.
	* src/backend/qsf/qsf-backend.c: Beginning to isolate file type
	determination from the GnuCash backend to build separately.
	* src/backend/qsf/qsf-object.xsd.xml: Language tweak.
	* src/business/business-core/gncAddress.c: QOF_TYPE_CHOICE
	* src/business/business-core/gncBillTerm.c: CashUtil sync.
	* src/business/business-core/gncBillTerm.h:
	* src/business/business-core/gncCustomer.c: undo bad casts.
	* src/business/business-core/gncEmployee.c: CashUtil sync.
	* src/business/business-core/gncEmployeeP.h:
	* src/business/business-core/gncEntry.c: CashUtil sync.
	* src/business/business-core/gncEntry.h: CashUtil sync.
	* src/business/business-core/gncInvoice.c: undo bad casts
	* src/business/business-core/gncJob.c: CashUtil sync.
	* src/business/business-core/gncOrder.c: CashUtil sync.
	* src/business/business-core/gncOwner.c: undo bad casts.
	* src/business/business-core/gncTaxTable.c: CashUtil sync.
	* src/business/business-core/gncTaxTable.h: CashUtil sync.
	* src/business/business-core/gncVendor.c: CashUtil sync.

	Removal of guile code from test cases - tests pass but report
	a redundant gnucash-backend interface failure.
	* src/business/business-core/test/test-address.c:
	* src/business/business-core/test/test-customer.c:
	* src/business/business-core/test/test-employee.c:
	* src/business/business-core/test/test-job.c:
	* src/business/business-core/test/test-vendor.c:

	* src/engine/.cvsignore:
	* src/engine/FreqSpec.c: undo bad casts.
	* src/engine/Makefile.am: CashUtil sync.
	* src/engine/Transaction.c: Fix test reports.
	* src/engine/cashobjects.c: Convenience wrapper from CashUtil.
	* src/engine/cashobjects.h:
	* src/engine/gnc-engine-util.c: Convenience functions for QOF.
	* src/engine/gnc-engine-util.h:
	* src/engine/gnc-numeric.c: inline fix.
	* src/engine/kvp-util-p.h: Doxygen tweaks.
	* src/engine/kvp-util.h: Doxygen tweaks.
	* src/engine/kvp_frame.h: Doxygen tweaks.
	* src/engine/qof.h: Convenience wrapper.

	Backend configuration support and new method for dlopen(),
	DO NOT PASS *.so anymore, pass the *.la instead for
	portability reasons.
	* src/engine/qofbackend-p.h:
	* src/engine/qofbackend.c:
	* src/engine/qofbackend.h:
	* src/engine/qofbook.c: CashUtil sync.
	* src/engine/qofla-dir.h.in: New file to locate the .la files.
	* src/engine/qofsession.c: Deprecating current_session handler and
	converting QSF to pass the .la for loading.
	* src/engine/qofsession.h: Marking deprecated code.
	* src/engine/qofsql.c: CashUtil/QOF Sync where libgda can be used
	externally.
	* src/engine/test/test-commodities.c: Removing Guile.
	* src/engine/test/test-freq-spec.c: Removing Guile.
	* src/engine/test/test-numeric.c: Removing Guile.
	* src/engine/test/test-transaction-reversal.c: Removing Guile.
	* src/engine/test/test-transaction-voiding.c: Removing Guile.

2005-08-18  Derek Atkins  <derek@ihtfp.com>

	Frederic Leroy's patch to fix more %lld issues without casts.
	Fixes bug #313741.
	* src/app-utils/gnc-ui-util.c
	* src/backend/file/sixtp-dom-generators.c
	* src/backend/file/test/test-string-converters.c
	* src/backend/postgres/builder.c
	* src/backend/postgres/gncquery.c
	* src/backend/postgres/kvp-sql.c
	* src/backend/postgres/checkpoint.c
	* src/engine/kvp_frame.c
	* src/engine/test/test-numeric.c
	* src/engine/qofsql.c
	* src/engine/TransLog.c
	  all vars are gint64
	  ->replaced %lld by G_GINT64_FORMAT and removed unnecessary
	  long long int' cast

	* src/backend/file/test/test-date-converting.c
	* src/backend/file/test/test-dom-converters1.c
	* src/engine/test/test-date.c
	  %lld for casted tv_sec vars
	  ->No change

	* src/backend/postgres/putil.h
	  #define COMP_INT64(sqlname,fun,ndiffs)
	  Macro using %lld, but not used
	  ->No change, dead code

	* src/engine/gnc-numeric.c
	  use long long int for local variable instead gint64
	  ->replaced longlongint by gint64 and lld by G_GINT64_FORMAT
	  and replaced GNC_SCANF_LLD by G_GINT64_FORMAT
	  /!\ should we remove GNC_SCANF_LLD ??

	* src/engine/qofquerycore.c
	  type incoherency
	  -> replaced GNC_SCANF_LLD by G_GINT64_FORMAT

	* src/import-export/log-replay/gnc-log-replay.c
	  dead code commented
	  -> no change

	* src/engine/qofmath128.c
	  some lld used instead of llu
	  -> replacement of lld/llu along vars type
	  I didn't check but I think there is mixed (un)signed

	* src/engine/qofquery-serialize.c
	  in macro PUT_INT64 : replaced %lld by G_GINT64_FORMAT

	* lib/goffice/drawing/god-drawing-renderer-gdk.c
	  -> defined format for go_unit_t
	  silly change because lines containing %lld are commented

2005-08-17  Neil Williams <linux@codehelp.co.uk>

	*  src/import-export/hbci/hbci-interaction.c:
	Replacing an inadvertent change.

2005-08-17  Neil Williams <linux@codehelp.co.uk>

	* .cvsignore :
	* configure.in : Mac changes.
	* rpm/.cvsignore :
	* src/.cvsignore : All .cvsignore changes in this
	commit are for the Mac.
	* src/app-utils/Makefile.am : Mac build fix.
	* src/app-utils/test/Makefile.am : Mac build fix.
	* src/app-utils/test/test-exp-parser.c :  Mac build fix.
	* src/backend/.cvsignore :
	* src/backend/file/gnc-xml.h : Remove temporary fix.
	* src/backend/file/sixtp.c : Tweak
	* src/backend/file/test/.cvsignore :
	* src/backend/file/test/test-xml-pricedb.c : Improve failure
	reporting.
	* src/backend/file/test/test-xml-transaction.c : Improve
	failure reporting.

2005-08-17  Neil Williams <linux@codehelp.co.uk>

	QOF Sync.
	* src/backend/qsf/.cvsignore :
	* src/backend/qsf/Makefile.am : Tweaked
	* src/backend/qsf/pilot-qsf-GnuCashInvoice.xml : QOF_TYPE_CHOICE
	* src/backend/qsf/qof-backend-qsf.h : Tweak
	* src/backend/qsf/qsf-backend.c : QOF_TYPE_CHOICE
	* src/backend/qsf/qsf-object.xsd.xml : QOF_TYPE_CHOICE
	* src/backend/qsf/qsf-xml-map.c : map conversion, v1
	* src/backend/qsf/qsf-xml.c : Cast changes and bug fix.
	* src/backend/qsf/qsf-xml.h : KVP, COLLECT and CHOICE
	* src/business/.cvsignore :

2005-08-17  Neil Williams <linux@codehelp.co.uk>

	Business-core/file/: cast changes and removal of private headers.
	Also removed GNCBook references. CashUtil Sync.
	* src/business/business-core/.cvsignore :
	* src/business/business-core/file/.cvsignore :
	* src/business/business-core/file/gnc-bill-term-xml-v2.c :
	* src/business/business-core/file/gnc-customer-xml-v2.c :
	* src/business/business-core/file/gnc-employee-xml-v2.c :
	* src/business/business-core/file/gnc-entry-xml-v2.c :
	* src/business/business-core/file/gnc-invoice-xml-v2.c :
	* src/business/business-core/file/gnc-job-xml-v2.c :
	* src/business/business-core/file/gnc-lot-xml-v2.c :
	* src/business/business-core/file/gnc-order-xml-v2.c :
	* src/business/business-core/file/gnc-owner-xml-v2.c :
	* src/business/business-core/file/gnc-tax-table-xml-v2.c :
	* src/business/business-core/file/gnc-vendor-xml-v2.c :

2005-08-17  Neil Williams <linux@codehelp.co.uk>

	CashUtil Sync
	* src/business/business-core/gncAddress.c : Removal of private headers
	* src/business/business-core/gncBillTerm.c : Using a string as the
	QOF billterm type parameter.
	* src/business/business-core/gncBillTerm.h :
	* src/business/business-core/gncCustomer.c : Removal of private headers
	and cast fixes. Fixed printable.
	* src/business/business-core/gncEntry.c : Removal of private headers
	* src/business/business-core/gncInvoice.c : Removal of private headers
	and cast fixes. Change functions ready for a later change to use
	QOF_TYPE_CHOICE - not implemented here yet.
	* src/business/business-core/gncJob.c : Removal of private headers
	and cast fixes. Change functions ready for a later change to use
	QOF_TYPE_CHOICE - not implemented here yet.
	* src/business/business-core/gncOrder.c : Removal of private headers
	and cast fixes.
	* src/business/business-core/gncOwner.c : Removal of private headers
	and cast fixes.
	* src/business/business-core/gncTaxTable.c : Removal of private headers.
	* src/business/business-core/test/test-customer.c : Make sure customer
	object is registered before trying to use a QofObject call.
	* src/business/business-core/test/test-employee.c : Tweak
	* src/business/business-core/test/test-job.c : Tweak
	* src/business/business-core/test/test-vendor.c : Tweak
	* src/business/business-gnome/.cvsignore :
	* src/business/business-utils/.cvsignore :
	* src/doc/.cvsignore :
	* src/doc/design/.cvsignore :
	* src/doc/xml/.cvsignore :

2005-08-17  Neil Williams <linux@codehelp.co.uk>

	CashUtil Sync.
	* src/engine/.cvsignore :
	* src/engine/Account.c : Removal of private headers.
	* src/engine/FreqSpec.c : Removal of private headers
	and cast fixes.
	* src/engine/Group.c : Removal of private headers.
	* src/engine/Makefile.am : Taking qofmath128.c out of
	the include list - replace with qofmath128.h
	* src/engine/SX-book.c : Removal of private headers.
	* src/engine/SchedXaction.c : Removal of private headers.
	* src/engine/Scrub2.c : Cast fixes.
	* src/engine/Transaction.c : Removal of private headers
	and cast fixes. QOF QofSetterFunc changes to ensure the
	transaction is open before editing.
	* src/engine/gnc-commodity.c : Removal of private headers.

2005-08-17  Neil Williams <linux@codehelp.co.uk>

	QOF Sync
	* src/engine/gnc-engine-util.h : Enhanced enumas string macro
	* src/engine/gnc-event-p.h : Move gen_event into the API.
	* src/engine/gnc-event.h : gnc_engine_gen_event
	* src/engine/gnc-lot-p.h : Remove unneeded header.
	* src/engine/gnc-lot.c : Remove unneeded header.
	* src/engine/gnc-numeric.c : qofmath128 change.
	* src/engine/gnc-numeric.h : Doxygen fix.
	* src/engine/gnc-pricedb.c : Remove private headers and outline the
	areas of FileBackend / QofBackend that need modification to work with
	CashUtil.
	* src/engine/qof-be-utils.h : Begin to map the macros to functions
	to allow routines to be used when QOF is external.
	* src/engine/qof.h : qofchoice
	* src/engine/qof_book_merge.c : QOF_TYPE_CHOICE
	* src/engine/qof_book_merge.h : header tweak
	* src/engine/qofbackend-p.h : header tweak
	* src/engine/qofbackend.c : Definition of qof-be-utils functions.
	* src/engine/qofbackend.h : Move qof_book_get_backend
	* src/engine/qofbook.h : Remove qof_book_get_backend
	* src/engine/qofclass.c : Downgrade warning for CashUtil.
	* src/engine/qofclass.h : Tweak.
	* src/engine/qofgobj.c : Cast fix.
	* src/engine/qofid.h : QOF_TYPE_COLLECT & QOF_TYPE_CHOICE
	* src/engine/qofinstance.c : Dirty instance handling
	* src/engine/qofinstance.h : Dirty instance API
	* src/engine/qofobject.h : Doxygen tweak.
	* src/engine/qofquery.c : typo
	* src/engine/qofquery.h : tweak
	* src/engine/qofquerycore-p.h : QOF_TYPE_CHOICE
	* src/engine/qofquerycore.c : QOF_TYPE_CHOICE
	* src/engine/qofquerycore.h : QOF_TYPE_CHOICE
	* src/engine/qofsession-p.h : Tweak.
	* src/engine/qofsession.c : Ensure objects are open for
	editing before trying to commit data.
	* src/engine/qofsession.h : QOF_TYPE_CHOICE
	* src/engine/qofsql.c : Cast fixes.

2005-08-17  Neil Williams <linux@codehelp.co.uk>

	Mac changes.
	* src/engine/test-core/Makefile.am :
	* src/engine/test-core/test-engine-stuff.c : Improved
	failure reporting.
	* src/gnc-module/test/misc-mods/Makefile.am : The linking
	order is important for Mac OSX because of a bug in the gtkhtml
	implementation.
	* src/gnome-utils/Makefile.am :
	* src/gnome/.cvsignore :
	* src/gnome/glade/.cvsignore :
	* src/gnome/schemas/.cvsignore :
	* src/gnome/ui/.cvsignore :
	* src/test-core/Makefile.am :

2005-08-16  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/hbci-interaction.c (inputBoxCB): Aaarg,
	fix extremely stupid bug that occasionally crashes the PIN entry.

2005-08-15  David Hampton  <hampton@employees.org>

	* src/backend/file/test/test-xml-transaction.c:
	* src/business/business-core/file/gnc-bill-term-xml-v2.c:
	* src/business/business-core/file/gnc-tax-table-xml-v2.c:
	* src/engine/Account.c:
	* src/engine/Transaction.c:
	* src/engine/cap-gains.c:
	* src/engine/qof_book_merge.c:
	* src/engine/qofquery.c:
	* src/engine/qofsession.c:
	* src/gnome/dialog-budget-workbench.c:
	* src/gnome-utils/gnc-html.c:
	* src/gnome-utils/gnc-plugin-menu-additions.c: Frederic Leroy's
	update to Dan Widyono's patch to compile cleanly on 64 bit systems.

	* src/register/register-gnome/gnucash-item-edit.c: Scott Oonk's fix
	to make the cursor visible in the register.

2005-08-12  Neil Williams <linux@codehelp.co.uk>

	* src/backend/file/gnc-account-xml-v2.c: Cast fixes
	* src/backend/file/gnc-backend-file.c: Remove unnecessary headers
	and provide a duplicate backend loader suitable for QOF which will
	replace the gnc-backend module to allow CashUtil to work with the
	current XML backend and ease spin-out of QOF. The new loader is
	not executed as yet.
	* src/backend/file/gnc-backend-file.h: Put a copy of price_lookup
	and export into FileBackend ready to replace the versions currently
	retained in QOF on a conditional build.
	* src/backend/file/gnc-book-xml-v2.c: To be reviewed.
	* src/backend/file/gnc-commodity-xml-v2.c:
	* src/backend/file/gnc-pricedb-xml-v2.c:
	* src/backend/file/gnc-schedxaction-xml-v2.c:
	* src/backend/file/gnc-transaction-xml-v2.c: Cast fixes
	* src/backend/file/gnc-xml.h: Stop use of gncbook.h, GNCBook.
	* src/backend/file/io-gncbin-r.c: Unnecessary header, not available in QOF.
	* src/backend/file/io-gncxml-v1.c: Cast fixes
	* src/backend/file/io-gncxml-v2.c: Stop use of gnc- prefix, remove
	unnecessary header and cast fixes.
	* src/backend/file/sixtp-dom-generators.c:
	* src/backend/file/sixtp-dom-parsers.c:
	* src/backend/file/sixtp-to-dom-parser.c: Cast fixes
	* src/backend/file/sixtp-utils.c: Other files in this backend already use <time.h>,
	no need to provide a duplicate here.
	* src/backend/file/sixtp.c:
	* src/backend/file/test/test-dom-converters1.c:
	* src/backend/file/test/test-file-stuff.c:
	* src/backend/file/test/test-xml-account.c:
	* src/backend/file/test/test-xml-commodity.c:
	* src/backend/file/test/test-xml-transaction.c: Cast fixes
	* src/engine/Makefile.am: Add qofchoice files.
	* src/engine/qofchoice.c: QOF_TYPE_CHOICE handlers.
	* src/engine/qofchoice.h:

2005-08-02  David Hampton  <hampton@employees.org>

	* src/app-utils/prefs.scm:
	* src/gnome/dialog-scheduledxaction.[ch]:
	* src/gnome/dialog-sx-from-trans.c:
	* src/gnome/dialog-sxsincelast.[ch]:
	* src/gnome/gw-gnc-spec.scm:
	* src/gnome/top-level.c:
	* src/gnome/glade/sched-xact.glade:
	* src/gnome/schemas/apps_gnucash_dialog_scheduled_transctions.schemas:
	* src/gnome/ui/gnc-plugin-page-sxregister-ui.xml:
	* src/gnome/ui/gnc-sxed-window-ui.xml:
	* src/scm/main.scm: Convert scheduled transactions over to the new
	preferences dialog and gconf storage.  Fix register menu problems
	when in embedded windows.  Use C side hooks to set up the "since
	last run" dialog.

	* src/gnome/gnc-plugin-page-register.c: Properly set the window
	field in the gnc_split_register data structure when installing the
	page into a GncEmbeddedWindow.

	* src/core-utils/gnc-gobject-utils.c: Enhance object tracking to
	catch the deletion of an object that hasn't been removed from the
	tracking list.

	* src/gnome-utils/gnc-embedded-window.c:
	* src/gnome-utils/gnc-main-window.c:
	* src/gnome-utils/gnc-window.[ch]: Add method for retrieving the
	GtkWindow associated with a GncWindow.

	* src/gnome-utils/dialog-preferences.c:
	* src/gnome-utils/preferences.glade: Clean up xml data structures
	when the dialog is destroyed.  Connect signals in all add-in
	preference pages.  Don't show the dialog until completely built
	and moved to the remembered position.

2005-07-30  David Hampton  <hampton@employees.org>

	* Lots 'o files: Remove unnecessary includes.

	* Lots 'o files: Guile 1.6 is now required for gnucash.  Finish
	removal of all functions deprecated in that version.  Don't enable
	warnings as g-wrap 1.3 still uses some deprecated functions.

	* src/app-utils/option-util.c:
	* src/engine/engine-helpers.c:
	* src/engine/glib-helpers.c:
	* src/engine/kvp-scm.c:
	* src/gnome-utils/argv-list-converters.c:
	* src/gnome-utils/dialog-options.c:
	* src/gnome-utils/gnc-menu-extensions.c: The SCM_xxx_CHARS macros
	return pointers to internal scheme data and should be treated as
	const.  Use the compiler to enforce this restriction.

2005-07-28  David Hampton  <hampton@employees.org>

	* src/import-export/hbci/Makefile.am:
	* src/import-export/hbci/gnc-hbci-utils.c:
	* src/import-export/hbci/gncmod-hbci.c:
	* src/import-export/hbci/hbci-interaction.[ch]:
	* src/import-export/hbci/hbci.scm:
	* src/import-export/hbci/glade/Makefile.am:
	* src/import-export/hbci/glade/hbci.glade:
	* src/import-export/hbci/glade/hbcipass.glade:
	* src/import-export/hbci/glade/hbciprefs.glade:
	* src/import-export/hbci/schemas/Makefile.am:
	* src/import-export/hbci/schemas/apps_gnucash_dialog_hbci.schemas:
	Make HBCI setup work again.  Use gconf and the new preferences
	dialog for HBCI preferences.  (Would be nice if these could be
	pushed out to the dialogs where they apply.)

	* src/import-export/import-account-matcher.c: Must specify what
	columns should be visible columns after adding a new column.

	* src/gnome-utils/gnc-tree-view-account.c: Build a kvp based column properly.

	* src/import-export/hbci/glade/hbcipass.glade: Wrap the text in
	labels.

	* src/import-export/hbci/glade/hbci.glade: Run through glade-2.6
	to reset properties to the gtk-2.4 level.  The changes are mostly
	formatting though.  Content changes to follow in separate commits.

	* src/gnome-utils/preferences.glade: When selecting the toolbar
	style use the same labels as the gnome preferences dialog.  Add a
	couple of explicit mnemonic targets.

2005-07-27  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/dialog-hbcitrans.c: Eventually enable all
	HBCI actions again. Only the convenience transfer templates are
	not yet available, but all online actions work.

2005-07-26  David Hampton  <hampton@employees.org>

	* src/app-utils/prefs.scm:
	* src/gnome/druid-hierarchy.[ch]:
	* src/gnome/gw-gnc-spec.scm:
	* src/gnome/top-level.c:
	* src/gnome/schemas/apps_gnucash_dialog_common.schemas:
	* src/gnome-utils/preferences.glade:
	* src/scm/main.scm: Finish converting the "Tip of the Day" dialog
	and the New File Hierarchy druid over to storing data in gconf.

	* doc/Makefile.am: Fix problem with "tip of the day" file and opt
	style installs.

2005-07-25  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/dialog-daterange.c: Enable HBCI statement
	download again. Works fully now.

2005-07-25  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/gncInvoice.c:  revert the
	  OWNER to GNC_ID_OWNER because it breaks lots of existing
	  queries.  QSF needs to find a better method, either using
	  a secondary entry into the parameter or coming up with a
	  new meta-type in QOF where you can implement GNC_ID_OWNER
	  in terms of the new metatype.  QOF_TYPE_COLLECT is absolutely
	  the WRONG answer for GNC_ID_OWNER.

	* src/engine/gnc-hooks.c: Call the correct API to delete a hook
	  so we don't throw an error at shutdown.

2005-07-24  David Hampton  <hampton@employees.org>

	* various src/backend and src/business/business-core: Add gchar*
	to xmlChar* casting of string constants to eliminate some gcc4
	warnings.

	* src/gnome-utils/print-session.c: Some gchar* to guchar* casting
	to make gcc4 happy.

	* src/gnome-utils/gw-gnome-utils-spec.scm: Remove references to
	deleted data structures.  Gnucash now compiles against
	g-wrap-1.9.6 as well as g-wrap-1.3.

2005-07-24  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/dialog-pass.c, gnc-hbci-utils.c,
	hbci-interaction.c, glade/hbcipass.glade: Fix transition from
	GNOME_DIALOG to GTK_DIALOG. Eventually enable HBCI online actions
	again. Needs more work but at least contacts the bank correctly.

2005-07-23  David Hampton  <hampton@employees.org>

	* src/gnome-utils/druid-gconf-setup.c: Use $(HOME) instead of '~'
	when creating the .gconf.path file.

	* various files: Reorganize where these files appear in doxygen
	output.

2005-07-22  David Hampton  <hampton@employees.org>

	* numerous business file: Migrate the business preferences over to
	the new preferences dialog.

	* src/gnome-utils/dialog-preferences.[ch]: Rework the widget
	lookup code to handle widgets from multiple glade files.
	Documentation.

	* numerous file: Begin migrating preferences over to the new
	preferences dialog.

	* src/gnome-utils/Makefile.am:
	* src/gnome-utils/dialog-preferences.[ch]:
	* src/gnome-utils/gnc-main-window.c:
	* src/gnome-utils/preferences.glade:
	* src/gnome-utils/ui/gnc-main-window-ui.xml: Add the
	infrastructure for the new preferences dialog.  Begin migrating
	preferences over to the new dialog.

	* src/core-utils/gnc-gconf-utils.[ch]: Add central notification
	dispatcher for the "general" set of gconf keys.  This is needed
	because lots of file need callbacks for just one or two keys from
	this section.  Add routines to get/set float values in gconf.
	Miscellaneous tweaks.

2005-07-20  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-gui-query.c: Skipping a dialog permanently
	takes precedence over skipping it temporarily.  Make sure to set
	only one flag per dialog.  Actually wire up the callbacks.

	* src/gnome/schemas/Makefile.am:
	* src/gnome/schemas/apps_gnucash_warnings.schemas:
	* src/register/ledger-core/split-register-control.c:
	* src/register/ledger-core/split-register-model.c: Use the new
	dialog that remembers whether or not it should suppress further
	instances.

	* src/business/business-gnome/dialog-invoice.h:
	* src/business/business-gnome/gnc-plugin-page-invoice.c:
	* src/business/business-gnome/schemas/apps_gnucash_dialog_business_common.schemas:
	* src/core-utils/gnc-gconf-utils.h:
	* src/gnome/gnc-plugin-page-register.c:
	* src/gnome/schemas/apps_gnucash_general.schemas:
	* src/gnome-utils/gnc-main-window.[ch]:
	* src/gnome-utils/gnc-plugin-page.[ch[:
	* src/register/register-core/table-allgui.h:
	* src/report/report-gnome/gnc-plugin-page-report.c: Allow pages to
	state whether they should be loaded in the current window or in a
	new window.  This will soon be controlled by preferences.

	* src/gnome/gnc-plugin-page-register.c: Propagate window changes
	to the register.  Fix the "transaction report" to use the current
	window's status bar for updates.

	* src/gnome/gnc-plugin-basic-commands.c: Example "important"
	actions.  Subject to review.

	* src/gnome-utils/gnc-plugin.[ch]: Add support for marking actions
	as "important".  This is a setting used by the toolbar when it is
	set to GTK_TOOLBAR_BOTH_HORIZ.

	* src/core-utils/gnc-gconf-utils.c: Handle what was thought to be
	an unexpected case when building gconf keys.

2005-07-19  David Hampton  <hampton@employees.org>

	* src/gnome/gnc-plugin-page-account-tree.c:
	* src/gnome/gw-gnc-spec.scm:
	* src/gnome/top-level.c:
	* src/gnome-utils/Makefile.am:
	* src/gnome-utils/gnc-main-window.c:
	* src/gnome-utils/gnc-mdi-utils.[ch]:
	* src/gnome-utils/gnc-window.c:
	* src/gnome-utils/gw-gnome-utils-spec.scm:
	* src/report/report-gnome/window-report.h:
	* src/report/report-system/report-utilities.scm:
	* src/scm/main-window.scm: Remove the remnants of the gtk1/gnome1
	MDI code.

	* src/report/report-gnome/gnc-plugin-page-report.c: Use the
	progress bar in the current window, not always the first window.

	* src/gnome-utils/gnc-main-window.c: Spruce up the delete window
	dialog to make it more HIG compliant.

	* src/engine/qofbook.h:
	* src/engine/qofbook-p.h: Expose the qof_book_mark_saved()
	function.

2005-07-18  David Hampton  <hampton@employees.org>

	* src/app-file/gnc-file.[ch]:
	* src/app-file/gnc-file-dialog.h:
	* src/app-file/gnome/gnc-file-dialog.c: Combined together as
	gnc-file.[ch] in the gnome-utils directory.

	* src/app-file/gnc-file-history.[ch]:
	* src/gnome/gnc-plugin-file-history.[ch]: Combined together as
	gnc-plugin-file-history.[ch] in the gnome-utils directory.

	* src/app-file/gw-app-file-spec.scm: Folded into
	gw-gnome-utils-spec.scm in the gnome-utils directory.

	* src/app-file/schemas/apps_gnucash_history.schemas: Moved to the
	gnome-utils directory.

	* various: Update file include statements, remove files no longer
	needed, etc.

2005-07-17  David Hampton  <hampton@employees.org>

	* src/gnome/gnc-plugin-page-register.c:
	* src/gnome/ui/gnc-plugin-page-register-ui.xml:
	* src/gnome-utils/gnc-main-window.c:
	* src/gnome-utils/ui/gnc-main-window-ui.xml: Add a "Transaction"
	top level menu that collects all the menu items from Edit and
	Actions that modify transactions.  This menu parallels the HIG
	definition of an "Edit" menu as much as possible.

	* src/gnome/ui/gnc-plugin-basic-commands-ui.xml: Move a couple
	menu items within the Actions menu.

	* src/gnome/schemas/apps_gnucash_dialog_common.schemas:
	* src/gnome-utils/Makefile.am:
	* src/gnome-utils/dialog-reset-warnings.[ch]:
	* src/gnome-utils/dialog-reset-warnings.glade:
	* src/gnome-utils/gnc-main-window.c:
	* src/gnome-utils/ui/gnc-main-window-ui.xml: Add a new dialog to
	reset the state of warning messages.

	* src/gnome-utils/druid-gconf-setup.c: Reset all temporary warning
	suppressions at startup.

	* src/gnc-ui.h:
	* src/gnome-utils/gnc-gui-query.c:
	* src/gnome-utils/gnc-gui-query.glade: New info/question/warning
	dialogs that remember whether or not the user wants to see them
	again.

	* src/gnome/gnc-plugin-page-account-tree.c: Add a refresh callback
	to update the page when preferences change.

	* src/engine/gnc-trace.[ch]: New log module for the
	preferences/warnings code.

	* src/gnome-utils/gnc-tree-view.c:
	* src/core-utils/gnc-gconf-utils.[ch]: Add some schema related
	functions.  Remove extraneous argument from
	gnc_gconf_client_all_entries().  Doxygen updates.

	* src/gnome-utils/gnc-main-window.c:
	* src/gnome-utils/gnc-window.[ch]: When deleting a window make
	sure to update the progress bar code.  Fixes a crash when you
	delete the last window and then try to save.  From Phil Longstaff
	<plongstaff@newearth.org>.

	* src/report/standard-reports/equity-statement.scm:
	* src/report/standard-reports/income-statement.scm: Fix for
	mispellings in scheme code from Phil Longstaff
	<plongstaff@newearth.org>.

2005-07-15  David Hampton  <hampton@employees.org>

	* src/gnc-ui.h:
	* src/gnome-utils/Makefile.am:
	* src/gnome-utils/druid-gconf-setup.[ch]:
	* src/gnome-utils/druid-gconf-setup.glade:
	* src/gnome-utils/gnc-dir.h.in: Test whether or not Gnucash can
	find its GConf keys.  If not present the user with a warning
	message.  If the user chooses to setup gconf, launch a druid to
	lead them through the process.

	* src/core-utils/gnc-gconf-utils.[ch]: New function to check
	existence of gconf keys.  New functions to add/remove gconf
	notifications for use by code that doesn't have a GObject
	available.

	* src/bin/Makefile.am:
	* src/bin/update-gnucash-gconf.in: New script to install all of
	Gnucash's gconf schemas into the users ~/.gconf directory.

	* configure.in:
	* src/app-file/schemas/Makefile.am:
	* src/business/business-gnome/schemas/Makefile.am:
	* src/gnome/schemas/Makefile.am: Do all schema installs into
	${prefix}/etc/gconf, not /etc/gconf.  Make sure this directory
	exists before installing.

	* src/gnome-utils/gnc-gnome-utils.[ch]:
	* src/gnome-utils/gnc-main-window.[ch]: Move the gnc_shutdown
	routine to a different file.

2005-07-11  David Hampton  <hampton@employees.org>

	* src/business/business-gnome/gnc-plugin-page-invoice.c:
	* src/gnome/gnc-plugin-page-register.c:
	* src/gnome/gnc-plugin-register.c: Add a hook to catch changes to
	register configuration keys and update any registers.  This gives
	live updating when changes are made.

	* doc/gtkrc-2.0.gnucash:
	* src/app-utils/prefs.scm:
	* src/business/business-gnome/dialog-invoice.c:
	* src/business/business-gnome/dialog-order.c:
	* src/business/business-ledger/gncEntryLedger.h:
	* src/business/business-ledger/gncEntryLedgerModel.c:
	* src/gnome/top-level.c:
	* src/gnome/schemas/Makefile.am:
	* src/gnome/schemas/apps_gnucash_general.schemas:
	* src/register/ledger-core/Makefile.am:
	* src/register/ledger-core/split-register-model.[ch]:
	* src/register/ledger-core/split-register.h:
	* src/register/register-core/table-allgui.[ch]:
	* src/register/register-gnome/gnucash-grid.c:
	* src/register/register-gnome/gnucash-header.c:
	* src/register/register-gnome/gnucash-item-edit.c:
	* src/register/register-gnome/gnucash-sheet.[ch]:
	* src/register/register-gnome/gnucash-style.[ch]: Add code to
	allow the register colors to be set by the system theme (i.e from
	gtkrc files).  Remove the preferences to set the register colors.
	Add a gconf keys to 1) specify whether to use the gtkrc colors or
	the default gnucash colors, 2) display the horizontal/vertical
	lines in the register, and 3) set the alternate coloring mode.

2005-07-07  David Hampton  <hampton@employees.org>

	* src/business/business-gnome/Makefile.am:
	* src/business/business-gnome/dialog-invoice.[ch]:
	* src/business/business-gnome/gnc-plugin-page-invoice.[ch]:
	* src/business/business-gnome/glade/invoice.glade:
	* src/business/business-gnome/ui/Makefile.am:
	* src/business/business-gnome/ui/gnc-plugin-page-invoice-ui.xml:
	Convert the invoice dialog over to a GncPluginPage.  The new file
	is in large part a wrapper around the original dialog code, since
	the same logic was actually used to drive two different dialogs.

	* src/business/business-gnome/business-gnome.scm:
	* src/business/business-gnome/businessmod-gnome.c:
	* src/business/business-gnome/gnc-plugin-business.[ch]:
	* src/business/business-gnome/gw-business-gnome-spec.scm: Move the
	logic to call the bills due dialog at startup.  Track the window
	where the last business command was issued and use this value to
	place any new business pages created.  Update accelerator keys.

	* src/business/business-gnome/ui/gnc-plugin-business-ui.xml:
	Add a couple of placeholders.

	* src/gnome-utils/gnc-main-window.c: Catch the window manager
	delete signal and query the user before allowing the last window
	to be deleted.

	* src/import-export/binary-import/Makefile.am:
	* src/import-export/binary-import/druid-commodity.[ch]:
	* src/import-export/binary-import/gncmod-binary-import.c:
	* src/import-export/binary-import/binary-import.scm (removed):
	* src/import-export/binary-import/gw-binary-import-spec.scm (removed):
	Rewrite this module's book-opened-hook into C.

	* src/enginc/gnc-hooks.[ch]:
	* src/engine/gw-engine-spec.scm: Explicitly state the number of
	arguments a hook callback should have.  Scheme gets very unhappy
	if you don't supply the right number of arguments.

	* src/app-file/gw-app-file-spec.scm: Eliminate double free of
	memory.

2005-07-06  David Hampton  <hampton@employees.org>

	* src/register/register-gnome/gnucash-sheet.c: The register uses a
	non-visible GtkEntry to handle its data input.  Except this widget
	from being shown by gtk_widget_show_all.

2005-07-05  David Hampton  <hampton@employees.org>

	* src/app-file/gnc-file.c:
	* src/gnome/dialog-new-user.c:
	* src/gnome/top-level.c: Eliminate double call of some hooks.

	* src/gnome/top_level.c:
	* src/gnome-utils/gnc-main-window.c: A new GncMainWindow should
	show itself instead of requiring the caller to call
	gtk_widget_show.

	* src/gnome/gnc-plugin-page-account-tree.c:
	* src/gnome/gnc-plugin-page-register.c:
	* src/gnome-utils/gnc-main-window.[ch]:
	* src/gnome-utils/gnc-plugin-page.[ch]:
	* src/gnome-utils/gnc-window.c:
	* src/report/report-gnome/gnc-plugin-page-report.c: Move some of
	the fields in a GncPluginPage from the public to the private data
	structures.

	* src/gnome-utils/dialog-query-list.c:

	Look for the window manager deletion signal and clean up the
	dialog.

	* src/gnome-utils/dialog-query-list.glade: Give the dialog a
	default size.

2005-07-03  David Hampton  <hampton@employees.org>

	* src/gnome/glade/price.glade: Update to use HIG2.0 guidelines for
	widget spacing.

	* src/gnome/dialog-print-check.c:
	* src/gnome-utils/gnc-html.c:
	* src/gnome-utils/gw-gnome-utils-spec.scm:
	* src/gnome-utils/print-session.[ch]:
	* src/scm/printing/print-check.scm: Convert printing over to g2.

	* src/gnome/gnc-plugin-page-register.c:
	* src/gnome/ui/gnc-plugin-page-register-ui.xml: Move the "Print
	Check" command to overlay the "Print" placeholder.

	* src/report/report-gnome/gnc-plugin-page-report.c: Replace the
	gtk1.2 "draw" signal with the gtk2.0 "expose_event" signal.

2005-07-02  David Hampton  <hampton@employees.org>

	* src/report/report-gnome/gnc-plugin-page-report-ui.xml:
	* src/report/report-gnome/gnc-plugin-page-report.c: Duplicate a
	couple of the toolbar buttons as menu items.

	* src/gnome-utils/print-session.[ch]:
	* configure.in: Remove old checks for libgnomeprint2.0.

	* src/gnome-utils/gnc-main-window.c: Print is a placeholder that
	must be overridden.

	* src/business/business-core/gncEmployee.h: Add #define for
	deprecated function.

2005-07-01  David Hampton  <hampton@employees.org>

	* src/business/business-core/gncEmployee.h: Add #define for
	deprecated function.

	* src/gnome-utils/dialog-query-list.c: Finish g1->g2 widget conversion.

	* src/gnome/gnc-plugin-basic-commands.c: Rename "Find Transactions"
	back to "Find".

	* src/gnome/gnc-plugin-page-register.c:
	* src/gnome/ui/gnc-plugin-page-register-ui.xml:
	* src/gnome/ui/gnc-plugin-page-sxregister-ui.xml: Restore missing
	commands.

	* src/gnome/ui/gnc-plugin-page-account-tree-ui.xml:
	* src/gnome-utils/ui/gnc-main-window-ui.xml: Tweak menu locations.

	* src/gnome/dialog-scheduledxaction.c: Destroy the dialog when the
	user dismisses it. Releases resources instead of losing them.

	* src/gnome/glade/register.glade: Tweak the "Void Transaction"
	dialog.

	* src/gnome-utils/gnc-embedded-window.c: Add object tracking.

	* src/gnome-utils/gnc-main-window.c: Add object tracking.
	Cut/Copy/Paste are only placeholders that must be overridden.
	Remove function stubs and make the actions insensitive.

2005-06-30  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-plugin-page.[ch]: Add a utility function to
	retrieve the page title.

	* src/gnome-utils/gnc-date-edit.[ch]: Reconnect the
	focus_out_event signal.  Add a function so this widget can be
	generated from a glade file.

	* src/gnome/gnc-split-reg.[ch]: Enable translation of the
	SortType enumeration to/from a string.

	* src/gnome/gnc-plugin-file-history.c:
	* src/gnome/ui/gnc-plugin-file-history-ui.xml: Promote file
	history information to the 'File' menu per Gnome HIG 2.0.

	* src/gnome/gnc-plugin-page-register.c:
	* src/gnome/ui/gnc-plugin-page-register-ui.xml:
	* src/gnome/glade/register.glade: Promote the register style
	options to the 'Edit' menu per Gnome HIG 2.0.  Rework the various
	sort, status and date menu items into the HIG "Sort By" and
	"Filter By" menus.

	* src/gnome/gnc-plugin-basic-commands.c:
	* src/gnome/ui/gnc-plugin-basic-commands-ui.xml:
	* src/gnome-utils/gnc-main-window.c:
	* src/gnome-utils/ui/gnc-main-window-ui.xml: Move a few commands
	around to try and better align with HIG 2.0.

	* src/gnome-utils/gnc-main-window.h:
	* src/gnome/gw-gnc-spec.scm:
	* src/scm/main.scm: Remove unneeded functions now that the main
	window title is updated internally.

	* various: Use HIG 2.0 specified access keys wherever
	possible. Try and ensure that all menu items have access keys
	defined.

2005-06-19  Neil Williams <linux@codehelp.co.uk>
	* qofid.c:
	* qofid.h: qof_collection_count

2005-06-19  Neil Williams <linux@codehelp.co.uk>
	* src/engine/qof_book_merge.c: Re-organising to
	use static functions.
	* src/engine/qof_book_merge.h: Setting public API.
	* src/engine/qofclass.h: Typos.

2005-06-19  Neil Williams <linux@codehelp.co.uk>
	* src/business/business-core/gncAddress.c:
	* src/business/business-core/gncAddress.h:
	* src/business/business-core/gncCustomer.c:
	* src/business/business-core/gncCustomer.h:
	* src/business/business-core/gncEmployee.c:
	* src/business/business-core/gncEmployee.h:
	* src/business/business-core/gncInvoice.c:
	* src/business/business-core/gncInvoice.h:
	* src/business/business-core/gncJob.c:
	* src/business/business-core/gncJob.h:
	* src/business/business-core/gncOwner.c:
	* src/business/business-core/gncOwner.h:
	* src/business/business-core/gncVendor.c:
	* src/business/business-core/gncVendor.h
	* src/engine/Account.c
	* src/engine/Account.h: Changing to static functions,
	and using QOF_TYPE_COLLECT in QofObject parameters.
	* src/engine/FreqSpec.c
	* src/engine/FreqSpec.h: Removing compiler hack, using
	static functions.
	* src/engine/Transaction.c
	* src/engine/Transaction.h: Changing to static functions.

2005-06-19  Neil Williams <linux@codehelp.co.uk>
	* src/backend/qsf/qsf-backend.c: API
	* src/backend/qsf/qsf-object.xsd.xml: QOF_TYPE_COLLECT
	* src/backend/qsf/qsf-xml.h: Make into a private header.
	* src/backend/qsf/qof-backend-qsf.h: Public API for the library.

2005-06-19  Neil Williams <linux@codehelp.co.uk>
	* src/doc/backend-api.txt
	* src/doc/backend-errors.txt
	* src/doc/backup.txt
	* src/doc/books.txt
	* src/doc/budget.txt
	* src/doc/business.txt
	* src/doc/constraints.txt
	* src/doc/currencies.txt
	* src/doc/doxygen.cfg.in
	* src/doc/doxygen_main_page.c
	* src/doc/engine.txt
	* src/doc/g2-architecture.txt
	* src/doc/generic-druid-framework.txt
	* src/doc/guid.txt
	* src/doc/loans.txt
	* src/doc/lots.txt
	* src/doc/multicurrency-discussion.txt
	* src/doc/netlogin.txt
	* src/doc/plugin.txt
	* src/doc/prices.txt
	* src/doc/qif.txt
	* src/doc/tax.txt
	* src/doc/user-prefs-howto.txt
	* src/engine/design.txt
	* src/engine/extensions.txt
	* src/engine/kvp_doc.txt
	* src/scm/startup-design.txt: Folding text files
	into Doxygen output.

	* src/doc/gnc-commodity.txt: Removed: empty.

2005-06-12  Derek Atkins  <derek@ihtfp.com>

	* src/engine/gnc-hooks*:
	  First attempt at implementing SCM hooks in C.
	* src/engine/Makefile.am:
	  Handle new (private) header file, gnc-hooks-scm.h

	* src/engine/gnc-hooks.c:
	  Use ENTER/LEAVE macros instead of commented printfs

	* src/engine/gw-engine-spec.scm:
	  use gnc-hooks-scm.h header
	* src/engine/gnc-hooks.[ch]:
	  Fix APIs..  Even though we return 'const' don't say we do.

	* src/app-utils/hooks.scm:
	  remove most of the hooks code; use the C impl.
	* src/app-utils/prefs.scm: don't define the save-options-hook here
	* src/engine/gnc-hooks.[ch]:
	  Fix the actual implementation of the scheme callback
	  Make sure we call back with appropriate number of args
	* src/engine/gw-engine-spec.scm:
	  wrap the gnc-hooks APIs
	  define the old hooks as strings.
	* src/gnome-utils/gnc-menu-extensions.scm:
	  remove definition of add-extension-hook
	* various others:
	  remove call to run-c-hook, just use the run-dangers API

2005-06-11  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-plugin-manager.[ch]: Take ownership of
	plugins passed to the manager.  Free all plugins at gui shutdown.
	Documentation.

2005-06-11  Derek Atkins  <derek@ihtfp.com>

	* src/core-utils/Makefile.am
	  Removed gnc-hooks to src/engine.
	* src/core-utils/gw-core-utils-spec.scm:
	  Removed gnc-hooks
	* src/engine/gnc-hooks.[ch]:
	  gnc-hooks are here, so it can deal with QofEntity handling.
	  Changed the API to take a GFunc and a cbarg.
	* src/engine/gw-engine-spec.scm:
	  added gnc-hooks wrapper

2005-06-10  David Hampton  <hampton@employees.org>

	* configure.in: Break out gtk from gnome to get access to a
	GTK_CFLAGS variable.

	* src/core-utils/gnc-gobject-utils.[ch]: Add functions for
	tracking GObject based items.  To help find memory leaks, if
	gnucash is compiled with --enable-ref-counts-dumps the contents of
	this database will be dumped when gnucash quits.

	* src/gnome-utils/gnc-tree-model.[ch]: New base tree model that
	utilizes the new object tracking functions.

	* src/gnome-utils/gnc-plugin.c:
	* src/gnome-utils/gnc-plugin-page.c:
	* src/gnome-utils/gnc-tree-view.[ch]: Utilize the new object
	tracking functions in these gnucash base class objects.

	* various: Remove old debugging code that is no longer
	needed. Debugging is now in the base class objects.

2005-06-09  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-plugin-manager.[ch]: Assume ownership of all
	registered plugins instead of incrementing their reference count.
	Install a ui-shutdown hook so that the plugin manager can clean up
	and free any installed plugins..

	* src/app-utils/prefs.scm:
	* src/core-utils/gnc-hooks.h:
	* src/gnome-utils/gnc-menu-extensions.scm:
	* src/report/report-gnome/report-gnome.scm:
	* src/scm/main.scm: Finish regularizing C side hook names.

	* src/gnome-utils/gnc-tree-view-account.c: Unref the sort_model so
	that the entire set of models will be properly deleted.

2005-06-08  Derek Atkins  <derek@ihtfp.com>

	* src/core-utils/gnc-hooks.[ch]: rename some functions, set up the
	  architecture to handle SCM and C hook danglers all in the same
	  place.
	* src/app-file/gnc-file.c:
	* src/core-utils/gw-core-utils-spec.scm:
	* src/gnome/dialog-new-user.c:
	* src/gnome/top-level.c:
	  point to new gnc-hook function names

	* src/engine/qofsession-p.h, src/engine/qofsession.c:
	  Make a session sort of look like a QofEntity.  This will
	  be useful when I add scheme bindings to the hooks.

2005-06-07  David Hampton  <hampton@employees.org>

	* src/gnome/gnc-plugin-page-register.c:
	* src/gnome/gnc-split-reg.[ch]: Make the summarybar for the
	register work again.

	* src/core-utils/gnc-hooks.[ch]: Implement C side hook lists.  Will
	allow hooks to be easily installed from either Scheme or C code.

	* various files: Call the C hooks whenever a Scheme hook is called.

2005-06-06  David Hampton  <hampton@employees.org>

	* gnucash/src/backend/qsf/qsf-backend.c: Couple of bug fixes.

	* src/gnome/gnc-plugin-basic-commands.c: Forgot to change the
	callback data provided to these commands now that they're provided
	by a plugin.

	* src/app-file/gnc-file.c: Fix double free.

	* src/gnome/druid-merge.c: Use gtk_widget_show_all so that the
	first page of the druid is shown.

	Restructure the code.

	* src/gnome/gnc-embedded-window.[ch]:
	* src/gnome/gnc-plugin-basic-commands.[ch]:
	* src/gnome/gnc-plugin-manager.[ch]:
	* src/gnome/gnc-plugin-menu-additions.[ch]:
	* src/gnome/gnc-plugin-page.[ch]:
	* src/gnome/gnc-plugin.[ch]:
	* src/gnome/gnc-window.[ch]: These files were moved whole from
	src/gnome to src/gnome-utils:

	* src/gnome/gnc-main-window.[ch]:
	* src/gnome/ui/gnc-main-window-ui.xml: These files were split into
	two parts, and the part with the existing name was moved from
	src/gnome to src/gnome-utils.  The parts left in src/gnome are
	called gnc-plugin-basic-commands.[ch].

	* src/app-file/gnc-file.[ch]:
	* src/app-file/gncmod-app-file.c: Call gnc-main-window directly
	now instead of through a function pointer loaded at runtime.

	* src/gnome/top-level.c:

	* gnucash/src/gnc-ui.h:
	* src/report/stylesheets/Makefile.am: Revert temporary workaround.

	(Now removed) Temporary workaround.

	* gnucash/src/gnc-ui.h:
	* gnucash/src/gnome/gnc-main-window.h:
	* gnucash/src/gnome/gnc-window.h:
	* gnucash/src/gnome/gw-gnc-spec.scm:
	* gnucash/src/gnome-utils/gw-gnome-utils-spec.scm:
	* gnucash/src/report/report-gnome/gw-report-gnome-spec.scm:
	* gnucash/src/report/stylesheets/ Makefile.am: Temporary
	workaround to resolve circular build dependency:

2005-06-05  David Hampton  <hampton@employees.org>

	* src/gnome/gnc-plugin-page-register.c:
	* src/gnome/ui/gnc-plugin-page-register-ui.xml: Restore the
	register report menu items.  They've been missing for a while.

	* src/gnome/Makefile.am:
	* src/gnome/top-level.c:
	* src/gnome/gnc-plugin-menu-additions.[ch]: New files for
	installing the report menu items into the main window(s).

	* src/gnome-utils/gnc-menu-extensions.[ch]:
	* src/gnome-utils/gnc-menu-extensions.scm: Build data structures
	that are easier to use with the new menu installation code. Code
	cleanup.

	* src/business/business-gnome/business-gnome.scm:
	* src/report/report-gnome/Makefile.am:
	* src/report/report-gnome/gnc-plugin-page-report.[ch]:
	* src/report/report-gnome/gw-report-gnome-spec.scm:
	* src/report/report-gnome/report-gnome.scm:
	* src/report/report-system/report.scm:
	* src/scm/main.scm: Reports are now opened in the window where the
	menu was selected. Other updates for recent changes.

	* src/gnome-utils/gw-gnome-utils-spec.scm:
	* src/report/report-gnome/window-report.[ch]: Removal of old code.

	* src/gnome/gnc-main-window.[ch]:
	* src/gnome/ui/gnc-main-window-ui.xml:
	* src/gnome/gnc-plugin-page-account-tree.c: Include the Reports
	menu in the main user interface.  Extracted common code into
	utility functions.  New function for adding hand crafted actions
	to the user interface.  Don't allow the initial page to be closed
	or moved.  Rename a menu entry.  Remove the dispose function.  Add
	doxygen comments.

	* src/gnome/gnc-plugin.[ch]: Add doxygen comments.

	* src/gnome/gw-gnc-spec.scm Remove extraneous includes.

	* src/core-utils/gnc-gconf-utils.c: Treat the dash and underscore
	characters the same when looking up an enum by name.

2005-06-04  David Hampton  <hampton@employees.org>

	* src/gnome/gnc-plugin.[ch]:
	* src/gnome-utils/gnc-gnome-utils.[ch}: Migrate a couple of
	functions to gnc-plugins.c.

	* src/gnome/gnc-plugin-page-account-tree.c:
	* src/gnome/gnc-plugin-page-register.c:
	* src/import-export/hbci/gnc-plugin-hbci.c:
	* src/report/report-gnome/gnc-plugin-page-report.c:
	* src/report/stylesheets/gnc-plugin-stylesheets.c: Update for the
	new function names.

2005-06-03  David Hampton  <hampton@employees.org>

	* src/gnome/gnc-main-window.[ch]: Move one function out of
	window-main.c.  This may be a temporary home.

	* src/gnome/window-main.[ch]:
	* src/gnome/window-register.[ch]: Remove files that are no longer
	needed in the g2 branch.

	* src/gnome/Makefile.am:
	* src/gnome/dialog-scheduledxaction.c:
	* src/gnome/gnc-plugin-page-account-tree.c:
	* src/gnome/gnc-split-reg.c:
	* src/gnome/gw-gnc-spec.scm:
	* src/gnome/top-level.[ch]:
	* src/gnome/window-main-summarybar.c: Remove references to these
	files.

2005-06-02  David Hampton  <hampton@employees.org>

	* src/business/business-gnome/dialog-customer.c: Eliminate a
	memory corruption bug.

	* src/business/business-gnome/dialog-customer.c:
	* src/business/business-gnome/dialog-employee.c:
	* src/business/business-gnome/dialog-invoice.c:
	* src/business/business-gnome/dialog-job.c:
	* src/business/business-gnome/dialog-order.c:
	* src/business/business-gnome/dialog-vendor.c: Fix a small memory
	leak. Also tweak printfs for a 64 bit system.

	* src/gnome-search/gnc-general-search.c: Remove the custom forall
	method.  This allows all the child widgets to be properly
	destroyed.

2005-05-22  David Hampton  <hampton@employees.org>

	* src/gnome-utils/dialog-utils.c (gnc_save_window_size): Protect
	against being called after window destruction has started.

	* src/gnome/glade/lots.glade:
	* src/gnome/lot-viewer.c: Make the dialog more HIG compliate.
	Install the callbacks via glade instead of by hand.  Rework some
	of the callback logic.  The buttons that require a lot be selected
	now cannot be clicked unless a lot is selected.  Rememver window
	and divider information in gconf.

2005-05-21  David Hampton  <hampton@employees.org>

	* src/gnome/glade/lots.glade: Geert Jan Janssens'
	<janssens.geert@advalvas.be> changes to add scrollbars to 'lot
	clist'.  Add a default window size for easier use.  Add start
	position for vpane divider to show both panes on startup.

	* All glade files: Run through the FC3 version of glade (2.6.0).
	Additional properties added and minor reordering of properties.

	* src/gnome/glade/merge.glade: Major indentation changes.

	* src/gnome-utils/Makefile.am:
	* src/gnome-utils/gnc-tree-view-common.[ch]:
	* src/gnome-utils/gnc-tree-view.[ch]: Convert common functions
	into a new base gnc-tree-view object.  Integrate the object with
	gconf for tracking sizes and visibilities of columns within a
	view.  Add a new popup menu for selecting column visibilities.
	Make it easier to add new columns after a view has been created.

	* src/gnome-utils/gnc-tree-view-*: Base these views on the new
	common gnc-tree-view class.

	* src/gnome-utils/gnc-tree-model-*: Remove the dedicated column
	for right aligning numbers.  This is done by a simpler method now.

	* src/gnome/dialog-budget-category.c:
	* src/gnome/dialog-commodities.c:
	* src/gnome/dialog-price-edit-db.c:
	* src/gnome/druid-hierarchy.c:
	* src/gnome/gnc-plugin-page-account-tree.c:
	* src/import-export/import-account-matcher.c: Changes because
	called functions have moved in to the base gnc tree view.

	* src/app-utils/gnc-ui-util.[ch]:
	* src/gnome-utils/dialog-account.c:
	* src/scm/main-window.scm: Prune three or four layers of
	complicated code that is only ever used to extract a single value
	from an account.

2005-05-20  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-tree-model-account.c: Store the book as part
	of the model private data.  In the event handler for the model,
	ensure that events are for accounts that are in the model.

2005-05-19  David Hampton  <hampton@employees.org>

	* src/core-utils/gnc-gconf-utils.[ch]: Add some more utility
	functions.

	* src/gnome/schemas/apps_gnucash_dialog_commodities.schemas:
	* src/gnome-utils/gnc-tree-view-commodity.c: Renamed "exchange
	code" to "cusip code".  The former seems like it is referring to
	NASDAQ, NYSE, etc, not a code that is unique to a specific
	security.  The latter is by definition security specific.

2005-05-15  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-tree-view-account.[ch]:
	* src/gnome-utils/gnc-tree-model-account.c:
	* src/gnome/druid-hierarchy.c: Chris Shoemaker's fixes to add
	custom columns to an Account view.  Various cleanups and fixes for
	memory leaks.

2005-05-10  David Hampton  <hampton@employees.org>

	* src/gnome-search/gncmod-gnome-search.c: Don't try to load code
	that was removed two weeks ago.

2005-05-08  Neil Williams <linux@codehelp.co.uk>
	* src/business/business-core/gncInvoice.c: Implementing
	QOF_TYPE_COLLECT.
	* src/business/business-core/gncInvoice.h: New functions to
	support collections.
	* src/business/business-core/gncOwner.c: Invoice collection
	support.
	* src/business/business-core/gncOwner.h: Doxygen and declarations.

2005-05-08  Neil Williams <linux@codehelp.co.uk>
	* src/backend/file/test/.cvsignore: Tweak
	* src/backend/qsf/qsf-backend.c: Handling collections
	in QSF
	* src/business/business-core/gncAddress.c: QOF enhancements.
	* src/business/business-core/gncAddress.h: QOF enhancements.
	* src/business/business-core/gncCustomer.c: Setting the address
	via QOF.
	* src/business/business-core/gncCustomer.h: Address handling in QOF.
	* src/business/business-core/gncInvoice.c: Using QOF_TYPE_COLLECT for
	owner, billto and entries.
	* src/business/business-core/gncInvoice.h: Declarations for collect
	handlers.
	* src/business/business-core/gncOwner.c: Handling as a collection.
	* src/business/business-core/gncOwner.h: Easing QOF handling.
	* src/business/business-gnome/gnc-plugin-business.c: Recursive
	handling.
	* src/engine/kvp_frame.h: Doxygen fix.
	* src/engine/qof_book_merge.c: QOF_TYPE_COLLECT merges.
	* src/engine/qofclass.h: New QOF type, collection.
	* src/engine/qofid.c: Collection handling.
	* src/engine/qofid.h: Documenting QOF_TYPE_COLLECT.
	* src/engine/qofsession.c: Recursive copies.
	* src/engine/qofsession.h: Recursive copying documentation.

2005-05-03  Neil Williams <linux@codehelp.co.uk>

	* src/app-utils/gnc-ui-util.h: Doxygen update.
	* src/backend/qsf/qsf-backend.c: Omitting kvp tag when
	frame is empty.
	* src/backend/qsf/qsf-object.xsd.xml: Typo.
	* src/business/business-core/gncBillTerm.h:
	* src/business/business-core/gncEmployee.h:
	* src/business/business-core/gncEntry.h:
	* src/business/business-core/gncTaxTable.h:
	* src/core-utils/gnc-gconf-utils.h:
	* src/engine/Account.h:
	* src/engine/Group.h: Doxygen fixes.
	* src/engine/Transaction.c: Replacement Timespec calls
	because QOF needs to pass Timespec, not Timespec*
	* src/engine/Transaction.h: qofTransSetDatePosted
	and qofTransSetDateEntered new functions and Doxygen fixes.
	* src/engine/gnc-commodity.h:
	* src/gnome-utils/dialog-account.h:
	* src/gnome-utils/dialog-commodity.c:
	* src/gnome-utils/dialog-commodity.h:
	* src/gnome-utils/gnc-gnome-utils.h:
	* src/gnome-utils/gnc-tree-model-account-types.h:
	* src/gnome-utils/gnc-tree-model-account.h:
	* src/gnome-utils/gnc-tree-model-commodity.h:
	* src/gnome-utils/gnc-tree-model-price.h:
	* src/gnome-utils/gnc-tree-view-account.h:
	* src/gnome-utils/gnc-tree-view-commodity.h:
	* src/gnome-utils/gnc-tree-view-common.h:
	* src/gnome-utils/gnc-tree-view-price.h:
	* src/gnome/gnc-plugin-file-history.c:
	* src/gnome/gnc-plugin-file-history.h:
	* src/gnome/gnc-plugin-page-account-tree.h:
	* src/gnome/gnc-plugin-page-register.h:
	* src/register/ledger-core/split-register-layout.h:
	* src/report/report-gnome/gnc-plugin-page-report.h:
	Doxygen fixes. Sub-divided the GUI module into manageable
	chunks and fixed @name sections. Put the @{ inside the
	same comment block as @name but NOT on the same line
	as the closing */

2005-04-30  David Hampton  <hampton@employees.org>

	* mkinstalldirs: Drop this generated file from CVS.

	* configure.in: Drop the libgnomeui requirement back to 2.6 so we
	can support SuSe 9.2.

	* src/business/business-ledger/gncEntryLedger.h: Change a couple
	of register cell names so the core register code can save/restore
	column widths.

	* src/gnome/gnc-main-window.c:
	* src/gnome/ui/gnc-main-window-ui.xml: Add the (debug) extensions
	menu back.

	* src/business/business-gnome/business-gnome.scm:
	* src/business/business-gnome/gnc-plugin-business.c:
	* src/business/business-gnome/ui/gnc-plugin-business-ui.xml:
	* src/scm/main.scm: Migrate the business "test" menu to a
	GtkAction based menu.

	* src/gnome-search/Makefile.am:
	* src/gnome-search/gnome-search.scm:
	* src/gnome-search/gw-gnome-search-spec.scm: Remove unused code.

2005-04-30  Derek Atkins  <derek@ihtfp.com>

	* src/gnome-utils/gnc-html-graph-gog.c: chris' patch
	  to enable showing the graph to workaround a bug in
	  gtkhtml-3.3.2 where the widget height is set to -1.

2005-04-28  David Hampton  <hampton@employees.org>

	* lots-o-files: Migrate most hidden preferences over to gconf.
	Remember geometry of more dialogs and restore it when the dialog
	is next used.

	* src/business/business-gnome/dialog-billterms.c:
	* src/business/business-gnome/dialog-invoice.c:
	* src/core-utils/gnc-gconf-utils.h:
	* src/gnome/gnc-split-reg.c:
	* src/gnome/window-main.c:
	* src/gnome/window-reconcile.c:
	* src/gnome/window-register.c:
	* src/gnome-utils/gnc-mdi-utils.c: Collapse knowledge of desktop
	gconf keys into a single file.

	* src/gnome/gnc-totd-dialog.[ch]:
	* src/gnome/tip-of-the-day.[ch]:
	* src/scm/tip-list.scm:
	* src/scm/tip-of-the-day.scm: Remove old "tip of the day" code.

	* make-gnucash-potfiles.in:
	* doc/tip_of_the_day.list.in:
	* src/gnome/dialog-totd.[ch]:
	* src/gnome/glade/totd.glade:
	* src/gnome/schemas/apps_gnucash_dialog_totd.schemas: New "tip of
	the day" code entirely written in C.  The installed tip file can
	still be updated by users, but is now essentially a free-form file
	where tips are separated by two consecutive newline characters.
	The tip file in the sources still contains gettext markup.  Store
	the current tip number and whether or not to show tip in gconf.

	* src/gnome/gnc-main-window.c:
	* src/gnome/gw-gnc-spec.scm:
	* src/gnome-utils/gnc-gnome-utils.[ch]:
	* src/scm/main.scm: Other files affected by the "tip of the
	day" changes.

2005-04-25  Neil Williams <linux@codehelp.co.uk>
	* src/app-utils/option-util.c:
	* src/app-utils/option-util.h: Removing deprecated QOF code
	DateFormat.
	* src/backend/qsf/pilot-qsf-GnuCashInvoice.xml:
	Making allowance for FreqSpec in pilotqof.
	* src/backend/qsf/qsf-backend.c: Support for
	reporting write errors to the user from the backend.
	* src/backend/qsf/qsf-object.xsd.xml: Typos and
	requiring certain attributes in all QSF XML.
	* src/backend/qsf/qsf-xml-map.c: minor.
	* src/backend/qsf/qsf-xml.h: Doxygen.
	* src/business/business-core/gncEntry.c: Increased
	QOF support.
	* src/business/business-core/gncEntry.h: QOF defines.
	* src/engine/FreqSpec.c: Removing hack, using enum as
	string macro, adding some QOF parameters and object
	definition. More to follow.
	* src/engine/FreqSpec.h: enum as string macro and
	adding QOF handling. Doxygen.
	* src/engine/FreqSpecP.h: Moving Doxygen comments to .h
	where they can actually be read. Removing Doxygen markers
	where unnecessary.
	* src/engine/SchedXaction.c: QOF Object declaration,
	QOF parameters.
	* src/engine/SchedXaction.h: Doxygen and QOF handling.
	* src/engine/gnc-date.c: Adding support for UTC time formatting
	and parsing. Doxygen. Increased MAX_DATE_LENGTH to cope
	with UTC strings.
	* src/engine/gnc-date.h: Removing deprecated shorthand defines.
	UTC support. Doxygen.
	* src/engine/gnc-engine-util.h: enum as string macro improvements.
	* src/engine/gnc-engine.c: FreqSpec and SchedXaction QOF object
	registration.
	* src/engine/gnc-trace.c: Tweak.
	* src/engine/gw-engine-spec.scm: Removing deprecated
	QOF_DATE_MATCH_ROUNDED and replacing with QOF_DATE_MATCH_DAY.
	* src/engine/kvp_frame.c: Deprecating mis-matched function names
	where gnc_numeric was mixed with numeric and str with string.
	All now use numeric or string.
	* src/engine/kvp_frame.h: Adding defines to support deprecated
	names for time being. Doxygen.
	* src/engine/qof-be-utils.h: Doxygen tweak.
	* src/engine/qof.h: Removing qof/ directory prefix on included
	header files.
	* src/engine/qof_book_merge.c: Using MAX_DATE_LENGTH, swapping
	unsigned int to signed int for printing.
	* src/engine/qof_book_merge.h: Losing the qof/ prefix.
	* src/engine/qofclass.c: Reference handling.
	* src/engine/qofgobj.c: Losing the qof/ prefix. Moving variable
	declarations to top of block.
	* src/engine/qofgobj.h: Losing qof/ prefix.
	* src/engine/qofid.h: Removing FreqSpec from QOF.
	* src/engine/qofquery-deserial.c: Removing deprecated date handling
	code.
	* src/engine/qofquery-deserial.h: Losing qof/ prefix, doxygen.
	* src/engine/qofquery-serialize.c: Removing deprecated date handling
	code.
	* src/engine/qofquery-serialize.h: Losing qof/ prefix.
	* src/engine/qofquery.c: Removing deprecated date handling code.
	* src/engine/qofquery.h: Doxygen.
	* src/engine/qofquerycore.c: Removing deprecated date handling code.
	* src/engine/qofquerycore.h: Removing deprecated date handling code.
	* src/engine/qofsession-p.h: Doxygen.
	* src/engine/qofsession.c: Tweak.
	* src/engine/qofsql.c: Losing qof/ prefix. Support for INSERT SQL
	statement and UTC date queries.
	* src/engine/qofsql.h: Losing qof/ prefix. Doxygen.
	* src/gnome-utils/QuickFill.h: Doxygen tweak.
	* src/gnome-utils/account-quickfill.h: Doxygen tweak.
	* src/gnome-utils/dialog-options.c:
	* src/gnome-utils/gnc-date-edit.c:
	* src/gnome-utils/gnc-date-format.c:
	* src/gnome-utils/gnc-date-format.h:
	* src/gnome/dialog-scheduledxaction.c:
	* src/gnome/dialog-sxsincelast.c:
	* src/gnome/druid-loan.c:
	* src/gnome/top-level.c:
	* src/import-export/import-main-matcher.c:
	* src/import-export/import-match-picker.c:
	* src/register/ledger-core/split-register-layout.h:
	* src/register/ledger-core/split-register.c:
	* src/register/ledger-core/split-register.h:
	* src/register/register-gnome/datecell-gnome.c: Removing deprecated
	date handling code.

2005-04-24  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/window-main-summarybar.c: Switch from using a gtk_select
	with locally-defined widgets to a GtkListStore backing a standard
	combo box.  Re-define the layout a bit, but it's still ugly.
	* src/gnome-utils/gtkselect.[ch]: Dead.

2005-04-24  David Hampton  <hampton@employees.org>

	* gnucash/src/core-utils/gnc-gconf-utils.[ch]:
	* gnucash/src/gnome-utils/gnc-gconf-utils.[ch]: Moved files from
	the gnome-utils directory to the core-utils directory. Clean up
	the usage of these functions.  Document the functions with
	doxygen.

	* various: Changes for the move/cleanup of gnc-gconf.

	* gnucash/src/gnome/schemas/apps_gnucash_dialog_commodities.schemas:
	* gnucash/src/gnome/schemas/apps_gnucash_dialog_prices.schemas:
	* gnucash/src/gnome-utils/gnc-tree-view-account.c:
	* gnucash/src/gnome-utils/gnc-tree-view-commodity.c:
	* gnucash/src/gnome-utils/gnc-tree-view-price.c: Remove old
	references to the GtkTreeView "rules_hint" property.  This
	property is now controlled via the .gtkrc file (where it should
	be).

	* gnucash/src/gnome/gnc-plugin.[ch]: Add infrastructure for
	plugins to easily request notification of changes to gconf for a
	specific section of gnucash variables.

	* configure.in:
	* gnucash/src/app-file/Makefile.am:
	* gnucash/src/app-file/gnc-file-history.[ch]:
	* gnucash/src/app-file/gnc-file-p.h:
	* gnucash/src/app-file/gw-app-file-spec.scm:
	* gnucash/src/gnome/gnc-plugin-file-history.[ch]:
	* gnucash/src/gnome/ui/gnc-plugin-file-history-ui.xml:
	* gnucash/src/app-file/schemas/Makefile.am:
	* gnucash/src/app-file/schemas/apps_gnucash_history.schemas: Hook
	the file history list into gconf.

	* gnucash/src/gnome/gnc-main-window.c:
	* gnucash/src/gnome/gnc-plugin-page-account-tree.c:
	* gnucash/src/gnome/gnc-plugin-page.[ch]:
	* gnucash/src/gnome/window-main-summarybar.c: Move the summary bar
	to the body of the page, just below the account tree.  Implement
	support for changing the summary bar when the page is changed,
	since the register page has a different summary bar. Hook the main
	window in to use standard desktop gconf key to decide if the
	toolbar is show as text/icons/both.

2005-04-23  Derek Atkins <derek@ihtfp.com>

	* Merge gog-integ branch into g2 branch.

 --- begin gog-integ Changelog ---

2005-04-17  Derek Atkins <derek@ihtfp.com>

	* configure.in: don't set pkglibdir
	* lib/goffice/split.c: implement e_xml_get_child_by_name()
	  GOG branch now builds on FC3.

2005-02-12  Joshua Sled  <jsled@asynchronous.org>

	* src/report/utility-reports/test-graphing.scm: Add to make
	graphing development easier.

	* src/gnome-utils/gnc-html-graph-gog.c (handle_barchart): fix;
	handle stacked-columns.
	(handle_scatter): add.

2005-02-10  Joshua Sled  <jsled@asynchronous.org>

	* lib/goffice/ : Initial import of libgoffice "port".

 -- end gog-integ Changelog --

2005-04-22  Joshua Sled  <jsled@asynchronous.org>

	* src/scm/main.scm (gnc:main): Expose and use functionality to
	update the main-window title after init-file load, plus collateral
	changes.

2005-04-16  Derek Atkins <derek@ihtfp.com>

	* configure.in: Downgrade glib dep to 2.4.0 so it builds on FC3.

2005-04-16  David Hampton  <hampton@employees.org>

	* lots of file: Switch from a requirement of Gtk-2.2 to Gtk-2.4.
	This replaces all EggAction references with GtkAction, and
	EggMenuMerge with GtkUIManager.  It also drops all the files in
	lib/egg since they are no longer needed.  Due to a flub, the log
	message on the changed source files simply reads 'foo4' instead of
	containing the previous description.

2005-04-11  Neil Williams  <linux@codehelp.co.uk>
	* src/app-file/gnc-file.c: Added handlers for
	write errors and made show_session_error()
	non-static.
	* src/app-file/gnc-file.h: Added prototype
	for show_session_error() so that it can be called
	to handle errors reported by any backend operation.
	* src/backend/file/gnc-book-xml-v2.c:
	* src/backend/file/io-gncxml-v2.c: Wrapping fprintf()
	in error handler to catch failed write operations.
	* src/backend/qsf/qsf-backend.c: Handling write errors
	on QSF export.
	* src/business/business-gnome/gnc-plugin-business.c:
	Adding show_session_error support to inform the user of
	any write errors reported by QSF.
	* src/engine/qof_book_merge.c: Re-instating fixes to
	QOF_TYPE_CHAR handling in merge.
	* src/engine/qofbackend.h: Definition of ERR_FILEIO_WRITE_ERROR
	* src/gnome/Makefile.am: Building dialog-chart-export with
	show_session_error from libgncmod-app-file
	* src/gnome/dialog-chart-export.c: Handling write errors
	reported by QSF backend, uses show_session_error()
	* src/gnome/glade/chart-export.glade: Removing nuisance tooltip.

2005-04-03  David Hampton  <hampton@employees.org>

	* src/gnome-utils/transfer.glade: Make all input fields expand on
	the X axis.

	* configure.in: Remove reqirement for Berkeley DB.  The G2 branch
	compiles and runs fine without it.

	* src/gnome-utils/gnc-gnome-utils.c: Have gnucash read a private
	RC file.  This makes it easy to apply styles to entire classes of
	widgets in gnucsah without affecting any other application.

	* src/gnome-utils/gnc-tree-view-account.c:
	* src/gnome-utils/gnc-tree-view-commodity.c:
	* src/gnome-utils/gnc-tree-view-price.c: Name a couple of new
	widgets to make it easier to apply styles to them.

	* doc/gtkrc-2.0.gnucash: Provide a sample RC file for gnucash.
	This file needs work.

2005-03-25  Neil Williams <linux@codehelp.co.uk>
	* src/backend/qsf/qsf-backend.c: Support for
	multiple references in the same entity.
	* src/business/business-gnome/gnc-plugin-business.c:
	Typo in employee export collection.
	* src/engine/Account.c:
	* src/engine/Account.h: qofAccountGetTypeString
	and qofAccountSetType to use string values for
	enum types in QOF.
	* src/engine/Transaction.c:
	* src/engine/Transaction.h: qofSplitSetParentTrans
	and qofSplitSetAccount QOF reference QofSetterFunc.
	* src/engine/qofclass.c: Fixing reference identification.
	* src/engine/qofsession.c: Removing debug calls. Minor fix.
	* src/gnome/dialog-chart-export.c: Adding references to
	generated Transaction and Splits in Chart of Accounts export.

2005-03-21  Neil Williams <linux@codehelp.co.uk>
	* src/backend/qsf/qsf-backend.c:
	* src/backend/qsf/qsf-xml.c:
	* src/backend/qsf/qsf-xml.h: Reference handling improvements.
	* src/business/business-gnome/gnc-plugin-business.c:
	* src/business/business-gnome/ui/gnc-plugin-business-ui.xml:
	  Adding export routines for business objects.
	* src/engine/qofclass.c:
	* src/engine/qofclass.h:
	Reference handling: qof_class_get_referenceList
	* src/engine/qofsession.c:
	* src/engine/qofsession.h: Reference handling improvements
	and improved error handling. Also suspending engine events
	during copy to improve speed.
	* src/gnome/dialog-chart-export.c:
	* src/gnome/glade/chart-export.glade: Removing unnecessary
	file chooser dialog, using a standard box instead.

2005-03-13  Joshua Sled  <jsled@asynchronous.org>

	* GNOME2_STATUS: Updates; removed some incorrectness, updated for
	other changes.  Added many new things. :(

	* src/register/register-gnome/gnucash-item-edit.c
	(gnc_item_edit_set_cursor_pos): Fix reverse dragging/selection,
	broken because of a change in gtk_editable semantics. :(
	(gnc_item_edit_draw_info): Turn off pango line wrapping.

2005-03-07  Neil Williams <linux@codehelp.co.uk>
	* ./src/engine/qofsession.c:Fixing references
	and empty partial books

2005-03-07  Neil Williams  <linux@codehelp.co.uk>
	* ./HACKING: Add a tip for using gdb with opt
	style builds.
	* ./src/app-file/gnc-file.c: New error message
	to direct users to merge QSF, not open directly.
	* ./src/backend/file/gnc-backend-file.c: Debug
	aids.
	* ./src/backend/qsf/qsf-backend.c: Fix object
	count and validation; add to KVP read support.
	* ./src/backend/qsf/qsf-xml.c: Fix object count
	validation bug.
	* ./src/engine/qof_book_merge.c: Fix char merge
	bug.
	* ./src/engine/qofbackend.h: New error message
	support.
	* ./src/engine/qofsession.c: Fix entity copy
	parameter list handling. Fix library name error.
	* ./src/engine/qofsession.h: Doxygen update.
	* ./src/gnome/Makefile.am: New dialog support.
	* ./src/gnome/dialog-chart-export.c: New dialog
	to export the Chart of Accounts to QSF XML.
	* ./src/gnome/dialog-chart-export.h: Header for
	new dialog.
	* ./src/gnome/druid-merge.c: Adding code to
	support the new dialog.
	* ./src/gnome/druid-merge.h: New dialog.
	* ./src/gnome/glade/Makefile.am: New glade file.
	* ./src/gnome/glade/chart-export.glade: New glade
	file for Chart of Account export dialog.
	* ./src/gnome/gnc-main-window.c: Menu commands for
	new dialog.
	* ./src/gnome/gnc-plugin-page-account-tree.c:
	Minor tweak.
	* ./src/gnome/ui/gnc-main-window-ui.xml: Adding
	menu option for new dialog.
	* ./src/gnome/window-main.c: Removing old merge
	druid commands.


2005-02-28  Neil Williams  <linux@codehelp.co.uk>

	* ./src/app-utils/gnc-ui-util.h:
	* ./src/doc/doxygen_main_page.c:
	* ./src/engine/Scrub2.c:
	* ./src/engine/Scrub3.c:
	* ./src/engine/cap-gains.c:
	* ./src/engine/gnc-budget-book-p.h:
	* ./src/engine/gnc-budget-book.c:
	* ./src/engine/gnc-budget-book.h:
	* ./src/engine/gnc-budget-cat-p.h:
	* ./src/engine/gnc-budget-cat.c:
	* ./src/engine/gnc-budget-cat.h:
	* ./src/engine/gnc-budget-p.h:
	* ./src/engine/gnc-budget-period-p.h:
	* ./src/engine/gnc-budget-period-value-p.h:
	* ./src/engine/gnc-budget-period-value.c:
	* ./src/engine/gnc-budget-period-value.h:
	* ./src/engine/gnc-budget-period.c:
	* ./src/engine/gnc-budget-period.h:
	* ./src/engine/gnc-budget.c:
	* ./src/engine/gnc-budget.h:
	* ./src/engine/gnc-engine.h:
	* ./src/engine/gnc-filepath-utils.c:
	* ./src/engine/gnc-filepath-utils.h:
	* ./src/engine/policy-p.h:
	* ./src/engine/policy.c:
	* ./src/gnome-utils/QuickFill.h:
	* ./src/gnome-utils/account-quickfill.h:
	* ./src/gnome-utils/dialog-commodity.c:
	* ./src/gnome-utils/dialog-commodity.h:
	* ./src/gnome-utils/gnc-budget-list-tree-model.c:
	* ./src/gnome-utils/gnc-budget-list-tree-model.h:
	* ./src/gnome-utils/gnc-budget-tree-model.c:
	* ./src/gnome-utils/gnc-budget-tree-model.h:
	* ./src/gnome-utils/gnc-gnome-utils.h:
	* ./src/gnome-utils/gnc-tree-model-account-types.h:
	* ./src/gnome-utils/gnc-tree-model-account.h:
	* ./src/gnome-utils/gnc-tree-model-commodity.h:
	* ./src/gnome-utils/gnc-tree-model-price.h:
	* ./src/gnome-utils/gnc-tree-view-account.h:
	* ./src/gnome-utils/gnc-tree-view-commodity.h:
	* ./src/gnome-utils/gnc-tree-view-common.h:
	* ./src/gnome-utils/gnc-tree-view-price.h:
	* ./src/gnome/dialog-budget-category.c:
	* ./src/gnome/dialog-budget-category.h:
	* ./src/gnome/dialog-budget-list.c:
	* ./src/gnome/dialog-budget-list.h:
	* ./src/gnome/dialog-budget-workbench.c:
	* ./src/gnome/dialog-budget-workbench.h:
	* ./src/gnome/druid-budget-create.c:
	* ./src/gnome/druid-budget-create.h:
	* ./src/gnome/gnc-budget-gui.h:
	* ./src/gnome/gnc-plugin-page-account-tree.h:
	* ./src/gnome/gnc-plugin-page-register.h:
	* ./src/report/report-gnome/gnc-plugin-page-report.h:
	Doxygen tag updates.

2005-02-23  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/gw-gnc-spec.scm: Expose
	gnc:window-set-progressbar-window.

	* src/scm/main.scm (gnc:main): Set progress bar window
	appropriately on startup so file-load feedback is in place.

2005-02-22  Joshua Sled  <jsled@asynchronous.org>

	* GNOME2_STATUS: Reverted from tabular to straight-text formatting
	of GNOME2_STATUS, with apologies to Paul Kroenwetter.

2005-02-22  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/gnc-main-window.c (gnc_main_window_setup_window): Add
	back the summary bar, down in the status-bar area.

2005-02-20  Neil Williams  <linux@codehelp.co.uk>

	* src/app-file/gnc-file.c: Adding messages to handlers for
	new QSF backend errors.
	* src/backend/qsf/pilot-qsf-GnuCashInvoice.xml: Correcting
	the schema namespace URL.
	* src/backend/qsf/qsf-backend.c:
	* src/backend/qsf/qsf-xml-map.c:
	* src/backend/qsf/qsf-xml.c: Re-organising and adding
	references and almost complete KVP support to QSF backend.
	* src/backend/qsf/qsf-map.xsd.xml:
	* src/backend/qsf/qsf-object.xsd.xml: Correcting attribute
	declarations and schema namespace URL. Adding KVP, double
	and char support to object schema.
	* src/backend/qsf/qsf-xml.h: Adding references support,
	documenting use of a partial QofBook. Changing the namespace URL.
	* src/engine/gnc-date.c: Fix the last-day-of-month computation for
	leap years.  Need to use modulo, not divide - needed by other parts
	of this update, already in HEAD.
        * src/engine/qof_book_merge.c: Fix double free of the targetList
        entities that cause xaccGroupGetNumSubAccounts to generate a
        segmentation fault.
        * src/engine/kvp_frame.c:
        * src/engine/kvp_frame.h: Add kvp_value_to_bare_string to
	generate strings without debug information.
	* src/engine/qofbackend-p.h: Support for a partial QofBook.
	The backend needs to handle external references to entities
	outside this book and save a QofBook that contains any mix of
	QOF objects, whether or not any specific object exists in the book.
	* src/engine/qofbackend.h: Adding a further QSF error code for
	when a GUID string has been mangled and fails to convert to a GUID.
	* src/engine/qofsession.c: Adding qof_entity_copy routines to
	copy single, lists or collections of entities between session books.
	Note: Each function creates a partial QofBook! Only certain backends
	{QSF} can handle partial books! Use for data export.
	* src/engine/qofsession.h: Documenting copying entities between
	sessions and using a partial QofBook. Also, allow a session book to
	be printed to stdout.


2005-02-17  Derek Atkins  <derek@ihtfp.com>

	* configure.in: properly notice that we've got a gtkhtml version.

2005-02-16  Derek Atkins  <derek@ihtfp.com>

	* src/app-utils/option-util.c: in lookup_string_option() use
	  SCM_STRING_CHARS() instead of the older gh guile function.
	  - removed comment, because the lookup_string_option() works
	    just fine for text options.

2005-02-15  Derek Atkins  <derek@ihtfp.com>

	Chris Shoemaker's patch: Avoid use of unitialized values in guid.c.
	* Avoid use of uninitialized values in guid.c
	  - prevent md5 seeding from using uninitialized stack contents
	  - give used/null GUID recognizable memory signature
	  - add a simple test case that helped testing for use of
	    uninitialized values

2005-02-13  Derek Atkins  <derek@ihtfp.com>

	Chris Shoemaker's patch: Fix various memory leaks.
	* Fix memory leak of xml parser context in sixtp-stack.c, string in
	  gnc_plugin_file_history, gdkCursor in cursors.c, GtkIconSources in
	  gnc-icons.c, several strings in gnc-menu-extensions.c, TimeSpec and
	  strings in test-engine-stuff.c
	* added some constness to gnc_ext_gen_action_name()

	Chris Shoemaker's patch: Allow use of gcache'd strings in hashtables.
	* allow the use of gcache'd strings in ghashtables without leaking
	  - Introduce functions gnc_string_cache_remove() and
	    gnc_string_cache_insert()
	* add comment warning about dangerous macro SAFE_STRCMP_REAL
	* fix qofbook's leaking of strings in ghashtable by using new
          gnc_string_cache_* functions

	Chris Shoemaker's patch: Tweaks to kvp_frame.h.
	* Tweaks to kvp_frame.h
	  - fix typos
	  - make #define aliases for asymetric getters/setters
	  - tweak comments
	  - comment on and discourage use of kvp_value_get_glist

	Chris Shoemaker's patch: Various comments and typo fixes.
	* Comments and typo fixes

	Chris Shoemaker's patch: Comments and tweaks for gnc-component-manager.
	* gnc-component-manager tweaks
	  - Warn if we approach design limitation of component manager
	  - pass GUID as const in gnc_gui_get_entity_events, change
	    prototype, callers, and docs
	  - Clarify comments about receiving events after entity life-cycle

	Chris Shoemaker's patch: Debugging aids for gnc-plugin-manager
	* gnc-plugin-manager tweaks
	  - tweak comments
	  - add debug traces
	  - add function gnc_plugin_get_name()

2005-02-02  Derek Atkins  <derek@ihtfp.com>

	Neil Williams' patch to clean up the test-book-merge:
	* src/engine/test/test-book-merge.c:
	  The first change is just simplification, the second change is the fix.

2005-01-30  Derek Atkins  <derek@ihtfp.com>

	Neil Williams' QOF sync patch:
	* This patch updates the QOF merge code to current QOF to bring
	  the g2 branch into sync. This update also makes
	  qof_book_merge_param_as_string output strings that are
	  compatible with QSF: using false instead of FALSE in string
	  output and using the QSF_XSD_TIME for the datestrings. KVP
	  handling will be added in the next version.

	* src/engine/Account.c:
	  This patch fixes: (QofAccessFunc)xaccAccountSetNonStdSCU in
	  src/engine/Account.c - that's a Set routine allocated as a
	  QofAccessFunc - the patch changes it to the appropriate Get
	  routine - the QofSetterFunc is OK.

	* src/engine/gnc-commodity.[ch]:
	  - Use gnc_commodity_table_find_namespace() throughout
	  - fix a crash when adding a new namespace to the commodity table.

	* src/engine/Account.c:
	  - updated implementation of qofAccountSetParent().

2005-01-26  Derek Atkins  <derek@ihtfp.com>

	Neil Williams' QSF Backend.

	* configure.in: add checks for libxml2 (requires >= 2.5.10)
	* src/backend/qsf: new backend directory
	* src/app-file/gnc-file.c: add new QSF error strings
	* src/backend/file/gnc-backend-file.[ch]: detect for QSF input files
	* src/engine/qofbackend.[ch]: know how to load the QSF backend

2005-01-22  Derek Atkins  <derek@ihtfp.com>

	Stephen Evanchik's patch to convert GncItemEdit to GObject/GLib
	and fix signal processing:

        * src/register/register-gnome/gnucash-item-edit.h:
          Made the gnc_item_edit_get_type function return GType
        * src/register/register-gnome/gnucash-item-edit.h:
          Made the gnc_item_edit_get_type function use GObject
        * src/register/register-gnome/gnucash-item-list.c:
          Removed an extra button_press_event handler

2005-01-10  Derek Atkins  <derek@ihtfp.com>

	Stephen Evanchik's Move GNCDateFormat to GLib patch:
        * src/gnome-utils/gnc-date-format.h:
          Added #include <glib.h>
          Added private member 'disposed' to GncDenseCal struct
          Added GNC_TYPE_DATE_FORMAT macro
        * src/gnome-utils/gnc-date-format.c:
          Converted the following functions to use GObject:
                gnc_date_format_get_type,
                gnc_date_format_class_init
          Created gnc_date_format_dipose function

2005-01-02  Derek Atkins  <derek@ihtfp.com>

	* src/engine/test/Makefile.am: don't explicitly add -lglib.

	* GNOME2_STATUS: Update from Paul Kronenwetter comparing g2 to HEAD/1.8.

-=-=-=- cvs gnome2 branch ChangeLog is above this line -=-=-=-


2005-10-26  Christian Stimming  <stimming@tuhh.de>

	* po/eu.po: Add Basque translation by Mikel Olasagasti
	<hey_neken@mundurat.net>.

2005-10-16  Christian Stimming  <stimming@tuhh.de>

	* po/glossary/pl.po: Added polish glossary by A. Tokarski
	<szczur@malinablue.punkt.pl>

2005-10-08  Christian Stimming  <stimming@tuhh.de>

	* src/engine/Transaction.c: Remove misleading (char*) casts by
	Linas Vepstas from 2003-09-14, but nevertheless the code doesn't
	have any errorneous double-free's at this point.

2005-10-07  Christian Stimming  <stimming@tuhh.de>

	* src/engine/iso-4217-currencies.scm: Fix spelling of TJS
	currency. Fixes #310697.

2005-10-06  David Hampton  <hampton@employees.org>

	* src/app-utils/date-utilities.scm: Patch from Yves-Eric Martin
	<yem_lists.gnucash.org@filter.yve.net> to make it easier for users
	to change the financial year end date.  They still have to edit a
	scheme file though.

2005-08-16  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/hbci-interaction.c (inputBoxCB): Aaarg,
	fix extremely stupid bug that occasionally crashes the PIN entry.

2005-08-15  David Hampton  <hampton@employees.org>

	* src/engine/Query.c: Todd T. Fries patch for compilation on
	OpenBSD 64bit architectures.

2005-08-15  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/business-core.scm:  need to
	  properly recurse in gnc:owner-get-owner-id.  there is no
	  gnc:owner-get-id API.

2005-07-17  Christian Stimming  <stimming@tuhh.de>

	* macros/openhbci.m4: Remove old unused macros. Add macro name
	quotations as required by newer automake.

2005-07-10  David Hampton  <hampton@employees.org>

	* src/engine/iso-4217-currencies.scm: Add the new Romanian Leu.

2005-05-23  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/dialog-hbcitrans.c: Fix handling of debit
	notes -- they were broken at all times since the aqbanking
	transition, oops.

	* src/import-export/hbci/dialog-hbcitrans.c: Add sanity checks and
	ask user when there are no purpose lines.

2005-05-06  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/druid-hbci-initial.c (on_aqhbci_button):
	Finally generalize the AqBanking setup call. Now the setup wizard
	for OFX-DirectConnect can be called by Tools -> HBCI Setup as
	well.

2005-05-05  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-utils.c: Improve debugging
	messages.

2005-04-21  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-getbalance.c: Fix forgotten NULL
	check as reported by Martin Preuss <aquamaniac@gmx.de>.

2005-04-14  David Hampton  <hampton@employees.org>

	* src/engine/iso-4217-currencies.scm:
	* src/engine/gnc-commodity.c: Update the Bulgarian Lev and add the
	Malagasy Ariary.

2005-04-06  Christian Stimming  <stimming@tuhh.de>

	* po/rw.po, po/glossary/rw.po: Add Kinyarwanda translation by
	Steven Michael Murphy <murf@e-tools.com>

2005-04-06  David Hampton  <hampton@employees.org>

	* src/bin/generate-gnc-script: Be vocal when using deprecated
	guile functions.

	* src/report/report-system/report-system.scm:

	* src/report/utility-reports/utility-reports.scm:
	* src/business/business-reports/business-reports.scm: Use
	re-export instead of export for one function.

2005-04-02  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/dialog-hbcitrans.c: Fix warning about
	deprecated aqbanking function in aqbanking-1.0.7

2005-03-20  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-utils.c: Retrieve the current
	book's character encoding which so far is identical to the
	locale's encoding by nl_langinfo().

	* src/import-export/hbci/hbci-interaction.c: Fixed ignored 'abort'
	button.

2005-03-19  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-utils.c (gnc_hbci_descr_tognc):
	Correctly convert imported transaction description from utf-8 to
	the local encoding.

2005-03-13  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-getbalance.c: Improve user
	message when downloaded balance is already identical to reconciled
	balance.

2005-03-12  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-gettrans.c, hbci-interaction.h:
	Improve error handling in HBCI operations.

2005-02-26  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-kvp.c (force_account_dirty):
	Force account 'dirty' after modifying the kvp_frame. Hopefully
	fixes #165096.

2005-02-21  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/import-backend.c, import-backend.h,
	import-main-matcher.h: Revert the change in December about date
	matching thresholds that broke some OFX import. Now, the hard
	limit days interval is set by the importing sub-module when
	creating the dialog. This way, HBCI and OFX can set their
	different requirements. (Note: QIF does not use this code at all.)

2005-02-20  Neil Williams  <linux@codehelp.co.uk>
	* src/engine/qof_book_merge.c: Fix double free of the targetList
	entities that cause xaccGroupGetNumSubAccounts to generate a
	segmentation fault.
	* src/engine/kvp_frame.c:
	* src/engine/kvp_frame.h:
	Add kvp_value_to_bare_string to
	generate strings without debug information.
	* src/engine/qofsession.h:
	* src/engine/qofsession.c:
	Documentation tweaks to bring them into line with QOF and the
	gnucash-gnome2-dev branch.

2005-02-16  Derek Atkins  <derek@ihtfp.com>

	* src/gnome-utils/dialog-utils.c: When trying to load the symbol
	  from a glade file, Fall back to dlsym() if g_module_symbol()
	  fails.  This is necessary to find the symbols on on certain *BSD
	  systems.

	* acinclude.m4: Add mips, mipsel, arm, and m68k for Debian.

2005-02-06  Chris Lyttle  <chris@wilddev.net>

	* src/scm/main.scm: Update for 1.8.11 release

2005-02-06  Derek Atkins  <derek@ihtfp.com>

	* src/engine/date.c: Fix the last-day-of-month computation for
	  leap years.  Need to use modulo, not divide.  (Patch by
	  Neil Williams.

2005-02-06  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-gettrans.c: Fix HBCI date range
	for statement download.

2005-02-05  Derek Atkins  <derek@ihtfp.com>

	* src/report/locale-specific/us/Makefile.am: make sure the
	  scheme reports are part of the DIST.

2005-01-30  Derek Atkins  <derek@ihtfp.com>

	* src/engine/Account.c:
	  This patch fixes: (QofAccessFunc)xaccAccountSetNonStdSCU in
	  src/engine/Account.c - that's a Set routine allocated as a
	  QofAccessFunc - the patch changes it to the appropriate Get
	  routine - the QofSetterFunc is OK.

	Neil Williams' QOF sync patch:
	* This patch updates the QOF merge code to current QOF to bring
	  the HEAD branch into sync. This update also makes
	  qof_book_merge_param_as_string output strings that are
	  compatible with QSF: using false instead of FALSE in string
	  output and using the QSF_XSD_TIME for the datestrings.

	* src/engine/Account.c:
	  - updated implementation of qofAccountSetParent().

	* src/engine/Scrub.c:
	* src/engine/Transaction.c:
	  Add the transaction guid to some error warning messages.
	  Fixes #165571.

2005-01-29  Derek Atkins  <derek@ihtfp.com>

	David Montenegro's patch for bugs #95551, #124367.
	* src/report/standard-reports/account-summary.scm:
	  Rewrote account summary report. Now has fields for
	  more account metadata. Properly handles mixed
	  asset/liability subaccounts.
	* src/report/standard-reports/html-acct-table.scm:
	  Added functionality (account-type &c) and bug fixes
	  (lone zb subtotals, spurious 'recursive-bal, typos)
	  needed to make the new account-summary.scm work.

	Thomas Bushnell's patch to protect non-backup pruning (#164875)
	* src/backend/file/gnc-backend-file.c:
	  When working on the file foo.xac, backups are named
	  foo.DATE.xac.  But the backup file pruner will prune any old
	  file named foo.DATE.anything.

2005-01-29  Christian Stimming  <stimming@tuhh.de>

	* configure.in, src/tax/us/gncmod-tax-us.c,
	src/report/locale-specific/us/gncmod-locale-reports-us.c,
	src/app-utils/gnc-ui-util.c: Make localized tax categories
	disabled by default; can be enabled by
	--enable-locale-specific-tax switch.

	* src/import-export/hbci/dialog-hbcitrans.c: Enable debit notes
	again. Various other improvements.

	* src/import-export/hbci/druid-hbci-initial.c (on_aqhbci_button),
	configure.in: Adapt to latest changes in aqbanking; external
	wizard name is no longer hard-coded here but is asked from
	aqbanking.

2005-01-23  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/gncInvoice.c: Properly accumulate
	  splits (bug #165053).  Also fixes a (related) memory leak
	  (caused by the same lack-of-reference to accumulated splits).

2005-01-16  Christian Stimming  <stimming@tuhh.de>

	* src/app-utils/gnc-ui-util.c: Modify tax option code to load
	tax-de_DE module in the appropriate locale.

	* src/report/locale-specific/us/gncmod-locale-reports-us.c,
	de_DE.scm: Add scheme module for locale-report/us
	resp. locale-report/de_DE again because it seems to be required.

2005-01-15  Derek Atkins  <derek@ihtfp.com>

	* Neil William's patch to remove static mergeData context.

2005-01-12  Christian Stimming  <stimming@tuhh.de>

	* rpm/gnucash.spec.in, rpm/README: Remove obsolete package
	requirements from rpm spec file. Add warnings about using these
	spec files with caution.

2005-01-10  Christian Stimming  <stimming@tuhh.de>

	* src/engine/guid.h: Fix gcc4 warnings as pointed out by bug
	#162635

	* src/report/locale-specific/us/gncmod-locale-reports-us.c,
	src/tax/us/gncmod-tax-us.c: For German tax categories, make sure
	the module name will match the de_DE locale or will fall back to
	us module name all the time.
